indexing

	description: "[

		Implements a textbox.
		
		Use this class to create a textbox.
		
		Note: This box is used in the example as the fade value field.

	]"
	date: "$Date: 2005-10-23 13:06:03 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1132 $"

class MIXER_TEXTBOX

inherit

	EM_TEXTBOX

create

	make_with_text_positioned

feature {NONE} -- Initialization

	make_with_text_positioned (a_text: like text; an_x: like x; a_y: like y) is
			-- Initialize new textbox.
		require
			position_valid: an_x >= 0 and a_y >= 0
		do
			make_from_text (a_text)
			set_position (an_x, a_y)
			set_dimension (29, 21)
			set_transparent
			set_border (create {EM_NO_BORDER})
			set_font (create {EM_TTF_FONT}.make_from_ttf_file ("slicker.ttf", 10))
		ensure
			position_set: x = an_x and y = a_y
			dimension_set: inner_height = 21 and inner_width = 29
			text.is_equal (a_text)
		end
end