indexing

	description: "[

		Singleplayer Menu

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_SINGLEPLAYER

inherit

	BB_MENU

	EM_SHARED_SUBSYSTEMS
		export {NONE} all end

create

	make

feature {NONE} -- Initialization

	make is
			-- create widgets
		local
			button: BB_MENU_BUTTON
		do
			init_menu

			-- create menu items
			create button.make ("New Game")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 0 * 50)
			button.pressed_event.subscribe (agent newgame_button_pressed)
			add_button (button)

			create button.make ("Continue Game")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 1 * 50)
			button.pressed_event.subscribe (agent continuegame_button_pressed)
			add_button (button)

			create button.make ("Password")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 2 * 50)
			button.pressed_event.subscribe (agent password_button_pressed)
			add_button (button)

			create button.make ("Back")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 4 * 50)
			button.pressed_event.subscribe (agent back_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	newgame_button_pressed is
			-- new game button pressed
		do
			set_next_scene (create {BB_SINGLEPLAYER_NEW_GAME}.make)
			start_next_scene
		end

	continuegame_button_pressed is
			-- continue game button pressed
		do
			set_next_scene (create {BB_LEVEL_SCENE}.make_from_savegame)
			start_next_scene
		end

	password_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_SINGLEPLAYER_PASSWORD}.make)
			start_next_scene
		end

	back_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_MAINMENU}.make)
			start_next_scene
		end

end
