indexing
	description: 
	
		"Event to add a blaock to a player"
		
	date: "$Date: 2006-03-01 15:30:10 +0100 (Wed, 01 Mar 2006) $"
	revision: "$Revision: 1914 $"

class BB_MP_ADD_BLOCK

inherit
	
	EM_NET_2PC_EVENT_OBJECT
	
create {BB_MP_OBJECT_TYPES}

	make_set_type
		
feature -- Access

	set_number_of_hits (an_integer: INTEGER) is
			-- set the item effect type
		do
			number_of_hits := an_integer
		ensure
			number_of_hits_set: number_of_hits = an_integer
		end

feature -- Serialization

	serialize (a_serializer: EM_NET_SERIALIZER) is
			-- Serialize to the given stream using `a_serializer'
		do
			a_serializer.put_integer (id)
			a_serializer.put_integer (number_of_hits)			
		end
		
	serialization_byte_count: INTEGER is
			-- Count of bytes needed for a successful serialization
		do
			Result := 8		
		end
		
	unserialize (an_unserializer: EM_NET_UNSERIALIZER) is
			-- Unserialize from a given stream using `an_unserializer'
		do
			an_unserializer.read_integer
			id := an_unserializer.last_integer
			an_unserializer.read_integer
			number_of_hits := an_unserializer.last_integer
			
		end

feature -- Status report
	
	number_of_hits: INTEGER

end
