indexing

	description: "[

		Multiplayer Object Types

	]"
	date: "$Date: 2006-03-02 15:03:06 +0100 (Thu, 02 Mar 2006) $"
	revision: "$Revision: 1951 $"

class BB_MP_OBJECT_TYPES

inherit

	EM_NET_OBJECT_TYPES
		redefine
			register
		end

create

	make_and_initialize_factory

feature {NONE}-- Initialisation

	register is
			-- Register user object creation procedures.
		do
		 	net_object_factory.add (Bb_mp_playerlist, agent create_bb_mp_playerlist)
		 	net_object_factory.add (Bb_mp_playerlist_request, agent create_bb_mp_playerlist_request)
		 	net_object_factory.add (Bb_mp_options, agent create_bb_mp_options)
		 	net_object_factory.add (Bb_mp_options_request, agent create_bb_mp_options_request)
		 	net_object_factory.add (Bb_mp_item_effect, agent create_bb_mp_item_effect)
		 	net_object_factory.add (Bb_mp_add_block, agent create_bb_mp_add_block)
		 	net_object_factory.add (Bb_mp_start_game, agent create_bb_mp_start_game)
		 	net_object_factory.add (Bb_mp_game_started, agent create_bb_mp_game_started)
		 	net_object_factory.add (Bb_mp_begin_game, agent create_bb_mp_begin_game)
		 	net_object_factory.add (Bb_mp_chat_message, agent create_bb_mp_chat_message)
		 	net_object_factory.add (Bb_mp_score_report, agent create_bb_mp_score_report)
		 	net_object_factory.add (Bb_mp_ranking, agent create_bb_mp_ranking)
		 	net_object_factory.add (Bb_mp_finish_level, agent create_bb_mp_finish_level)
		 	net_object_factory.add (Bb_mp_load_level, agent create_bb_mp_load_level)
		 	net_object_factory.add (Bb_mp_level_loaded, agent create_bb_mp_level_loaded)
		 	net_object_factory.add (Bb_mp_game_result, agent create_bb_mp_game_result)
		 	net_object_factory.add (Bb_mp_end_game, agent create_bb_mp_end_game)
		 	net_object_factory.add (Bb_mp_leave_game, agent create_bb_mp_leave_game)
		 	net_object_factory.add (Bb_mp_item_effect_report, agent create_bb_mp_item_effect_report)
		 	net_object_factory.add (Bb_mp_game_over, agent create_bb_mp_game_over)

		end

-- waiting room messages

feature -- BB_MP_PLAYERLIST

	Bb_mp_playerlist: INTEGER is 700

	create_bb_mp_playerlist: BB_MP_PLAYERLIST is
			-- return an instance of the class BB_MP_PLAYERLIST
		do
			create Result.make_set_type (Bb_mp_playerlist)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_PLAYERLIST_REQUEST

	Bb_mp_playerlist_request: INTEGER is 701

	create_bb_mp_playerlist_request: BB_MP_PLAYERLIST_REQUEST is
			-- return an instance of the class BB_MP_PLAYERLIST_REQUEST
		do
			create Result.make_set_type (Bb_mp_playerlist_request)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_CHAT_MESSAGE

	Bb_mp_chat_message: INTEGER is 702

	create_bb_mp_chat_message: BB_MP_CHAT_MESSAGE is
			-- return an instance of the class BB_MP_CHAT_MESSAGE
		do
			create Result.make_set_type (Bb_mp_chat_message)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_OPTIONS

	Bb_mp_options: INTEGER is 703

	create_bb_mp_options: BB_MP_OPTIONS is
			-- return an instance of the class BB_MP_OPTIONS
		do
			create Result.make_set_type (Bb_mp_options)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_OPTIONS_REQUEST

	Bb_mp_options_request: INTEGER is 704

	create_bb_mp_options_request: BB_MP_OPTIONS_REQUEST is
			-- return an instance of the class BB_MP_OPTIONS_REQUEST
		do
			create Result.make_set_type (Bb_mp_options_request)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_LEAVE_GAME

	Bb_mp_leave_game: INTEGER is 705

	create_bb_mp_leave_game: BB_MP_LEAVE_GAME is
			-- return an instance of the class BB_MP_LEAVE_GAME
		do
			create Result.make_set_type (Bb_mp_leave_game)
		ensure
			an_object_has_been_generated: Result /= Void
		end

-- game start messages

feature -- BB_MP_START_GAME

	Bb_mp_start_game: INTEGER is 710

	create_bb_mp_start_game: BB_MP_START_GAME is
			-- return an instance of the class BB_MP_START_GAME
		do
			create Result.make_set_type (Bb_mp_start_game)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_GAME_STARTED

	Bb_mp_game_started: INTEGER is 711

	create_bb_mp_game_started: BB_MP_GAME_STARTED is
			-- return an instance of the class BB_MP_GAME_STARTED
		do
			create Result.make_set_type (Bb_mp_game_started)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_BEGIN_GAME

	Bb_mp_begin_game: INTEGER is 712

	create_bb_mp_begin_game: BB_MP_BEGIN_GAME is
			-- return an instance of the class BB_MP_BEGIN_GAME
		do
			create Result.make_set_type (Bb_mp_begin_game)
		ensure
			an_object_has_been_generated: Result /= Void
		end

-- Ingame messages

feature -- BB_MP_ITEM_EFFECT

	Bb_mp_item_effect: INTEGER is 721

	create_bb_mp_item_effect: BB_MP_ITEM_EFFECT is
			-- return an instance of the class BB_MP_ITEM_EFFECT
		do
			create Result.make_set_type (Bb_mp_item_effect)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_ADD_BLOCK

	Bb_mp_add_block: INTEGER is 722

	create_bb_mp_add_block: BB_MP_ADD_BLOCK is
			-- return an instance of the class BB_MP_ADD_BLOCK
		do
			create Result.make_set_type (Bb_mp_add_block)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_SCORE_REPORT

	Bb_mp_score_report: INTEGER is 723

	create_bb_mp_score_report: BB_MP_SCORE_REPORT is
			-- return an instance of the class BB_MP_SCORE_REPORT
		do
			create Result.make_set_type (Bb_mp_score_report)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_RANKING

	Bb_mp_ranking: INTEGER is 724

	create_bb_mp_ranking: BB_MP_RANKING is
			-- return an instance of the class BB_MP_RANKING
		do
			create Result.make_set_type (Bb_mp_ranking)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_FINISH_LEVEL

	Bb_mp_finish_level: INTEGER is 725

	create_bb_mp_finish_level: BB_MP_FINISH_LEVEL is
			-- return an instance of the class BB_MP_FINISH_LEVEL
		do
			create Result.make_set_type (Bb_mp_finish_level)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_LOAD_LEVEL

	Bb_mp_load_level: INTEGER is 726

	create_bb_mp_load_level: BB_MP_LOAD_LEVEL is
			-- return an instance of the class BB_MP_LOAD_LEVEL
		do
			create Result.make_set_type (Bb_mp_load_level)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_LEVEL_LOADED

	Bb_mp_level_loaded: INTEGER is 727

	create_bb_mp_level_loaded: BB_MP_LEVEL_LOADED is
			-- return an instance of the class BB_MP_LEVEL_LOADED
		do
			create Result.make_set_type (Bb_mp_level_loaded)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_GAME_RESULT

	Bb_mp_game_result: INTEGER is 728

	create_bb_mp_game_result: BB_MP_GAME_RESULT is
			-- return an instance of the class BB_MP_GAME_RESULT
		do
			create Result.make_set_type (Bb_mp_game_result)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_END_GAME

	Bb_mp_end_game: INTEGER is 729

	create_bb_mp_end_game: BB_MP_END_GAME is
			-- return an instance of the class BB_MP_END_GAME
		do
			create Result.make_set_type (Bb_mp_end_game)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_ITEM_EFFECT_REPORT

	Bb_mp_item_effect_report: INTEGER is 730

	create_bb_mp_item_effect_report: BB_MP_ITEM_EFFECT_REPORT is
			-- return an instance of the class BB_MP_ITEM_EFFECT_REPORT
		do
			create Result.make_set_type (Bb_mp_item_effect_report)
		ensure
			an_object_has_been_generated: Result /= Void
		end

feature -- BB_MP_GAME_OVER

	Bb_mp_game_over: INTEGER is 731

	create_bb_mp_game_over: BB_MP_GAME_OVER is
			-- return an instance of the class BB_MP_GAME_OVER
		do
			create Result.make_set_type (Bb_mp_game_over)
		ensure
			an_object_has_been_generated: Result /= Void
		end

end