indexing

	description: "[

		COLLISION is an example of how to use the collision detection of EiffelMedia.
		Collision handling was done with simple reflections along the intersection direction,
		which results in collidables clogging together. This is intended, in order to show
		that just simply changing the directions of the objects does not suffice, if there
		are multiple collisions at one given time.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class COLLISION

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Create the main application.
		do
			-- Initialize `video_subsystem' and `screen'.
			initialize_screen

			set_window_icon ("icon.png")
			set_window_title ("EiffelMedia Collision Detection 2D")
			set_application_id ("collision_detection_2d")

			create collision_scene.make (screen)
			set_scene (collision_scene)
			launch

			video_subsystem.disable
		end

feature -- Implementation

	collision_scene: COLLISION_SCENE
end
