indexing

	description: "[

		movable object

	]"
	date: "$Date: 2005-10-22 15:21:56 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1083 $"

class SQUARE

inherit

	MOVABLE
		undefine
			collides_with,
			process_changes
		end

	EM_RECTANGLE_COLLIDABLE
		rename
			draw as draw_collidable
		redefine
			make
		end

create

	make

feature -- Creation

	make (a_corner, b_corner: EM_VECTOR_2D) is
			-- creates a collidable circle
			-- to create a collidable dot, just set radius = 0
		do
			Precursor {EM_RECTANGLE_COLLIDABLE} (a_corner, b_corner)
			initialize_image
			create image_offset.make (-50, -50)
			create direction.make (0, 0)
		end

feature {NONE} -- Implementation

	bitmap_name: STRING is "images/square.png"

invariant
	invariant_clause: True -- Your invariant here

end