indexing

	description: "Screenshot History Panel"
	author: "Lars Krapf"
	date: "$Date: 2007-03-13 23:38:24 +0100 (Tue, 13 Mar 2007) $"
	revision: "$Revision: 2555 $"

class EF_HISTORY

inherit

	EM_3D_COMPONENT
	EMGL_BASIC_RENDERER

	DOUBLE_MATH
		export {NONE} all end

create

	make_from_dimension

feature {NONE} -- Initialisation

	make_from_dimension(a_width: INTEGER; a_height: INTEGER) is
			-- Initialise default values.
		require
			valid_dimension: a_width > 0 and a_height > 0
		do
			make_3d_component
			set_max_view_distance(400.0)
			set_dimension(a_width, a_height)

		end

feature -- Element Change

	add_screenshot(a_name: STRING) is
		-- Add a screenshot to the History
		require
			valid_name: a_name /= Void
		do
		end
		
feature -- Access


feature -- Basic operations


feature -- Drawing

	draw is
		do

		end

feature {NONE} -- Mouse management


feature {NONE} -- Implementation

end
