uniform int time;

void main() {
	
	gl_Position = ftransform();
	
	gl_TexCoord[0] = gl_TextureMatrix[0] * vec4(gl_Vertex.xyz,1.0);
	
	gl_TexCoord[1] = vec4(gl_Vertex.xyz,1.0);
	gl_TexCoord[1].w = clamp(length(gl_Vertex.xyz) / 1000.0 + 0.6,0.6,1.0);
	
	float t = float(time) * 0.0005;
	gl_TexCoord[2].x = gl_Vertex.x / 20.0 + sin(t) * 0.2;
	gl_TexCoord[2].y = 0.0;
	gl_TexCoord[2].z = gl_Vertex.z / 20.0 - cos(t) * 0.2;
	gl_TexCoord[2].w = 1.0;
	
	gl_TexCoord[3].x = gl_Vertex.x / 20.0 - sin(t) * 0.2;
	gl_TexCoord[3].y = 0.0;
	gl_TexCoord[3].z = gl_Vertex.z / 20.0 + cos(t) * 0.2;
	gl_TexCoord[3].w = 1.0;
}
 
