indexing

	description: "[

		Show the error handling facilities and how to customize 
		them for other projects.

	]"
	date: "$Date$"
	revision: "$Revision$"

class ERROR_HANDLER_EXAMPLE

inherit

	MY_SHARED_ERROR_HANDLER
		export {NONE} all end

create

	make

feature {NONE} -- Initialisation

	make (arguments: ARRAY [STRING]) is
			-- Create the main application.
		do
			io.put_string ("Warning with INTEGER arguments:%N")
			Error_handler.raise_warning (Error_codes.Error_custom_1, [1, 2, 3])

			io.put_string ("Warning with FLOAT arguments:%N")
			Error_handler.raise_warning (Error_codes.Error_custom_1, [1.11, 2.22, 3.456789])

			io.put_string ("Error with too few arguments:%N")
			Error_handler.raise_error (Error_codes.Error_custom_2, [1, 2])

			io.put_string ("Error with too many arguments:%N")
			Error_handler.raise_error (Error_codes.Error_custom_2, [1, 2, 3, 4])

			io.put_string ("Warning with 3 arguments: 1, 2, 3%N")
			Error_handler.raise_warning (Error_codes.Error_custom_3, [1, 2, 3])

			io.put_string ("Error without a specific message:%N")
			Error_handler.raise_error (Error_codes.Error_custom_4, [])
		end

end
