indexing

	description:

		"Shared access to error handler singleton"

	date: "$Date$"
	revision: "$Revision$"

class MY_SHARED_ERROR_HANDLER

inherit

	EM_SHARED_ERROR_HANDLER
		redefine
			Error_handler,
			Error_codes
		end

feature -- Access

	Error_handler: EM_ERROR_HANDLER is
			-- Error handler
		local
			custom_messages: MY_ERROR_MESSAGES
		once
			Result := precursor {EM_SHARED_ERROR_HANDLER}
			create custom_messages
			custom_messages.make_custom_messages
		end

	Error_codes: MY_ERROR_CODES is
			-- Error codes including custom codes
		once
			create Result
		end

end
