indexing

	description: "[

		Vehicle of player.

	]"
	date: "$Date: 2006-03-02 16:21:29 +0100 (Thu, 02 Mar 2006) $"
	revision: "$Revision: 1954 $"

class PLAYER_VEHICLE

inherit

	EM_GOOF_MOVABLE
	redefine
		process,
		make,
		draw
	end

	EM_GOOF_CONTAINER
	redefine
		process,
		make,
		draw
	end

create

	make

feature {EM_GOOF_OBJECT, EM_GOOF_PHYSICS} -- Processing

feature -- Initialization

	make(img: EM_BITMAP x: DOUBLE y: DOUBLE phs: EM_GOOF_PHYSICS) is
			-- Make vehicle
		do
			Precursor{EM_GOOF_MOVABLE}(img,x,y, phs)
			Precursor{EM_GOOF_CONTAINER}(img,x,y, phs)
		end

feature -- Processing

	process(time_length: DOUBLE) is
			-- process this object
		do
			Precursor{EM_GOOF_MOVABLE}(time_length)
			Precursor{EM_GOOF_CONTAINER}(time_length)
		end

feature -- Drawing

	draw(screen: EM_VIDEO_SURFACE at: EM_VECTOR_2D at_angle: DOUBLE) is
			-- Draw object at 'at' and rotated with 'at_angle' around 'at'
		do
			Precursor{EM_GOOF_MOVABLE}(screen, at, at_angle)
			Precursor{EM_GOOF_CONTAINER}(screen, at, at_angle)
		end

end