indexing

	description: "[

		Shell.

	]"
	date: "$Date: 2006-03-02 16:21:29 +0100 (Thu, 02 Mar 2006) $"
	revision: "$Revision: 1954 $"

class SHELL

inherit

	EM_GOOF_XY_VEHICLE
	undefine
		make,
		collide,
		process
	end
	EM_GOOF_DESTRUCTABLE
	undefine
		make,
		draw,
		process
	end
	DOUBLE_MATH

create

	make

feature -- Initialization

	make(img: EM_BITMAP x: DOUBLE y: DOUBLE phs: EM_GOOF_PHYSICS) is
			-- Make physicable
		do
			Precursor{EM_GOOF_XY_VEHICLE}(img,x,y,phs)
			make_circle (position.x, position.y, 3, 2)
			set_rect_friction(0)
		end

feature {EM_GOOF_OBJECT, EM_GOOF_PHYSICS} -- Processing

	process(time_length: DOUBLE) is
			-- Process this object
		do
			Precursor{EM_GOOF_XY_VEHICLE}(time_length)
			if position.y > 1000 then
				update_collidable(physics.collision_detector, false)
				destroy
			end
		end

feature -- Handler

	collide(a_collision: EM_COLLISION [EM_COLLIDABLE]) is
			-- It collides
		do
			update_collidable(physics.collision_detector, false)
			destroy
		end

end