indexing

	description: "[

		my_project_description

	]"
	date: "$Date: 2006-10-03 15:02:25 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2302 $"

class HELLO_CG_WORLD

inherit

	EM_APPLICATION

	EM_SHARED_THEME
		export {NONE} all end

create

	make

feature {NONE} -- Initialisation

	make is
			-- Start main application.
		local
			keyboard: EM_KEYBOARD
		do
			-- *** Enable required subsystems *** --
			
			-- Initiliase subsystems
			set_opengl (true)
			Audio_subsystem.enable
			Network_subsystem.enable
			Joystick_subsystem.enable
			Cdrom_subsystem.enable

			initialize_screen

			-- Check subsystem initialisation
			if
				Video_subsystem.is_enabled and
				Audio_subsystem.is_enabled and
				Network_subsystem.is_enabled and
				Joystick_subsystem.is_enabled and
				Cdrom_subsystem.is_enabled
			then

				-- Set global options
				set_window_title ("EiffelMedia: my_project_name")
				set_application_id ("Hello_GLSL_World")
				set_window_icon ("icon.png")

				create keyboard.make_snapshot
				keyboard.enable_unicode_characters
				keyboard.enable_repeating_key_down_events (200, 100)

				load_eclipse_theme

				-- *** Set your application's first scene *** --

				-- Set first scene and launch it
				set_scene (create {CG_SCENE}.make_scene)

				launch

				-- Disable subsystems
				Video_subsystem.disable
				Audio_subsystem.disable
				Network_subsystem.disable
				Joystick_subsystem.disable
				Cdrom_subsystem.disable
			else
				if not Video_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise video subsystem.%N")
				end
				if not Audio_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise audio subsystem.%N")
				end
				if not Network_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise network subsystem.%N")
				end
				if not Joystick_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise joystick subsystem.%N")
				end
				if not Cdrom_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise cdrom subsystem.%N")
				end
			end
		end
end
