indexing

	description: "[

		Example showing how to use the highscore library

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class HIGHSCORE_EXAMPLE

inherit

	EM_APPLICATION

	SHARED_HIGHSCORE

create

	make

feature -- Initialization

	make is
			-- Create the main application.
		do
			network_subsystem.enable

			set_window_height (480)
			set_window_width(640)
			set_screen_resolution (32)

			set_opengl (false)

			video_subsystem.set_cursor_visibility (true)

			initialize_screen

			set_window_title ("EiffelMedia Highscore Example")
			set_window_icon ("./icon.png")
			set_application_id ("em_highscore_example")

			-- Read local highscore from default path (see documentation for more info)
			highscore.read_local

			set_scene (create {NEW_ENTRY_SCENE}.make_widget_scene)
			launch

			-- Write local highscore to disc
			highscore.write_local

			network_subsystem.disable
			video_subsystem.disable
		end
end
