indexing

	description: "[

		Sample client to send and receive messages with upd and tcp

	]"
	date: "$Date$"
	revision: "$Revision$"

class MESSAGE_CLIENT

inherit

	EM_APPLICATION

	EM_SHARED_THEME
		export {NONE} all end

create

	make

feature {NONE} -- Initialization

	make is
			-- Run echo server.
		local
			keyboard: EM_KEYBOARD
		do
			-- Enable video and network
			set_window_width(450)
			set_window_height(420)

			Network_subsystem.enable
			initialize_screen

			-- Set some options
			set_application_id ("em_message_client")
			set_window_title ("EiffelMedia: Message Client")
			set_window_icon ("icon.png")
			set_application_id ("message_client")

			load_eclipse_theme
			create keyboard.make_snapshot
			keyboard.enable_repeating_key_down_events (100, 50)

			-- Set scene and launch it
			set_scene (create {MESSAGE_CLIENT_SCENE}.make)
			launch

			-- Clean up
			Network_subsystem.disable
			Video_subsystem.disable
		end

end
