indexing

	description: "[

		Network multiplayer client example.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class EM_MP_SERVER

inherit

	EM_APPLICATION
	rename screen as main_screen end

create

	make

feature {NONE} -- Initialization

	make (args: ARRAY[STRING]) is
			-- Create the mp server test application.
		do
			set_window_width(800)
			set_window_height(600)

			initialize_screen

			set_window_title ("EM MULTIPLAYER SERVER EXAMPLE")
			set_window_icon ("icon.png")
			set_application_id ("multiplayer_server")

			-- enable the network subsystem
			network_subsystem.enable

			--make_scene
			create server_scene.make
			set_scene (server_scene)

			launch

			network_subsystem.disable
		end

feature {NONE} -- Implementation

	server_scene: EM_MP_SERVER_SCENE
			-- Server scene

	constants: EM_NETWORK_CONSTANTS
			-- Constants

	server_label: EM_LABEL
			-- Server label

	drawables: EM_DRAWABLE_PANEL
			-- Drawable panel

end
