indexing

	description: "[

		Network example.

	]"
	date: "$Date: 2005-10-24 19:29:48 +0200 (Mon, 24 Oct 2005) $"
	revision: "$Revision: 1242 $"

class NETWORK

inherit

	EM_APPLICATION

	EM_NETWORK_HELPER_FUNCTIONS

create

	make

feature {NONE} -- Initialization

	make is
			-- Create the main application.
		local
			-- clients : DS_LINKED_LIST[EM_TCP_REMOTE_SOCKET]
			server : EM_TCP_SERVER_SOCKET
			client : EM_TCP_CLIENT_SOCKET
			socket : EM_INET_SOCKET_ADDRESS
			stream1 : EM_BUFFERED_OUTPUT_STREAM
			stream2 : EM_BUFFERED_INPUT_STREAM
		do

			network_subsystem.enable
			if network_subsystem.is_enabled then
				create client.make_by_host ("localhost", 7)
				client.connect
				if client.is_connected then
					stream1 := client.output_stream
					stream2 := client.input_stream
					stream1.put ("test%N")
					io.put_string ("ready to be read: " + stream2.available.out)

					stream2.read_line
					io.putstring (stream2.last_item)
					client.close
				end
			end
		end

feature {NONE} -- Implementation

	constants : EM_NETWORK_CONSTANTS

end