indexing

	description: "[

		NEVER_ENDING_BACKGROUND demo for EiffelMedia. This demonstrates how you
		can combine an EM_NEVER_ENDING_BACKGROUND_HORIZONTAL
		with an EM_NEVER_ENDING_BACKGROUND_VERTICAL to build
		a background that is never ending.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class NEVER_ENDING_BACKGROUND

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Create the main application.
		do
			-- Initiliase subsystems
			set_screen_resolution(16)

			initialize_screen

			-- Check subsystem initialisation
			if Video_subsystem.is_enabled then

				-- Set global options
				set_window_title ("EiffelMedia never ending background")
				set_window_icon ("icon.png")
				set_application_id ("never_ending_background")

				-- Set first scene and launch it
				set_scene (create {NEVER_ENDING_BACKGROUND_SCENE}.make (screen))
				launch

				-- Disable subsystems
				Video_subsystem.disable
			else
				io.error.put_string ("Failed to initialise video subsystem.%N")
			end
		end
end
