indexing

	description: "[

		Example that demonstrates the classes generated with
		EiffelMedia Settings Generator

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class SETTINGS_WITH_WIDGETS

inherit

	EM_SHARED_USER_DIRECTORY

	SHARED_SETTINGS

	EM_APPLICATION

create

	make

feature -- Initialization

	make is
			-- root procedure of example
		do
			audio_subsystem.enable
			audio_subsystem.mixer.open_default

			set_window_width(640)
			set_window_height(480)
			initialize_screen

			video_subsystem.set_cursor_visibility (true)

			set_window_title ("EiffelMedia Settings with Widgets Example")
			set_window_icon ("icon.png")
			set_application_id ("settings_with_widgets")

			set_scene (create {SETTINGS_SCENE}.make_widget_scene)

			settings.read_user_settings
			launch
			-- When the application closes, write the user settings to disc
			settings.write_user_settings

			video_subsystem.disable
			audio_subsystem.disable
		end
end
