indexing

	description: "[

		GOOF panel demo.

	]"
	date: "$Date$"
	revision: "$Revision$"

class GOOF_DEMO_PANEL

inherit

	EM_PANEL

create

	make

feature {NONE} -- Initialisation

	make is
			-- Initialise panel.
		local
			text: STRING
			label: EM_LABEL
			goof_panel: EM_GOOF_PANEL
		do
			make_void_surface

			-- Help text

			create text.make_empty
			text.append_string ("To display an EM_GOOF_PHYSICS use an EM_GOOF_PANEL.%N")
			text.append_string ("Basic approach:%N")
			text.append_string (" - create EM_GOOF_PANEL%N")
			text.append_string (" - set or load EM_GOOF_PHYSICS%N")

			create label.make_from_text (text)
			label.set_position (70, 10)
			label.set_dimension (500, 90)
			label.enable_multilined
			label.align_top
			add_widget (label)

			-- GOOF Panel

			create goof_panel.make_from_dimension (500, 500)
			goof_panel.set_tooltip ("A goof panel")
			goof_panel.set_position (70, 100)
			goof_panel.set_border (create {EM_BEVEL_BORDER}.make_down)
			goof_panel.load_level_file ("goof/jumping_balls.xml")
			add_widget (goof_panel)
		end

end