indexing
	description: "Hide Closeup Action."
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class
	HIDE_CLOSEUP
inherit
	ACTION
redefine
	perform
end
	
create
	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			init_condition_lists
		end
		
feature -- Access

	perform(e: EVENT; g: GAME) is
			-- perform action on given game Object
		do
			-- remove current closeup
			g.set_current_closeup(void)
			
			-- debug output
			-- io.put_string("action performed: hide closeup")
			-- io.put_new_line
		end


end -- class HIDE_CLOSEUP
