indexing
	description: "[
					A condition list is, as its name says, a list of conditions.
					See DNF and KNF for more details.

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

deferred class
	CONDITION_LIST
		
feature -- Access
	
	init is
			-- initialize
		do
			create list.make
		end
		
	satisfied(context: CONTEXT): BOOLEAN is
			-- checks if condition list is satisfied
		deferred
		end

	add_condition(condition: CONDITION) is
			-- add condition to list
		do
			list.extend(condition)
		end

feature {NONE} -- Implementation

	list: LINKED_LIST[CONDITION]

end -- class CONDITION_LIST
