indexing
	description: "[
					DNF objects reppresent a or-list.

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class
	DNF
inherit
	CONDITION_LIST
create
	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			init
		end

feature -- Access

	satisfied(context: CONTEXT): BOOLEAN is
			-- Type your comment here
		do
			if list.count = 0 then
				-- DNF empty -> true
				result := true
			else
				-- fold (||) list
				result := false
				from
					list.start
				until
					list.after
				loop
					result := result or list.item.satisfied(context)
					list.forth
				end
			end
		end

feature {NONE} -- Implementation

end -- class DNF
