indexing
	description: "[
					CONTEXT objects represent a certain game context used fot processing
					events/actions. The CONTEXT class ist just a glueing class to merge
					registry, repository, trash and context item (see Event) into one
					class.
					For this reason, we do not have to pass 4 arguments when perfoming actions,
					but only one CONTEXT object (e.g. see ACTION.perform)

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"
	
class
	CONTEXT
create
	make

feature {NONE} -- Initialization

	make(reg: REGISTRY; rep, tra: REPOSITORY; item: ITEM) is
			-- Initialize `Current'.
		do
			registry := reg
			repository := rep
			trash := tra
			context_item := item
		end

feature -- Access

	registry: REGISTRY
	repository: REPOSITORY
	trash: REPOSITORY
	context_item: ITEM

end -- class CONTEXT
