indexing
	description: "interface for the parser"
	author: "Fabrizio Steiner"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

deferred class
	PARSER_INTERFACE

feature
	get_game: GAME is
			-- returns the game object build
	deferred
	end
	
	set_filename(a_filename:STRING) is
			-- sets the xml filename to parse
	require
		a_filename /= void
	deferred
	end
	
	startparsing is
			-- starts parsing the file
	deferred
	end
		
	error_string: STRING is
			-- returns error string
	deferred
	end
	
	error_happened: BOOLEAN is
			-- has an error occurred
	deferred
	end
		

end -- class PARSER_INTERFACE
