indexing
	description: 
		"[
			processor for action node
		 ]"

	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class ACTIONS_NODE_PROCESSOR 

inherit
	NODE_PROCESSOR
	
create
	make
	
feature -- Access

	Name: STRING is "actions"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << >>
			Result.compare_objects
		end

feature -- Basic operations

	process is
			-- Process node.
		local	
			clickable: TRIGGER
		do
			clickable ?= target
			when_void_set_parent_node_error (clickable)
			
			if not has_error and then has_subnodes then
				process_subnodes
			end 
		end		
		
end