indexing
	description: 
		"[
			processor for nodes of type condition_list
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

deferred class CONDITION_LIST_PROCESSOR

inherit
	NODE_PROCESSOR

feature -- Basic operations

	process is
			-- Process node.
		local
			condition_ob: CONDITIONED
			list: CONDITION_LIST
		do
			condition_ob ?= target
			
			when_void_set_parent_node_error (condition_ob)
			
			if not has_error then
				list := get_condition_list(condition_ob)
	
				set_target(list)
				
				if has_subnodes then
					process_subnodes
				end
			end
		end		
	
	get_condition_list(a_conditioned: CONDITIONED):CONDITION_LIST is
			-- 
	deferred
	end
		
end