indexing
	description: 
		"[
			processor nodes of type dimensioned
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

deferred class DIMENSIONED_PROCESSOR [G -> DIMENSIONED]

inherit
	NODE_PROCESSOR
	
feature -- Access

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "x","y" >>
			Result.compare_objects
		end

feature -- Basic operations

	process is
			-- Process node.
		local
			item: G
		do
			item := create_item
			
			if not has_error then
				item.set_position (attribute_integer("x"),attribute_integer("y")) 
				if has_attribute("w") and has_attribute("h") then
					item.set_demension (attribute_integer("w"),attribute_integer("h")) 				
				end
				
				set_target(item)
				
				if has_subnodes then
					process_subnodes
				end
			end
		end		
	
	create_item():G is
			-- 
	deferred
	end
		
end