indexing
	description: 
		"[
			processor for game node
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class GAME_NODE_PROCESSOR 

inherit
	NODE_PROCESSOR
	
create
	make
	
feature -- Access

	Name: STRING is "game"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "startscene" >>
			Result.compare_objects
		end

feature -- Basic operations

	process is
			-- Process node.
		local
			game: GAME
		do
			game ?= target
			
			when_void_set_parent_node_error (game)
			
			if not has_error then
				game.set_start_scene(pool.get_scene(attribute ("startscene")))
			
				if has_subnodes then
					process_subnodes
				end
			end
		end		
		
end