indexing
	description: 
		"[
			processor for option node
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class OPTION_NODE_PROCESSOR

inherit
	NODE_PROCESSOR
	
create
	make

feature -- Access
	name: STRING is "option"

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "text" >>
			Result.compare_objects
		end
		
feature -- Basic operations

	process is
			-- Process node.
		local
			closeup: CLOSEUP
			option: OPTION
		do
			closeup ?= target
			
			when_void_set_parent_node_error (closeup)
			
			if not has_error then
				create option.make (attribute("text"))
	
				closeup.add_option (option)
				
				set_target(option)
				
				if has_subnodes then
					process_subnodes
				end
			end
		end		
end