indexing
	description: 
		"[
			processor for pickup node
		 ]"

	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class PICKUP_NODE_PROCESSOR 

inherit
	ACTION_PROCESSOR [PICKUP]
	
create
	make
	
feature -- Access

	Name: STRING is "pickup"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "item_name" >>
			Result.compare_objects
		end

feature -- Basic operations

	create_item: PICKUP is
			-- Process node.
		do	
			create result.make(pool.get_item (attribute("item_name")))
		end		
		
end