indexing
	description: 
		"[
			processor for show_closeup node
		 ]"

	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class SHOW_CLOSEUP_NODE_PROCESSOR 

inherit
	ACTION_PROCESSOR [SHOW_CLOSEUP]
	
create
	make
	
feature -- Access

	Name: STRING is "show_closeup"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "closeup_name" >>
			Result.compare_objects
		end

feature -- Basic operations

	create_item: SHOW_CLOSEUP is
			-- Process node.
		do	
			create result.make(pool.get_closeup(attribute("closeup_name")))
		end		
		
end