indexing

	description: "[

		Implements a sound file used for soundeffects.
		
		This file can be either WAVE, AIFF, RIFF, OGG or VOC.

	]"
	date: "$Date: 2006-02-28 17:52:20 +0100 (Tue, 28 Feb 2006) $"
	revision: "$Revision: 1892 $"

class EM_SOUND

inherit

	EM_AUDIO

	EM_AUDIO_CONSTANTS
		export
			{NONE}	all
			{ANY}	Em_max_volume
		end

	SDL_MIXER_FUNCTIONS
		export {NONE} all end

create

	{EM_AUDIO_FACTORY} make_from_pointer

feature -- Setters

	set_volume (a_volume: INTEGER) is
			-- Set chunk volume to `a_volume'.
			--
			-- Note: This is not the channel volume.
		require
			volume_in_range: 0 <= a_volume and a_volume <= Em_max_volume
		local
			i: INTEGER
		do
			i := mix_volume_chunk_external (item, a_volume)
		end

end
