indexing
	description: "[
		A quaternion that can be interpolated between a sequence of control quaternions.
		The generic parameter specifies the interpolation type.
		]"
	date: "$Date: Jan 6, 2007 12:21:55 PM$"
	revision: "$Revision: 1.0$"

expanded class EM_INTERPOLATION_QUATERNION[ G->EM_QUATERNION_INTERPOLATOR create default_create end ]

inherit
	EM_INTERPOLATION_QUATERNION_REF[ G ]
	rename
		make as set,
		make_from_rotation as set_from_rotation,
		make_from_matrix44 as set_from_matrix44,
		make_from_arc as set_from_arc,
		make_from_quaternion as set_from_quaternion
	end

create
	default_create,
	make_from_reference,
	make_from_tuple,
	make_from_vector_tuple,
	make_from_vector_ref_tuple,
	set_from_matrix44,
	set_from_quaternion

convert
	make_from_reference ({EM_QUATERNION_REF}),
	make_from_tuple ({TUPLE[DOUBLE, DOUBLE, DOUBLE, DOUBLE]}),
	make_from_vector_ref_tuple ({TUPLE[EM_VECTOR3D_REF,DOUBLE]}),
	make_from_vector_tuple ({TUPLE[EM_VECTOR3D,DOUBLE]}),
	set_from_matrix44 ({EM_MATRIX44}),
	set_from_quaternion ({EM_QUATERNION}),
	to_quaternion: {EM_QUATERNION}

end -- class EM_INTERPOLATION_QUATERNION
