indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2007-05-18 12:07:13 +0200 (Fri, 18 May 2007) $"
	revision: "$Revision: 2583 $"

deferred class
	EM3D_MATERIAL_FACTORY

inherit
	EM3D_RESOURCE_FACTORY[ EM3D_MATERIAL ]
		rename
			resources as materials,
			add_resource as add_material,
			new_resource as new_material,
			load_resource_internal as load_material_internal,
			load_resource as load_material
		redefine
			new_material
		end
feature
	new_material( a_name: STRING ): EM3D_MATERIAL is
			-- Create a new material
		do
			result := Precursor( a_name )
			if result=void then
				error_handler.raise_warning ( error_codes.em_error_em3d_material_factory, [ "Material '"+a_name+"' not found! Using default material"] )
				create result
			end
		end

end -- class MATERIAL_FACTORY
