indexing
	description: "This Class manages some textures loads them and creates new ones"
	author: ""
	date: "$Date: 2007-05-18 12:07:13 +0200 (Fri, 18 May 2007) $"
	revision: "$Revision: 2583 $"

class
	EM3D_TEXTURE_FACTORY

inherit
	EM_SHARED_BITMAP_FACTORY
	EM3D_RESOURCE_FACTORY[ EM3D_TEXTURE_2D[ EMGL_FORMAT_RGBA ] ]
		rename
			resources as textures,
			add_resource as add_texture,
			new_resource as new_texture,
			load_resource_internal as load_texture_internal,
			load_resource as load_texture
		end
create
	make
feature {NONE} -- Implementation
	load_texture_internal( a_filename: STRING ) is
			-- Load a single texture
		local
			tex: like new_texture
		do
			bitmap_factory.create_bitmap_from_image ( a_filename )
			create tex.make_mipmap_from_surface_stretched ( bitmap_factory.last_bitmap )
			textures.force ( tex, a_filename )
		end


end
