indexing

	description: "[

		An Entity.

	]"
	date: "$Date: 2007-05-30 00:54:33 +0200 (Wed, 30 May 2007) $"
	revision: "$Revision: 2597 $"

class EM3D_ENTITY

inherit

	EM3D_MOVABLE
	redefine
		make
	end

	GL_FUNCTIONS
	undefine
		copy, is_equal
	end

create {EM3D_OBJECT_MANAGER}
	make

feature -- Initialisation

	make( a_scene_manager: like scene_manager ) is
			-- Init
		do
			Precursor(a_scene_manager)
			set_visible (true)
		end


feature -- Access

feature -- Measurement

feature -- Status report

feature -- Status setting

feature -- Cursor movement

feature -- Element change

feature -- Removal

feature -- Resizing

feature -- Transformation

feature -- Conversion

feature -- Duplication

feature -- Miscellaneous

feature -- Basic operations


	render_opengl is
			-- Perform opengl command. This is a hack to test the current implementation, maybe do this different later...
		do
			gl_color3f (1.0, 0.8, 0.0)
			quadric_renderer.sphere (0.1, 10, 10)
		end

feature -- Obsolete

feature -- Inapplicable

feature {NONE} -- Implementation

	quadric_renderer: EMGLU_QUADRIC is
			-- the quadric renderer
		once
			create Result
		end

invariant
	invariant_clause: True -- Your invariant here

end
