indexing
	description: "[
	
		This class encapsulates properties which affect rendering.
		Examples are materials (which itself define a lot of parameters), auto normalization of normals, etc.

	]"
	date: "$Date: 2007-05-26 09:11:23 +0200 (Sat, 26 May 2007) $"
	revision: "$Revision: 2593 $"

deferred class EM3D_RENDER_PARAMETERS


inherit
	ANY


feature -- Drawing
--	material: EM3D_MATERIAL is
--				-- The `material' attribute.
--		deferred
--		ensure
--			result_not_void: Result /= Void
--		end

feature -- Status

	is_normalizing_normals: BOOLEAN is
			-- Should the EM3D system automatically normalize the normals?
			-- Use this feature if your normals are not normalized.
			-- Without normalized normals some computation, like lighting, yield incorrect results.
		deferred
		ensure
			result_not_void: Result /= Void
		end

end -- class EM3D_RENDERABLE
