indexing

	description: "[

		Specifies the interface of a scene manager.


	]"
	date: "$Date: 2007-07-10 13:37:42 +0200 (Tue, 10 Jul 2007) $"
	revision: "$Revision: 2604 $"

deferred class EM3D_SCENE_MANAGER

feature -- Access

	world: EM3D_SCENE_NODE
			-- Represents the root node of the world.

	light: EM3D_LIGHT_MANAGER
			-- The light manager.

	entity: EM3D_OBJECT_MANAGER[EM3D_ENTITY]
			-- The entity manager.

	camera: EM3D_CAMERA_MANAGER
			-- The camera manager.

	target: EM3D_OBJECT_MANAGER[EM3D_TARGET]
			-- The camera manager.

	animation: EM3D_ANIMATION_MANAGER
			-- The animation manager
	
	-- particle_system: EM3D_OBJECT_MANAGER[NONE]
			-- The particle system manager.

--	update_world is
--			-- Temporary for testing TODO: remove
--		do
--			world.update_if_needed
--		end

	render_world is
			-- Temporary for testing TODO: remove
		do
			world.render_opengl
		end

feature {EM3D_RESOURCE, EM3D_RESOURCE_FACTORY} -- Factories
	mesh_factory: EM3D_COMBINED_MESH_FACTORY
	texture_factory: EM3D_TEXTURE_FACTORY
	material_factory: EM3D_COMBINED_MATERIAL_FACTORY

feature -- Factories
	model_factory: EM3D_COMBINED_MODEL_FACTORY

feature -- Measurement

feature -- Status report

feature -- Status setting

feature -- Cursor movement

feature -- Element change

feature -- Removal

feature -- Resizing

feature -- Transformation

feature -- Conversion

feature -- Duplication

feature -- Miscellaneous

feature -- Basic operations

feature -- Obsolete

feature -- Inapplicable

feature {NONE} -- Implementation

invariant
	invariant_clause: True -- Your invariant here

end
