indexing
	description: "Objects that ..."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	EM3D_IDENTIFIED_SUPPORT

inherit
	EM3D_IDENTIFIED_TYPES

	EM_NAME_SUPPORT[STRING]
		undefine
			is_equal,
			copy
		end

feature
	object_by_name (a_name: STRING): EM3D_IDENTIFIED_SUPPORT is
			-- Returns either Void or a reference to the corresponding object.
		require
			a_name_not_void: a_name/=void
		deferred
		ensure
			consistent: result = void or else result.name.is_equal ( a_name )
		end

	id_object( an_id: INTEGER ): EM3D_IDENTIFIED_SUPPORT is
			-- Returns the object attached to id
		deferred
		ensure
			consistent: Result = Void or else Result.object_id = an_id
		end

	object_id: INTEGER is
		deferred
		end

	default_name: STRING is
		deferred
		end
	type: INTEGER is
		deferred
		end

end
