indexing

	description: "[

		An EM_GOOF_UNARY_FORCE that applies only in a certain EM_GOOF_AREA.

	]"
	date: "$Date: 2005-10-23 11:39:25 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1116 $"

deferred class

	EM_GOOF_LOCALIZED_FORCE

inherit

	EM_GOOF_UNARY_FORCE

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- properties

	effect_area: EM_GOOF_AREA
		-- Area in with this force is effective

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Processing

	is_force_applicable(object: EM_GOOF_PHYSICABLE): BOOLEAN is
			-- Does the force apply to this object?
		do
			result := effect_area.is_in_area(object.position)
		end

invariant
	effect_area_not_void: effect_area /= void
end