indexing

	description: "[

		Goof loader object physicable node processor.

	]"
	date: "$Date: 2005-10-23 17:36:59 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1155 $"

deferred class

	EM_GOOF_LOADER_OBJECT_PHYSICABLE_NODE_PROCESSOR

inherit

	EM_GOOF_LOADER_NODE_PROCESSOR

feature -- Loading

	load_physicable(object: EM_GOOF_PHYSICABLE) is
			-- Load physicable
		do
			if has_attribute ("move_x") then
				if attribute("move_x").is_double then
					object.movement.set_x(attribute("move_x").to_double)
				else
					set_error (Non_numeric_argument, << "move_x" >>)
				end
			end
			if has_attribute ("move_y") then
				if attribute("move_y").is_double then
					object.movement.set_y(attribute("move_y").to_double)
				else
					set_error (Non_numeric_argument, << "move_y" >>)
				end
			end
			if has_attribute ("mass") then
				if attribute("mass").is_double then
					object.set_mass(attribute("mass").to_double)
				else
					set_error (Non_numeric_argument, << "mass" >>)
				end
			end
			if has_attribute ("friction") then
				if attribute("friction").is_double then
					object.set_friction(attribute("friction").to_double)
				else
					set_error (Non_numeric_argument, << "friction" >>)
				end
			end
		end

end