indexing

	description: "[

		Goof loader object simple node processor.

	]"
	date: "$Date: 2005-10-23 17:36:59 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1155 $"

deferred class

	EM_GOOF_LOADER_OBJECT_SIMPLE_NODE_PROCESSOR

inherit

	EM_GOOF_LOADER_NODE_PROCESSOR

	EM_SHARED_BITMAP_FACTORY
		export
			{NONE} all
		undefine
			default_create
		end

feature -- Loading

	load_image(object: EM_GOOF_OBJECT) is
			-- load the image
		do
			bitmap_factory.create_bitmap_from_image(attribute("image"))
			check
				bitmap_factory.last_bitmap /= void
			end
			object.make(bitmap_factory.last_bitmap, attribute("x").to_double, attribute("y").to_double, level)
		end

	load_name(object: EM_GOOF_OBJECT) is
			-- Load name for registry
		do
			if has_attribute ("name") then
				level.register_object(attribute("name"), object)
			end
		end

end