#include <em_base.h>
#include <string.h>

// get user event type from user event
int get_sdl_user_event_type (SDL_Event *e)
{
  return e->user.code;
}

int get_sdl_event_union_sizeof ()
{
  return sizeof(SDL_Event);
}

Uint8 get_sdl_event_union_type (SDL_Event* a_item)
{
  return a_item->type;
}

void set_sdl_event_union_type (SDL_Event* a_item, Uint8 a_value)
{
  a_item->type = a_value;
}

int sdl_enable_key_repeat (int delay, int interval)
{
  return SDL_EnableKeyRepeat(delay, interval);
}

#ifdef __APPLE__
// MAC OS X main hack
// We let the 'main' from libSDLmain call this 'SDL_main'
// which in turn calls the 'main' which ISE Eiffel generates
// (which we renamed to 'SDL_main_eiffel' via a preprocessor macro)
// We need this intermediate step, because ISE's 'main' takes 3 arguments
// while libSDLmain expects a main with only 2 arguments.
int SDL_main_eiffel (int argc, char** argv, char** envp);
extern char** environ;
int SDL_main (int argc, char** argv)
{
        return SDL_main_eiffel (argc, argv, environ);
}
#endif


//em_net-caster's used to transfer doubles and reals over the network
int cast_float_to_int(float f)
{
	int i;
        /*((char*)&i)[0]=((char*)&f)[0];
        ((char*)&i)[1]=((char*)&f)[1];
        ((char*)&i)[2]=((char*)&f)[2];
        ((char*)&i)[3]=((char*)&f)[3];*/
	i = *((int*)((void*)(&f)));	
	return i;
}
float cast_int_to_float(int i)
{
	float f;
	/*((char*)&f)[0]=((char*)&i)[0];
        ((char*)&f)[1]=((char*)&i)[1];
        ((char*)&f)[2]=((char*)&i)[2];
        ((char*)&f)[3]=((char*)&i)[3];*/
	f = *((float*)((void*)(&i)));
	return f;					
}
/*int_pair cast_double_to_long_int(double d)
{
	int_pair i;
        ((char*)&(i.w1))[0]=((char*)&d)[0];
        ((char*)&(i.w1))[1]=((char*)&d)[1];
        ((char*)&(i.w1))[2]=((char*)&d)[2];
        ((char*)&(i.w1))[3]=((char*)&d)[3];
        ((char*)&(i.w2))[0]=((char*)&d)[4];
        ((char*)&(i.w2))[1]=((char*)&d)[5];
        ((char*)&(i.w2))[2]=((char*)&d)[6];
        ((char*)&(i.w2))[3]=((char*)&d)[7];
	return i;
}
double cast_long_int_to_double(int_pair i)
{
	double d;
	((char*)&d)[0]=((char*)&(i.w1))[0];
        ((char*)&d)[1]=((char*)&(i.w1))[1];
        ((char*)&d)[2]=((char*)&(i.w1))[2];
        ((char*)&d)[3]=((char*)&(i.w1))[3];
	((char*)&d)[4]=((char*)&(i.w2))[0];
        ((char*)&d)[5]=((char*)&(i.w2))[1];
        ((char*)&d)[6]=((char*)&(i.w2))[2];
        ((char*)&d)[7]=((char*)&(i.w2))[3];
	return d;					
}*/
