indexing

	description: "[

		This class represents a client object.
		
		This is currently not used (I think?).
		
		mtn: Kick it over board...

	]"
	date: "$Date: 2005-10-26 16:05:23 +0200 (Wed, 26 Oct 2005) $"
	revision: "$Revision: 1295 $"

class	EM_NET_CLIENT_OBJECT

inherit

	EM_NET_OBJECT
		redefine
			is_synchronisation_needed
		end

create {EM_NET_OBJECT_FACTORY, EM_NET_OBJECT_TYPES}

	make_set_type

feature -- Serialization

	serialize (a_serializer : EM_NET_SERIALIZER) is
			-- Serialize to the given stream using `a_serializer'.
		do

		end

	serialization_byte_count: INTEGER is
			-- Count of bytes needed for a successful serialization
		do
			Result := 0
		end

	unserialize (an_unserializer : EM_NET_UNSERIALIZER) is
			-- Unserialize from a given stream using `an_unserializer'.
		do

		end

feature -- Information

	address: EM_INET_SOCKET_ADDRESS
			-- Address of the current client

	is_synchronisation_needed : BOOLEAN is
			-- Is synchronisation needed?
		do
			Result := False
		end

	personal_group: EM_NET_GROUP
			-- Personal group
			-- Each peer has a personal group where he's the only member.

feature -- Element change

	set_personal_group (a_group: EM_NET_GROUP) is
			-- Set `personal_group' to `a_group'.
		require
			a_group_not_void: a_group /= Void
		do
			personal_group := a_group
		ensure
			personal_group_set:	personal_group = a_group
		end

	set_address(an_address: EM_INET_SOCKET_ADDRESS) is
			-- Sets `address' to `an_address'.
		do
			address := an_address
		ensure
			address_set: address = an_address
		end

end
