indexing
	description: "Map 0..1 to grayscale value"
	author: ""
	date: "$Date: 2006-07-31 13:16:51 +0200 (Mon, 31 Jul 2006) $"
	revision: "$Revision: 2089 $"

class
	EM_COLOR_MAPPER_GRAYSCALE

inherit
	EM_COLOR_MAPPER

feature {NONE}

	compute_color_internal(a_value: DOUBLE) is
				-- Map a value between 0 and 1 to a value between 0 and 255
				-- That is, simply output a grayscale value
			local
				gray_value: INTEGER
			do
				gray_value := (a_value * 255.0).floor

				last_red := gray_value
				last_green := gray_value
				last_blue := gray_value

				last_alpha := 255

				is_last_color_grayscale := true
			end
end
