indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2006-07-31 13:16:51 +0200 (Mon, 31 Jul 2006) $"
	revision: "$Revision: 2089 $"

class
	EM_COSINE_INTERPOLATOR

inherit
	EM_INTERPOLATOR
	MATH_CONST
	DOUBLE_MATH

feature
	interpolate(a, b: DOUBLE; x: DOUBLE): DOUBLE is
			-- cosine interpolation between a and be at position x
		local
			ft, f: DOUBLE
		do
			ft := x * PI
			f := (1 - cosine(ft)) * 0.5
			Result := a * (1 - f) + b * f
		end
end
