indexing
	description: "A 2D Texture takes two values x and y and evaluates some function at that point"
	author: "Urs Doenni"
	date: "$Date: 2006-08-28 13:01:46 +0200 (Mon, 28 Aug 2006) $"
	revision: "$Revision: 2214 $"

deferred class
	EM_PROCEDURE[V -> EM_ABSTRACT_VECTOR[DOUBLE]]

feature
	evaluate_at(position: V): DOUBLE is
			-- Evaluate the procedure at point (x,y)
		deferred
		ensure
			Valid_result: Result >= 0 and Result <= 1.0
		end
end
