indexing

	description: "[

		Constants used in the OpenGL part of the EiffelMedia library.

	]"
	date: "$Date: 2005-10-24 06:01:08 +0200 (Mon, 24 Oct 2005) $"
	revision: "$Revision: 1185 $"

class EM_GLU_CONSTANTS

feature -- GLU constants

	-- Extensions
	Em_glu_ext_object_space_tess: INTEGER is 1
	Em_glu_ext_nurbs_tessellator: INTEGER is 1

	-- Boolean
	Em_glu_false: INTEGER is 0
	Em_glu_true: INTEGER is 1

	-- Version
	Em_glu_version_1_1: INTEGER is 1
	Em_glu_version_1_2: INTEGER is 1
	Em_glu_version_1_3: INTEGER is 1

	-- StringName
	Em_glu_version: INTEGER is 100800
	Em_glu_extensions: INTEGER is 100801

	-- ErrorCode
	Em_glu_invalid_enum: INTEGER is 100900
	Em_glu_invalid_value: INTEGER is 100901
	Em_glu_out_of_memory: INTEGER is 100902
	Em_glu_invalid_operation: INTEGER is 100904

	-- NurbsDisplay
	-- GLU_FILL
	Em_glu_outline_polygon: INTEGER is 100240
	Em_glu_outline_patch: INTEGER is 100241

	-- NurbsCallback
	Em_glu_nurbs_error: INTEGER is 100103
	Em_glu_error: INTEGER is 100103
	Em_glu_nurbs_begin: INTEGER is 100164
	Em_glu_nurbs_begin_ext: INTEGER is 100164
	Em_glu_nurbs_vertex: INTEGER is 100165
	Em_glu_nurbs_vertex_ext: INTEGER is 100165
	Em_glu_nurbs_normal: INTEGER is 100166
	Em_glu_nurbs_normal_ext: INTEGER is 100166
	Em_glu_nurbs_color: INTEGER is 100167
	Em_glu_nurbs_color_ext: INTEGER is 100167
	Em_glu_nurbs_texture_coord: INTEGER is 100168
	Em_glu_nurbs_tex_coord_ext: INTEGER is 100168
	Em_glu_nurbs_end: INTEGER is 100169
	Em_glu_nurbs_end_ext: INTEGER is 100169
	Em_glu_nurbs_begin_data: INTEGER is 100170
	Em_glu_nurbs_begin_data_ext: INTEGER is 100170
	Em_glu_nurbs_vertex_data: INTEGER is 100171
	Em_glu_nurbs_vertex_data_ext: INTEGER is 100171
	Em_glu_nurbs_normal_data: INTEGER is 100172
	Em_glu_nurbs_normal_data_ext: INTEGER is 100172
	Em_glu_nurbs_color_data: INTEGER is 100173
	Em_glu_nurbs_color_data_ext: INTEGER is 100173
	Em_glu_nurbs_texture_coord_data: INTEGER is 100174
	Em_glu_nurbs_tex_coord_data_ext: INTEGER is 100174
	Em_glu_nurbs_end_data: INTEGER is 100175
	Em_glu_nurbs_end_data_ext: INTEGER is 100175

	-- NurbsError
	Em_glu_nurbs_error1: INTEGER is 100251
	Em_glu_nurbs_error2: INTEGER is 100252
	Em_glu_nurbs_error3: INTEGER is 100253
	Em_glu_nurbs_error4: INTEGER is 100254
	Em_glu_nurbs_error5: INTEGER is 100255
	Em_glu_nurbs_error6: INTEGER is 100256
	Em_glu_nurbs_error7: INTEGER is 100257
	Em_glu_nurbs_error8: INTEGER is 100258
	Em_glu_nurbs_error9: INTEGER is 100259
	Em_glu_nurbs_error10: INTEGER is 100260
	Em_glu_nurbs_error11: INTEGER is 100261
	Em_glu_nurbs_error12: INTEGER is 100262
	Em_glu_nurbs_error13: INTEGER is 100263
	Em_glu_nurbs_error14: INTEGER is 100264
	Em_glu_nurbs_error15: INTEGER is 100265
	Em_glu_nurbs_error16: INTEGER is 100266
	Em_glu_nurbs_error17: INTEGER is 100267
	Em_glu_nurbs_error18: INTEGER is 100268
	Em_glu_nurbs_error19: INTEGER is 100269
	Em_glu_nurbs_error20: INTEGER is 100270
	Em_glu_nurbs_error21: INTEGER is 100271
	Em_glu_nurbs_error22: INTEGER is 100272
	Em_glu_nurbs_error23: INTEGER is 100273
	Em_glu_nurbs_error24: INTEGER is 100274
	Em_glu_nurbs_error25: INTEGER is 100275
	Em_glu_nurbs_error26: INTEGER is 100276
	Em_glu_nurbs_error27: INTEGER is 100277
	Em_glu_nurbs_error28: INTEGER is 100278
	Em_glu_nurbs_error29: INTEGER is 100279
	Em_glu_nurbs_error30: INTEGER is 100280
	Em_glu_nurbs_error31: INTEGER is 100281
	Em_glu_nurbs_error32: INTEGER is 100282
	Em_glu_nurbs_error33: INTEGER is 100283
	Em_glu_nurbs_error34: INTEGER is 100284
	Em_glu_nurbs_error35: INTEGER is 100285
	Em_glu_nurbs_error36: INTEGER is 100286
	Em_glu_nurbs_error37: INTEGER is 100287

	-- NurbsProperty
	Em_glu_auto_load_matrix: INTEGER is 100200
	Em_glu_culling: INTEGER is 100201
	Em_glu_sampling_tolerance: INTEGER is 100203
	Em_glu_display_mode: INTEGER is 100204
	Em_glu_parametric_tolerance: INTEGER is 100202
	Em_glu_sampling_method: INTEGER is 100205
	Em_glu_u_step: INTEGER is 100206
	Em_glu_v_step: INTEGER is 100207
	Em_glu_nurbs_mode: INTEGER is 100160
	Em_glu_nurbs_mode_ext: INTEGER is 100160
	Em_glu_nurbs_tessellator: INTEGER is 100161
	Em_glu_nurbs_tessellator_ext: INTEGER is 100161
	Em_glu_nurbs_renderer: INTEGER is 100162
	Em_glu_nurbs_renderer_ext: INTEGER is 100162

	-- NurbsSampling
	Em_glu_object_parametric_error: INTEGER is 100208
	Em_glu_object_parametric_error_ext: INTEGER is 100208
	Em_glu_object_path_length: INTEGER is 100209
	Em_glu_object_path_length_ext: INTEGER is 100209
	Em_glu_path_length: INTEGER is 100215
	Em_glu_parametric_error: INTEGER is 100216
	Em_glu_domain_distance: INTEGER is 100217

	-- NurbsTrim
	Em_glu_map1_trim_2: INTEGER is 100210
	Em_glu_map1_trim_3: INTEGER is 100211

	-- QuadricDrawStyle
	Em_glu_point: INTEGER is 100010
	Em_glu_line: INTEGER is 100011
	Em_glu_fill: INTEGER is 100012
	Em_glu_silhouette: INTEGER is 100013

	-- QuadricCallback
	-- GLU_ERROR

	-- QuadricNormal
	Em_glu_smooth: INTEGER is 100000
	Em_glu_flat: INTEGER is 100001
	Em_glu_none: INTEGER is 100002

	-- QuadricOrientation
	Em_glu_outside: INTEGER is 100020
	Em_glu_inside: INTEGER is 100021

	-- TessCallback
	Em_glu_tess_begin: INTEGER is 100100
	Em_glu_begin: INTEGER is 100100
	Em_glu_tess_vertex: INTEGER is 100101
	Em_glu_vertex: INTEGER is 100101
	Em_glu_tess_end: INTEGER is 100102
	Em_glu_end: INTEGER is 100102
	Em_glu_tess_error: INTEGER is 100103
	Em_glu_tess_edge_flag: INTEGER is 100104
	Em_glu_edge_flag: INTEGER is 100104
	Em_glu_tess_combine: INTEGER is 100105
	Em_glu_tess_begin_data: INTEGER is 100106
	Em_glu_tess_vertex_data: INTEGER is 100107
	Em_glu_tess_end_data: INTEGER is 100108
	Em_glu_tess_error_data: INTEGER is 100109
	Em_glu_tess_edge_flag_data: INTEGER is 100110
	Em_glu_tess_combine_data: INTEGER is 100111

	-- TessContour
	Em_glu_cw: INTEGER is 100120
	Em_glu_ccw: INTEGER is 100121
	Em_glu_interior: INTEGER is 100122
	Em_glu_exterior: INTEGER is 100123
	Em_glu_unknown: INTEGER is 100124

	-- TessProperty
	Em_glu_tess_winding_rule: INTEGER is 100140
	Em_glu_tess_boundary_only: INTEGER is 100141
	Em_glu_tess_tolerance: INTEGER is 100142

	-- TessError
	Em_glu_tess_error1: INTEGER is 100151
	Em_glu_tess_error2: INTEGER is 100152
	Em_glu_tess_error3: INTEGER is 100153
	Em_glu_tess_error4: INTEGER is 100154
	Em_glu_tess_error5: INTEGER is 100155
	Em_glu_tess_error6: INTEGER is 100156
	Em_glu_tess_error7: INTEGER is 100157
	Em_glu_tess_error8: INTEGER is 100158
	Em_glu_tess_missing_begin_polygon: INTEGER is 100151
	Em_glu_tess_missing_begin_contour: INTEGER is 100152
	Em_glu_tess_missing_end_polygon: INTEGER is 100153
	Em_glu_tess_missing_end_contour: INTEGER is 100154
	Em_glu_tess_coord_too_large: INTEGER is 100155
	Em_glu_tess_need_combine_callback: INTEGER is 100156

	-- TessWinding
	Em_glu_tess_winding_odd: INTEGER is 100130
	Em_glu_tess_winding_nonzero: INTEGER is 100131
	Em_glu_tess_winding_positive: INTEGER is 100132
	Em_glu_tess_winding_negative: INTEGER is 100133
	Em_glu_tess_winding_abs_geq_two: INTEGER is 100134

end