indexing
	description: "[
	
		Name support. This is not intendet for type inheritance but code inheritance.
		So many things have names. Simply inherit from this class to get name support.

	]"
	date: "$Date: 2006-09-24 11:18:01 +0200 (Sun, 24 Sep 2006) $"
	revision: "$Revision: 2277 $"

class EM_NAME_SUPPORT[G]

feature -- Access

	name: G

feature -- Status report

	has_name: BOOLEAN is
			-- Has this instance a valid name?
		do
			Result := (name /= Void) or (name = 0)
		end

feature -- Element change

	set_name (a_name: G) is
			-- Set name `a_name'
		require
			valid_name: a_name /= void
		do
			name := a_name
		ensure
			valid_name: name /= void
		end

invariant
	invariant_clause: True -- Your invariant here

end
