indexing

	description: "[

		A pair of objects.

	]"
	date: "$Date: 2005-10-24 06:01:08 +0200 (Mon, 24 Oct 2005) $"
	revision: "$Revision: 1185 $"

class EM_PAIR [G, H]

create

	make

feature -- Creation

	make (v1:G; v2:H) is
			-- creates the pair
		do
			first := v1
			second := v2
		ensure
			first = v1
			second = v2
		end

feature -- Element Change

	put (v1: G; v2: H) is
			-- Put elements into pair.
		do
			first := v1
			second := v2
		ensure
			first = v1
			second = v2
		end

	put_first (v1:G) is
			-- Puts an element into the first part of the pair.
		do
			first := v1
		ensure
			first = v1
		end

	put_second (v2:H) is
			-- Puts an element into the second part of the pair
		do
			second := v2
		ensure
			second = v2
		end

feature -- Access

	first: G
			-- First element of the pair

	second: H
			-- Second element of the pair

end