indexing
	description: "[
		
		Alignment constants.
		Assumes that values increase from left-to-right, top-to-bottom,
		front-to-back. (right-handed coordinate system with x-axis pointing to
		the right and y-axis pointing to the bottom)
		Be careful, this is different from the coordinate system that Em3d and
		OpenGL normally use (left-handed!).

	]"
	author: ""
	date: "$Date: 2006-11-13 11:41:40 +0100 (Mon, 13 Nov 2006) $"
	revision: "$Revision: 2364 $"

class EM_SHARED_ALIGNMENT

obsolete

	"Use EM_ALIGNMENT_CONSTANTS instead"

feature -- Access

	Align_user_specified: INTEGER is 0
			-- User specified alignment

	Align_lower, Align_left, Align_top, Align_front: INTEGER is 1
			-- Align lower boundary

	Align_center: INTEGER is 2
			-- Align center

	Align_upper, Align_right, Align_bottom, Align_back: INTEGER is 3
			-- Align upper boundary

end
