indexing
	description: "A wrapper to some basic Opengl functions"
	date: "$Date: 2007-01-08 21:13:18 +0100 (Mon, 08 Jan 2007) $"
	revision: "$Revision: 2392 $"

class EMGL_FUNCTIONS

inherit
	GL_FUNCTIONS_EXTERNAL

feature --Status
	emgl_get_error: INTEGER is
			-- Return last OpenGL error code
		do
			Result := gl_get_error_external
		end
	emgl_get_boolean( pname: INTEGER ):BOOLEAN is
			-- Return a single boolean Value as the current status of 'pname'
		do
			gl_get_booleanv_external( pname, $result )
		end
	emgl_get_double( pname: INTEGER ):DOUBLE is
			-- Return a single double Value as the current status of 'pname'
		do
			gl_get_doublev_external( pname, $result )
		end
	emgl_get_float( pname: INTEGER ):REAL is
			-- Return a single real Value as the current status of 'pname'
		do
			gl_get_floatv_external( pname, $result )
		end
	emgl_get_integer( pname: INTEGER ):INTEGER is
			-- Return a single integer Value as the current status of 'pname'
		do
			gl_get_integerv_external( pname, $result )
		end

end -- class EMGL_FUNCTIONS
