indexing
	description: "Description of class"
	documentation: "Documentation of class"
	date: "$Date: 2006-09-26 18:23:30 +0200 (Tue, 26 Sep 2006) $"
	revision: "$Revision: 2278 $"
	author: "thepk"

deferred class EMGLU_TEXTURE[F -> EMGL_FORMAT create default_create end]

inherit
	EMGL_TEXTURE[F]

	GL_FUNCTIONS_EXTERNAL
		export {NONE} all
		undefine default_create end

	GLU_FUNCTIONS_EXTERNAL
		export {NONE} all
		undefine default_create end

	EM_CONSTANTS
		export {NONE} all
		undefine default_create end

feature {EMGLU_TEXTURE} --internal function wrapper

-- 	build1dmipmap_levels_internal ( width:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build1dmipmap_levels`, for internal use only texture might not be bound!
-- 		do
-- 			result:=glu_build1dmipmap_levels_external( target, internal_format, width, format, type, level, base, max, data )
-- 		end

	build1dmipmaps_internal ( width:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
			--Wrap the OpenGL function `glu_build1dmipmaps`, for internal use only texture might not be bound!
		do
			result:=glu_build1dmipmaps_external( target, internal_format, width, format, type, data )
		end

-- 	build2dmipmap_levels_internal ( width:INTEGER; height:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build2dmipmap_levels`, for internal use only texture might not be bound!
-- 		do
-- 			result:=glu_build2dmipmap_levels_external( target, internal_format, width, height, format, type, level, base, max, data )
-- 		end

	build2dmipmaps_internal ( width:INTEGER; height:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
			--Wrap the OpenGL function `glu_build2dmipmaps`, for internal use only texture might not be bound!
		do
			result:=glu_build2dmipmaps_external( target, internal_format, width, height, format, type, data )
		end

-- 	build3dmipmap_levels_internal ( width:INTEGER; height:INTEGER; depth:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build3dmipmap_levels`, for internal use only texture might not be bound!
-- 		do
-- 			result:=glu_build3dmipmap_levels_external( target, internal_format, width, height, depth, format, type, level, base, max, data )
-- 		end

-- 	build3dmipmaps_internal ( width:INTEGER; height:INTEGER; depth:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build3dmipmaps`, for internal use only texture might not be bound!
-- 		do
-- 			result:=glu_build3dmipmaps_external( target, internal_format, width, height, depth, format, type, data )
-- 		end

feature --general function wrapper

-- 	build1dmipmap_levels ( width:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build1dmipmap_levels`, autobind and unbind the texture
-- 		do
-- 			bind_and_save_old
-- 			result:=glu_build1dmipmap_levels_external( target, internal_format, width, format, type, level, base, max, data )
-- 			bind_old_id
-- 		end

	build1dmipmaps ( width:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
			--Wrap the OpenGL function `glu_build1dmipmaps`, autobind and unbind the texture
		do
			bind_and_save_old
			result:=glu_build1dmipmaps_external( target, internal_format, width, format, type, data )
			bind_old_id
		end

-- 	build2dmipmap_levels ( width:INTEGER; height:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build2dmipmap_levels`, autobind and unbind the texture
-- 		do
-- 			bind_and_save_old
-- 			result:=glu_build2dmipmap_levels_external( target, internal_format, width, height, format, type, level, base, max, data )
-- 			bind_old_id
-- 		end

	build2dmipmaps ( width:INTEGER; height:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
			--Wrap the OpenGL function `glu_build2dmipmaps`, autobind and unbind the texture
		do
			bind_and_save_old
			result:=glu_build2dmipmaps_external( target, internal_format, width, height, format, type, data )
			bind_old_id
		end

-- 	build3dmipmap_levels ( width:INTEGER; height:INTEGER; depth:INTEGER; format:INTEGER; type:INTEGER; level:INTEGER; base:INTEGER; max:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build3dmipmap_levels`, autobind and unbind the texture
-- 		do
-- 			bind_and_save_old
-- 			result:=glu_build3dmipmap_levels_external( target, internal_format, width, height, depth, format, type, level, base, max, data )
-- 			bind_old_id
-- 		end

-- 	build3dmipmaps ( width:INTEGER; height:INTEGER; depth:INTEGER; format:INTEGER; type:INTEGER; data:POINTER ): INTEGER is
-- 			--Wrap the OpenGL function `glu_build3dmipmaps`, autobind and unbind the texture
-- 		do
-- 			bind_and_save_old
-- 			result:=glu_build3dmipmaps_external( target, internalformat, width, height, depth, format, type, data )
-- 			bind_old_id
-- 		end

end -- class EMGLU_TEXTURE
