indexing
	description: "Description of class"
	date: "$Date: Jul 30, 2006 9:50:32 AM$"
	revision: "$Revision: 1.0$"

class GLEW_FUNCTIONS

inherit
	GL_FUNCTIONS_EXTERNAL
		export {NONE} all end

feature {NONE} -- Initialization
	init: INTEGER is
		do
			result := glew_init_external
		end

	is_supported (name: STRING): BOOLEAN is
			-- Is the extension `name' supported?
		local
			s: EWG_ZERO_TERMINATED_STRING
		do
			create s.make_unshared_from_string( name )
			result := glew_is_supported_external( s.item )>0
		end

	get_error_string (error: INTEGER): STRING is
		local
			s: EWG_ZERO_TERMINATED_STRING
		do
			create  s.make_shared(glew_get_error_string_external( error ))
			result := s.string
		end

	get_string (name: INTEGER): STRING is
		local
			s: EWG_ZERO_TERMINATED_STRING
		do
			create  s.make_shared(glew_get_string_external( name ))
			result := s.string
		end

end -- class GLEW_FUNCTIONS