indexing
	description: "[
	
		Math specific stuff for Viz

	]"
	author: ""
	date: "$Date: 2007-02-12 05:27:06 +0100 (Mon, 12 Feb 2007) $"
	revision: "$Revision: 2503 $"

class
	EM_VIZ_MATH

inherit
	DOUBLE_MATH

feature -- Access

	epsilon: DOUBLE is 0.00000001
			-- A small value

feature -- Conversion

	frozen radians_to_degrees (rad: DOUBLE): DOUBLE is
			-- Convert from radians to degrees
		do
			Result := rad * 180.0 / Pi
		end

	frozen degrees_to_radians (deg: DOUBLE): DOUBLE is
			-- Convert from degrees to radians
		do
			Result := deg * Pi / 180.0
		end

end
