indexing
	description: "[
	
		Objects that extend into all three dimensions
		
	]"
	author: ""
	date: "$Date: 2007-02-01 19:08:56 +0100 (Thu, 01 Feb 2007) $"
	revision: "$Revision: 2471 $"

deferred class
	EM_VIZ_SIZED

feature -- Access

	width: DOUBLE is
			-- Width (x-Axis)
		deferred
		ensure
			not_negative: 0.0 <= Result
		end

	height: DOUBLE is
			-- Height (y-Axis)
		deferred
		ensure
			not_negative: 0.0 <= Result
		end

	depth: DOUBLE is
			-- Depth (z-Axis)
		deferred
		ensure
			not_negative: 0.0 <= Result
		end

	size: EM_VECTOR3D is
			-- Width, height and depth combined
		deferred
		ensure
			def: Result.x = width and Result.y = height and Result.z = depth
		end

end
