indexing

	description: "[

		Basic delegate of an EM_DIALOG.

	]"
	date: "$Date: 2005-10-23 13:21:01 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1136 $"

class EM_BASIC_DIALOG_DELEGATE

inherit

	EM_BASIC_WINDOW_DELEGATE
		redefine
			install
		end

feature -- Initialisation

	install (dialog: EM_DIALOG) is
			-- Install style on `dialog'.
			-- Set up all default values for background, border, font and colors.
		do
			Precursor {EM_BASIC_WINDOW_DELEGATE} (dialog)
			dialog.title_label.set_font (theme_fonts.window_title_font)
			dialog.title_label.set_foreground_color (theme_colors.window_title_text)
			dialog.title_label.enable_shadow
			dialog.title_label.set_background (create {EM_VERTICAL_GRADIENT_BACKGROUND}.make_from_colors (theme_colors.window_title_background, theme_colors.window_title_background_fade))
		end

end