indexing

	description: "[

		Store and manage the mouse focus. Used by EM_WIDGET_SCENE and
		EM_COMPONENT_SCENE to set and retreive the keyboard focus.
		
		Use EM_SHARED_FOCUS to access the singleton instance.

	]"
	date: "$Date: 2005-10-23 13:21:01 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1136 $"

class EM_MOUSE_FOCUS

feature -- Access

	current_focus: EM_COMPONENT
			-- Current mouse focus

feature -- Status report

	has_focus: BOOLEAN is
			-- Is a focus present?
		do
			Result := current_focus /= Void
		end

feature -- Element change

	set_current_focus (an_object: like current_focus) is
			-- Set `current_focus' to `an_object'.
		do
			current_focus := an_object
		ensure
			current_focus_set: current_focus = an_object
		end

end