indexing

	description: "[

		A basic container for other widgets. Use `add_widget' to add
		other widgets.
		
		An EM_PANEL can also be used to implement custom widgets. Overwrite
		`draw_body' to draw the widget's content on `surface'.

	]"
	date: "$Date: 2005-10-23 13:24:49 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1138 $"

class EM_PANEL

inherit

	EM_WIDGET

create

	make_from_dimension,
	make_from_surface,
	make_void_surface

feature {NONE} -- Initialisation

	delegate_factory: FUNCTION [ANY, TUPLE [], like delegate] is
			-- Factory to create default delegate
		do
			Result := theme_delegates.panel_delegate_factory
		end

end