indexing

	description: "[

		Helper class to implement modal windows.
		This component is maximized on the sceen and receives all input events.

	]"
	date: "$Date$"
	revision: "$Revision$"

class EM_WINDOW_LAYER

inherit

	EM_COMPONENT

create

	make_from_window

feature {NONE} -- Initialisation

	make_from_window (a_window: EM_WINDOW) is
			-- Initialise default values.
		do
			make_component
			set_position (0, 0)
			set_dimension (Video_subsystem.video_surface_width, Video_subsystem.video_surface_height)
			set_keyboard_sensitive (True)
			set_mouse_sensitive (True)

			window := a_window
-- TODO: the postcondition in EM_KEYBOARD_FOCUS.set_current_focus is broken
--			focus_received_event.subscribe (agent Keyboard_focus.set_current_focus (window))
		end

feature -- Access

	window: EM_WINDOW
			-- Window above layer

feature -- Drawing

	prepare_drawing is
			-- Prepare to draw `Current'.
		do
		end

	draw is
			-- Draw `Current'.
		do
		end

	finish_drawing is
			-- Finish drawing `Current'.
		do
		end

end