[Setup]

; APP INFORMATION:
;-------- ADAPTATION --------
MOD: app_name_lib
MOD: app_ver_name_lib
MOD: app_ver
;----------------------------
AppPublisher=Chair of Software Engineering ETH Zurich
AppPublisherURL=http://se.inf.ethz.ch/people/bay
AppCopyright=Copyright (c) 2003-2006 ETH Zurich, Till G. Bay
AppSupportURL=http://eiffelmedia.origo.ethz.ch
AppUpdatesURL=http://eiffelmedia.origo.ethz.ch
LicenseFile=forum.txt

; DEFAULT PATH SETTINGS:
DefaultDirName={pf}\eiffelmedia
DefaultGroupName=EiffelMedia
;-------- ADAPTATION --------
MOD: src_dir
MOD: out_dir
MOD: out_name_lib
;----------------------------

; INSTALLER SETTINGS
Compression=bzip/9
PrivilegesRequired=admin
AlwaysRestart=yes

; SETTINGS FOR UNINSTALLER
;UninstallDisplayIcon={app}\MyProg.exe <-- specific icon file to use
;UninstallDisplayName=My Program <-- name showed in add/remove software
;UninstallFilesDir={app}\uninst <-- specifiy path of the uninst.* - files
UninstallFilesDir={app}\uninst_lib
UninstallRestartComputer=yes

; INSTALLER COSMETIC SETTINGS
BackColor=clBlue
BackColor2=clBlack
;SetupIconFile=
;WizardImageFile=D:\workspace\em\release\tools\em_logo.bmp
;WizardSmallImageFile=mysmallimage.bmp
WizardImageStretch=no
WizardImageBackColor=clWhite
;CreateAppDir=no
DisableProgramGroupPage=yes



[Registry]
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\Session Manager\Environment"; ValueType: string; ValueName: "EM"; ValueData: "{app}"; Flags: uninsdeletevalue




[Files]
; LIBRARIES
Source: "glew32.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "glut32.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "glu32.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "glu32.dll"; DestDir: "{app}\resource"; Flags: uninsrestartdelete confirmoverwrite
Source: "jpeg.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "libpng13.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "libpng12.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "ogg.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "SDL.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "SDL_image.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "SDL_mixer.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "SDL_net.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "SDL_ttf.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "sdlgfx.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "smpeg.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "vorbis.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "vorbisfile.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite
Source: "zlib1.dll"; DestDir: "{sys}"; Flags: uninsrestartdelete confirmoverwrite







; APPLICATION
Source: "PathTool.exe"; DestDir: "{app}\uninst_lib"; Flags: uninsrestartdelete; AfterInstall: AfterMyProgInstall




