indexing

	description: "[

		Circle Center Vertex

	]"
	date: "$Date: 2005-10-22 14:48:22 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1081 $"

class CIRCLE_CENTER_VERTEX

inherit

	VERTEX
		redefine
			set_vector
		end

create

	make

feature -- Access

	cursor: MOUSE_CURSOR is
			-- the cursor
		once
			Result := create {MOVE_CURSOR}.make
		end

	set_vector (v: EM_VECTOR_2D) is
			-- sets `vector'
		do
			vector := create {EM_VECTOR_2D}.make (v.x, v.y)
		end

	command: COMMAND is
			-- the command for this vertex movement
		do
			Result := create {MOVE_OBJECT}.make
		end

	args: TUPLE is
			-- the arguments to the given `command'
		local
			list: DS_LINKED_LIST [OBJECT]
			v: EM_VECTOR_2D
		do
			create list.make
			list.force_last (object)
			v := create {EM_VECTOR_2D}.make (object.x - object.true_x, object.y - object.true_y)
			Result := [list, v]
		end

end