indexing

	description: "[

		Exporter.

	]"
	date: "$Date: 2005-10-22 14:48:22 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1081 $"

deferred class

	EXPORTER

feature -- Creation

	make (a_scene: SCENE) is
			-- sets `scene'
		require
			a_scene_not_void: a_scene /= Void
		do
			scene := a_scene
		end

feature -- Access

	name: STRING is
			-- name of the exporter
		deferred
		end

	scene: SCENE
			-- currently exporting scene

feature -- Element Change

	set_scene (a_scene: SCENE) is
			-- sets `scene'
		require
			a_scene_not_void: a_scene /= Void
		do
			scene := a_scene
		end

feature -- Computation

	scene_to_string: STRING is
			-- converts the scene to a string
		deferred
		end

invariant
	scene_not_void: scene /= Void

end