indexing

	description: "[

		Polygon Corner Vertex

	]"
	date: "$Date: 2005-10-22 14:48:22 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1081 $"

class POLYGON_VERTEX

inherit

	VERTEX
		redefine
			set_vector
		end

create

	make

feature -- Access

	cursor: MOUSE_CURSOR is
			-- the cursor
		once
			Result := create {MOVE_CURSOR}.make
		end

	set_vector (v: EM_VECTOR_2D) is
			-- sets `vector'
		do
			vector := create {EM_VECTOR_2D}.make (v.x, v.y)
		end

	command: COMMAND is
			-- the command for this vertex movement
		do
			Result := create {CHANGE_POLYGON}.make
		end

	args: TUPLE is
			-- the arguments to the given `command'
		do
			Result := [object]
		end

	is_deleted: BOOLEAN
			-- is this vertex deleted?

feature -- Element Change

	delete is
			-- removes the vertex from the polygon as soon as `polygon.set_vertexes_updated' was called
		do
			is_deleted := True
		end

end