	indexing

	description: "[

		This class holds all the audio_mixer constants.
		
		Use this constants for setting up audio_mixer environment.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class MIXER_CONSTANTS

inherit

	KL_SHARED_FILE_SYSTEM
		export {NONE} all end

	KL_SHARED_EXECUTION_ENVIRONMENT
		export {NONE} all end

feature -- Constants

	music_directory: STRING is
			-- Directory for music files
		once
			Result := file_system.pathname_from_file_system ("$EM/example/resources/music", unix_file_system)
			Result := execution_environment.interpreted_string (Result)
			if not file_system.directory_exists (Result) then
				Result := "music"
			end
		end

	sound_directory: STRING is
			-- Directory for sound files.
		once
			Result := file_system.pathname_from_file_system ("$EM/example/resources/sound", unix_file_system)
			Result := execution_environment.interpreted_string (Result)
			if not file_system.directory_exists (Result) then
				Result := "sound"
			end
		end

	image_directory: STRING is "image"
		-- Directory for images

end
