indexing

	description: "[

		Screen displayed when player is cheating

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_CHEATER

inherit

	BB_MENU

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'
		local
			button: BB_MENU_BUTTON
		do
			init_menu

			-- create "You are a cheater" text
			create you_are_a_cheater.make_from_text ("You are a cheater!")
			you_are_a_cheater.set_font(create {EM_TTF_FONT}.make_from_ttf_file ("./fonts/moo.ttf", 50))
			you_are_a_cheater.set_foreground_color (create {EM_COLOR}.make_white)
			you_are_a_cheater.resize_to_optimal_dimension
			you_are_a_cheater.set_position (bb_window_width // 2 - you_are_a_cheater.width // 2, bb_window_height // 2 - you_are_a_cheater.height // 2)
			add_widget(you_are_a_cheater)

			-- create menu items
			create button.make ("I'm ashamed")
			button.set_position (bb_window_width // 2 - button.width // 2, 480)
			button.pressed_event.subscribe (agent ashamed_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	back_button_pressed is
			-- back button pressed
		do
			ashamed_button_pressed
		end

	ashamed_button_pressed is
			-- ashamed button was pressed, continue to main menu
		do
			set_next_scene (create {BB_MAINMENU}.make)
			start_next_scene
		end

feature {NONE} -- Implementation

	you_are_a_cheater: EM_LABEL
			-- label containing "You are a cheater!"

end
