indexing

	description: "[

		Instructions Menu

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_INSTRUCTIONS

inherit

	BB_MENU

create

	make

feature {NONE} -- Initialization

	make is
			-- create widgets
		local
			button: BB_MENU_BUTTON
		do
			init_menu

			-- create menu items
			create button.make ("How to Play")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 0 * 50)
			button.pressed_event.subscribe (agent howto_button_pressed)
			add_button (button)

			create button.make ("Item Effects")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 1 * 50)
			button.pressed_event.subscribe (agent items_button_pressed)
			add_button (button)

			create button.make ("Multiplayer")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 2 * 50)
			button.pressed_event.subscribe (agent multiplayer_button_pressed)
			add_button (button)

			create button.make ("Back")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 4 * 50)
			button.pressed_event.subscribe (agent back_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	howto_button_pressed is
			-- how to play button pressed
		do
			set_next_scene (create {BB_INSTRUCTIONS_HOWTO}.make)
			start_next_scene
		end

	items_button_pressed is
			-- item effects button pressed
		do
			set_next_scene (create {BB_INSTRUCTIONS_ITEMS}.make)
			start_next_scene
		end

	multiplayer_button_pressed is
			-- multiplayer button pressed
		do
			set_next_scene (create {BB_INSTRUCTIONS_MULTIPLAYER}.make)
			start_next_scene
		end

	back_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_MAINMENU}.make)
			start_next_scene
		end

end
