indexing

	description: "[

		Instructions Menu - How to play

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_INSTRUCTIONS_HOWTO

inherit

	BB_MENU

create

	make

feature {NONE} -- Initialization

	make is
			-- create widgets
		local
			button: BB_MENU_BUTTON
			a_label: EM_LABEL
			string: STRING
		do
			init_menu

			string :=
				"You have a ball and a bar. Your enemies are a lot of blocks. %N%
				%The ball has to hit each block a certain number of times until it's destroyed. %N%
				%If you have destroyed all but the grey blocks you reach the next level. %N%
				% %N%
				%This sounds simple and boring, that's why there are a lot of items. %N%
				%Some of these make the game easier, others make it harder. %N%
				%Unfortunately you have to collect the %"bad%" items if you want %N%
				%to reach a high score. %N%
				% %N%
				%You move the bar with the right and the left arrow key and the ball %N%
				%is launched with the spacebar. The ball's direction depends on where %N%
				%it hits the bar. Try to get a feeling for this. %N%
				%If you did something really stupid you can always give up a life with the G key. %N%
				% %N%
				%To become a master you will have to learn when to catch which item. %N%
				%But enough of the theory, go and try it!"

			create a_label.make_from_text (string)
			a_label.enable_multilined
			a_label.set_font (Standard_ttf_fonts.bitstream_vera_sans (18))
			a_label.set_foreground_color (create {EM_COLOR}.make_white)
			a_label.resize_to_optimal_dimension
			a_label.set_position (50, 150)
			add_widget (a_label)

			-- create menu items
			create button.make ("Back")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 7 * 50)
			button.pressed_event.subscribe (agent back_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	back_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_INSTRUCTIONS}.make)
			start_next_scene
		end

end
