indexing

	description: "[

		Instructions Menu - Multiplayer

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_INSTRUCTIONS_MULTIPLAYER

inherit

	BB_MENU

create

	make

feature {NONE} -- Initialization

	make is
			-- create widgets
		local
			button: BB_MENU_BUTTON
			string: STRING
			a_label: EM_LABEL
		do
			init_menu

			string :=
				"If a game wants to be good it must have a multiplayer mode. %N%
				%In Brick Breaker - Cow Edition you can play versus other people %N%
				%over the internet. %N%
				% %N%
				%Whenever a player colletcs a certain number of points, he adds a block %N%
				%to another player's field. You should also be careful when catching an item, %N%
				%sometimes they are sent to another player instead of affecting yourself.%N%
				%How many points you need, which percentage of items is transferred and who %N%
				%gets als this depends on the server's settings.%N%
				% %N%
				%If you loose all your lifes you loose 50'000 points and your lifes are refilled. %N%
				%You can see the current ranking while pressing the Tab key %N%
				%If a player finished the level the round is over. For each block you have less %N%
				%than the player with the most remaining blocks you get 1000 bonus points. %N%
				%The player with the highest score wins the round. %N%
				% %N%
				%If you are behind a router you have to forward port 47777 to your %N%
				%computer if you want to host a game."

			create a_label.make_from_text (string)
			a_label.enable_multilined
			a_label.set_font (Standard_ttf_fonts.bitstream_vera_sans (18))
			a_label.set_foreground_color (create {EM_COLOR}.make_white)
			a_label.resize_to_optimal_dimension
			a_label.set_position (50, 140)
			add_widget (a_label)

			-- create menu items
			create button.make ("Back")
			button.set_position (bb_window_width // 2 - button.width // 2, 540)
			button.pressed_event.subscribe (agent back_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	back_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_INSTRUCTIONS}.make)
			start_next_scene
		end

end
