indexing

	description: "[

		Menu Button

	]"
	date: "$Date: 2006-03-02 15:03:06 +0100 (Thu, 02 Mar 2006) $"
	revision: "$Revision: 1951 $"

class BB_MENU_BUTTON

inherit

	EM_LABEL

	EM_SHARED_STANDARD_FONTS
		export {NONE} all end

create

	make

feature {NONE} -- Initialization

	make (a_text: STRING) is
			-- create new menu button
		require
			text_not_void: a_text /= Void
		do
			create pressed_event
			make_from_text (a_text)
			set_font (Standard_ttf_fonts.bitstream_vera_sans_bold (28))
			set_foreground_color (create {EM_COLOR}.make_white)
			resize_to_optimal_dimension
			mouse_clicked_event.subscribe (agent handle_mouse_clicked)
		end

feature -- Events

	pressed_event: EM_EVENT_CHANNEL[TUPLE[]]

	handle_mouse_clicked (an_event: EM_MOUSEBUTTON_EVENT) is
			-- handle mouse click
		do
			pressed_event.publish ([])
		end

end