indexing

	description: "[

		Multiplayer Menu

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class BB_MULTIPLAYER

inherit

	BB_MENU

create

	make

feature {NONE} -- Initialization

	make is
			-- create widgets
		local
			button: BB_MENU_BUTTON
		do
			init_menu

			-- create menu items
			create button.make ("Host Game")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 0 * 50)
			button.pressed_event.subscribe (agent hostgame_button_pressed)
			add_button (button)

			create button.make ("Join Game")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 1 * 50)
			button.pressed_event.subscribe (agent joingame_button_pressed)
			add_button (button)

			create button.make ("Back")
			button.set_position (bb_window_width // 2 - button.width // 2, 170 + 3 * 50)
			button.pressed_event.subscribe (agent back_button_pressed)
			add_button (button)

			set_selected_menu_item(1)

			video_subsystem.show_cursor
		end

feature -- Events

	hostgame_button_pressed is
			-- host game button pressed
		do
			set_next_scene (create {BB_HOST_GAME}.make)
			start_next_scene
		end

	joingame_button_pressed is
			-- join game button pressed
		do
			set_next_scene (create {BB_JOIN_GAME}.make)
			start_next_scene
		end

	back_button_pressed is
			-- back button pressed
		do
			set_next_scene (create {BB_MAINMENU}.make)
			start_next_scene
		end

end
