indexing

	description: "[

		Big circle object

	]"
	date: "$Date: 2005-10-22 15:21:56 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1083 $"

class CIRCLE_BIG

inherit

	MOVABLE
		undefine
			collides_with
		end

	EM_CIRCLE_COLLIDABLE
		rename
			draw as draw_collidable
		redefine
			make
		end

create

	make

feature -- Creation

	make (a_center: EM_VECTOR_2D; a_radius: DOUBLE) is
			-- creates a collidable circle
			-- to create a collidable dot, just set radius = 0
		do
			Precursor {EM_CIRCLE_COLLIDABLE} (a_center, a_radius)
			initialize_image
			create image_offset.make (-25, -25)
			create direction.make (0, 0)
		end

feature {NONE} -- Implementation

	bitmap_name: STRING is "images/circlebig.png"

invariant
	invariant_clause: True -- Your invariant here

end