indexing

	description: "[

		EiffelMedia example showing the use of some EM_DRAWABLE classes.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class DRAWABLE_APPLICATION

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Start main application.
		do
			-- Initiliase subsystems
			initialize_screen

			-- Check subsystem initialisation
			if Video_subsystem.is_enabled then

				-- Set global options
				set_window_title ("EiffelMedia drawable")
				set_window_icon ("icon.png")
				set_application_id ("drawable_example")

				-- Set first scene and launch it
				set_scene (create {FIRST_SCENE}.make_scene)

				launch

				-- Disable subsystems
				Video_subsystem.disable
			else
				io.error.put_string ("Unable to initialise video subsystem.%N")
			end
		end

end
