indexing

	description: "[

		L-Type Fractals in 3D using OpenGL

	]"
	date: "$Date: 2006-10-03 15:02:25 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2302 $"

class ELFRACTAL

inherit

	EM_APPLICATION

	EM_SHARED_THEME
		export {NONE} all end

create

	make

feature {NONE} -- Initialisation

	make is
			-- Start main application.
		local
			keyboard: EM_KEYBOARD
		do
			-- *** Enable required subsystems *** --

			-- Initiliase subsystems
			set_window_width (800)
			set_window_height (600)
			set_screen_resolution (32)
			set_opengl (true)

			initialize_screen

			-- Check subsystem initialisation
			if
				Video_subsystem.is_enabled
			then

				-- Set global options
				set_window_title ("el Fractal!")
				set_application_id ("elFrac")
				-- set_window_icon ("icon.png")

				create keyboard.make_snapshot
				keyboard.enable_unicode_characters
				keyboard.enable_repeating_key_down_events (200, 100)

				load_eclipse_theme

				-- Set first scene and launch it
				set_scene (create {EF_SCENE}.make)

				launch

				-- Disable subsystems
				Video_subsystem.disable
			else
				if not Video_subsystem.is_enabled then
					io.error.put_string ("Failed to initialise video subsystem.%N")
				end
			end
		end

end
