indexing

	description: "[

		Root class of the game.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class STARTER

inherit

	EM_APPLICATION
	redefine
		initialize_video_subsystem
	end

create

	make

feature -- Properties

	hunt_scene: HUNT_SCENE
		-- Where the hunt takes place

	choose_scene: CHOOSE_SCENE
		-- Menu

feature -- Initialization

	make is
		-- make the tester
		-- entry point for the application
		local
		do
			initialize_video_subsystem
			initialize_screen

			from

			until
				choose_scene /= void and (not choose_scene.continue)
			loop
				create choose_scene.make
				set_scene(choose_scene)
				launch

				if choose_scene.continue then
					create hunt_scene.make_hunt("level.xml", choose_scene.min_size, choose_scene.range)
					set_scene(hunt_scene)
					launch
				end
			end
		end

	initialize_video_subsystem is
			-- initializes subsystem
		do
			video_subsystem.set_cursor_visibility (False)
			if is_fullscreen_enabled then
				video_subsystem.set_hardware_surface (false)
				video_subsystem.set_software_surface (true)
				video_subsystem.set_fullscreen (true)
			end
		end

end
