indexing

	description: "[

		A sample classing implementing an EM network object.

	]"
	date: "$Date: 2005-10-21 20:51:55 +0200 (Fri, 21 Oct 2005) $"
	revision: "$Revision: 1054 $"

class MY_OBJECT_TYPES

inherit

	EM_NET_OBJECT_TYPES
		redefine register end

create

	make_and_initialize_factory

feature {NONE}-- Initialisation

	register is
			-- Register user object creation procedures.
		do
		 	net_object_factory.add (square_on_circle, agent create_square_on_circle)
		end

feature -- SQUARE_ON_CIRCLE

	square_on_circle: INTEGER is 40

	create_square_on_circle: SQUARE_ON_CIRCLE is
			-- return an instance of the class SQUARE_ON_CIRCLE
		do
			create Result.make_set_type (square_on_circle)
		ensure
			an_object_has_been_generated: Result /= Void
		end

end