indexing

	description: "[

		Demonstrates how you can have a drawable move across the
		screen at a constant speed. The movement is not influenced by the
		framerate.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class NORMALIZED

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Create the main application.
		do
			-- Initiliase subsystems
			set_window_width (640)
			set_window_height (480)
			set_screen_resolution (16)

			initialize_screen

			-- Check subsystem initialisation
			if Video_subsystem.is_enabled then

				-- Set global options
				set_window_title ("EiffelMedia normalized")
				set_window_icon ("icon.png")
				set_application_id ("normalized")

				-- Set first scene and launch it
				set_scene (create {NORMALIZED_SCENE}.make(screen))
				launch

				-- Disable subsystems
				Video_subsystem.disable
			else
				io.error.put_string ("Failed to initialise video subsystem.%N")
			end
		end
end
