indexing

	description: "[

		Example that demonstrated how to use the classes generated with
		EiffelMedia Resource Generator

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class RESOURCE_LOADING

inherit

	EM_APPLICATION

	SHARED_RESOURCES

create

	make

feature -- Initialization

	make is
				-- Create the main application.
		do

			video_subsystem.set_cursor_visibility (true)

			set_window_width(640)
			set_window_height(480)

			initialize_screen

			set_window_title ("EiffelMedia Resource Loading Example")
			set_window_icon ("icon.png")
			set_application_id ("em_resource_loading")

			audio_subsystem.enable
			audio_subsystem.mixer.open_default

			resources.load_loadingscene

			set_scene (create {LOADING_SCENE}.make_widget_scene)
			launch

			audio_subsystem.disable
			video_subsystem.disable
		end
end
