indexing

	description: "[

		EM_VIDEO_DECODER example. Plays a video file.

	]"
	date: "$Date: 2006-10-03 10:47:09 +0200 (Tue, 03 Oct 2006) $"
	revision: "$Revision: 2295 $"

class VIDEO_PLAYER

inherit

	EM_APPLICATION

create

	make

feature {NONE} -- Initialization

	make is
			-- Demonstration of a very simple video player
		local
			first_scene: VIDEO_PLAYER_SCENE
		do
				-- initialize the video subsystem
			set_window_width (400)
			set_window_height (300)
			initialize_screen

			-- Check subsystem initialisation	
			if Video_subsystem.is_enabled then
				set_window_title ("EiffelMedia video_player")
				set_window_icon ("icon.png")
				set_application_id ("video_player")

				-- Set first scene and launch it
				set_scene (create {VIDEO_PLAYER_SCENE}.make_widget_scene)
				launch

				-- Disable subsystems
				video_subsystem.disable
			else
				 io.error.put_string ("Failed to initialise video subsystem.%N")
			end
		end
end
