indexing

	description: "[

		Cube Scene Demo

	]"
	date: "$Date: 2006-08-06 11:54:34 +0200 (Sun, 06 Aug 2006) $"
	revision: "$Revision: 2123 $"

class CUBE_SCENE

inherit

	EM_COMPONENT_SCENE
		redefine
			uninitialize_scene
		end

	EMGL_SETTINGS
		export {NONE} all end

create

	make

feature {NONE} -- Initialization

	make is
			-- Initialise default values.
		do
			make_component_scene

			-- Sierpinski pyramid
			create cube_display.make
			cube_display.set_position (0, 100)
			cube_display.set_dimension (width, height-140)

			add_component (cube_display)
		end

	uninitialize_scene is
			-- Uninitialize scene.
		do
			-- clean up EiffelMedia so that the other scenes are shown correcly

			-- disable fog
			emgl_disable (em_gl_fog)

			-- disable lightning
			emgl_disable (em_gl_light0)
			emgl_disable (em_gl_lighting)

			emgl_disable (em_gl_blend)

			-- disable textures
			emgl_disable (em_gl_texture_2d)
			emgl_disable (em_gl_color_material)

			-- disable environment mapping
			emgl_disable (em_gl_texture_gen_s)
			emgl_disable (em_gl_texture_gen_t)
			emgl_disable (Em_gl_depth_test)

			-- disable antialiasing
			emgl_disable (Em_gl_line_smooth)
		end

	cube_display: CUBE
end
