indexing

	description: "[

		GOOF Demo Scene

	]"
	date: "$Date: 2006-08-06 11:54:34 +0200 (Sun, 06 Aug 2006) $"
	revision: "$Revision: 2123 $"

class GOOF_SCENE

inherit

	EM_WIDGET_SCENE

	EMGL_SETTINGS
		export {NONE} all end

create

	make

feature {NONE} -- Initialisation

	make is
			-- Initialise panel.
		local
			text: STRING
			label: EM_LABEL
			goof_panel: EM_GOOF_PANEL
		do
			make_widget_scene

			-- we need this to reset some setting to draw this scene correctly
			-- if cube was shown before
			if Video_subsystem.video_surface.is_opengl_blitting_enabled then
				Video_subsystem.video_surface.disable_opengl_blitting
	--			emgl_tex_envi (Em_gl_texture_env, Em_gl_texture_env_mode, Em_gl_modulate)
			end

			-- Help text
			create text.make_empty
			text.append_string ("To display an EM_GOOF_PHYSICS use an EM_GOOF_PANEL.%N")
			text.append_string ("Basic approach:%N")
			text.append_string (" - create EM_GOOF_PANEL%N")
			text.append_string (" - set or load EM_GOOF_PHYSICS%N")

			create label.make_from_text (text)
			label.set_position (70, 10)
			label.set_dimension (500, 90)
			label.enable_multilined
			label.align_top
			add_widget (label)

			-- GOOF Panel
			create goof_panel.make_from_dimension (500, 500)
			goof_panel.set_tooltip ("A goof panel")
			goof_panel.set_position (50, 80)
			goof_panel.set_border (create {EM_BEVEL_BORDER}.make_down)
			goof_panel.load_level_file ("goof/jumping_balls.xml")
			add_widget (goof_panel)
		end
end
