indexing
	description: "[

		Final page

	]"
	author: ""
	date: "$Date: 2007-02-19 07:07:00 +0100 (Mon, 19 Feb 2007) $"
	revision: "$Revision: 2539 $"

class
	EXHIBIT_FIN_BOX

inherit
	EXHIBIT_BOX

create
	make

feature -- Access

	title: STRING is "FIN"
			-- Title

	description: STRING is
			-- Description
		"Author: Kaspar Rohrer%N%
		%"

	fin: EM_VIZ_TEXT_BOX
			-- Take home message

	easter_egg: EM_VIZ_TEXT_BOX
			-- You found another one!

feature -- Manufacturing

	create_exhibit is
			-- Create final page
		local
			vbox: EM_VIZ_VERTICAL_BOX [EM_VIZ_BOX]
			egg_format: EM3D_FONT_FORMAT
		do
			create egg_format.make_with_color (Viz_options.default_font, [63, 63, 63])

			egg_format.override_point_size (3)
			create fin.make_auto_sized ("Thanks for watching...", Viz_options.title_font_format)
			create easter_egg.make_auto_sized ("", egg_format)

			create vbox.make
			vbox.set_horizontal_alignment (Align_center)
			vbox.put_last (fin)
			vbox.put_last (easter_egg)

			exhibit := vbox
		end

feature -- Animation

	hidden_message: STRING is
			-- You did not see this.
		local
			i: INTEGER
		once
			Result := "J!mpwf!efbemjoft/!J!mjlf!uif!xipptijoh!tpvoe!uifz!nblf!bt!uifz!gmz!cz/!!!!.!Epvhmbt!Bebnt!)2:63!.!3112*"
			from i := 1 until i > Result.count loop Result.put_code (Result.code (i)-1, i); i := i + 1 end
		end

	go_to_time (a_time: INTEGER) is
			-- Nothing to see here
		do
			easter_egg.set_text (hidden_message)
		end

end
