indexing
	description: "[
					A closeup is a kind of an option window used to give the player
					a choice. Closeups are also used to implement dialogs with persons.

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"
class
	CLOSEUP
create
	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			create options.make
		end

feature -- Access

	description: STRING 
	options: LINKED_LIST[OPTION]
	image_path: STRING
	
	add_option(option: OPTION) is
			-- Add option to closeup
		do
			options.extend(option)
		end
		
	set_description(pdescription: STRING) is
			-- set scene description text
		do
			description := pdescription
		end
		
	set_image_path(pimage_path: STRING) is
			-- set image path
		do
			image_path := pimage_path
		end
		

feature {NONE} -- Implementation

end -- class CLOSEUP
