indexing
	description: "[
					KNF objects reppresent a and-list.

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class
	KNF
inherit
	CONDITION_LIST
create
	make

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
			init
		end

feature -- Access

		satisfied(context: CONTEXT): BOOLEAN is
			-- Type your comment here
		do
			-- KNF empty -> true
			result := true
			
			if list.count > 0 then
				-- fold (&&) list
				result := true
				from
					list.start
				until
					list.after
				loop
					result := result and list.item.satisfied(context)
					list.forth
				end
			end
		end

feature {NONE} -- Implementation

end -- class KNF
