indexing
	description: "[
					EVENT Objects are created by the GUI and sent to the engine.
					The engine performs all actions that are attached to the
					Item referenced by EVENT.clicked
					
					context stands for an active repository item in the sense of
					apply the context item to the clicked item.
					(e.g. use a key to open a door)

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"
class
	EVENT

create
	make

feature {NONE} -- Initialization

	make(ptrigger: TRIGGER; pcontext: ITEM) is
			-- Initialize `Current'.
		do
			trigger := ptrigger
			context := pcontext
		end

feature -- Access

	trigger: TRIGGER
	context: ITEM

feature {NONE} -- Implementation

end -- class EVENT
