indexing
	description: "[
					AREA objects represent clickable areas (also called hot spots).
					See super classes for more functionality.

					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class
	AREA
inherit
	TRIGGER
	DIMENSIONED
create
	make

feature -- Initialization

	description: STRING -- short description

	make is
			-- Initialize `Current'.
		do
			init_action_list
		end
		
	set_description(pdescription: STRING) is
			-- set description text
		do
			description := pdescription
		end
		
feature {NONE} -- Implementation

end -- class AREA
