indexing
	description: "[
					This simple class is used to set timeouts for triggering events.
					
					This class is part of the XAE Extended Adventure Engine Project.
				  ]"
				  
	author: "Adrian Rabenseifner, radrian@student.ethz.ch"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class
	TIMER
inherit
	TRIGGER
	CONDITIONED

create
	make

feature {NONE} -- Initialization

	make(ptimeout: INTEGER) is
			-- Initialize `Current'.
		do
			init_action_list
			timeout := ptimeout
		end
		
feature -- Access

	name: STRING -- unique id
	timeout: INTEGER
	
	set_name(pname: STRING) is
			-- set name
		do
			name := pname
		end	
			
	set_timeout(ptimeout: INTEGER) is
			-- set timeout
		do
			timeout := ptimeout
		end

end -- class TIMER
