indexing
	description: 
		"[
			processor for animation node
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class ANIMATION_NODE_PROCESSOR

inherit
	NODE_PROCESSOR
	
create
	make

feature -- Access
	name: STRING is "animation"

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << >>
			Result.compare_objects
		end
		
feature -- Basic operations

	process is
			-- Process node.
		local
			item: ITEM 
			animation: ANIMATION
		do
			item ?= target
			
			when_void_set_parent_node_error (item)
			
			if not has_error then
				create animation.make_empty
				item.set_animation(animation)
	
				set_target(animation)
				
				if has_subnodes then
					process_subnodes
				end
			end
		end		
end