indexing
	description: 
		"[
			processor for area nodes
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class AREA_NODE_PROCESSOR

inherit
	DIMENSIONED_PROCESSOR [AREA]
	redefine
		Mandatory_attributes
	end
	
create 
	make
	
feature -- Access
	name: STRING is "area"

feature -- Basic operations

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "w","h" >>
			Result.fill (Precursor)
			Result.compare_objects
		end
	
	create_item():AREA is
			-- create area item and add it to scene
	local
		scene: SCENE
	do
		scene ?= target
		when_void_set_parent_node_error (scene)
			
		if not has_error then
			create result.make
			if has_attribute("description") then
				result.set_description (attribute("description"))
			end
			scene.add_area(result)
		end
	end
		
end