indexing
	description: 
		"[
			processor for nodes of type action
		 ]"
		
	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

deferred class ACTION_PROCESSOR [G -> ACTION]

inherit
	NODE_PROCESSOR

feature -- Basic operations

	process is
			-- Process node.
		local
			clickable: TRIGGER
			item: G
		do
			clickable ?= target
			
			when_void_set_parent_node_error (clickable)
			
			if not has_error then
				item := create_item
		
				if has_attribute("context_item") then
					item.set_context_item(pool.get_item(attribute("context_item")))
				end
				clickable.add_action (item) 
	
				set_target(item)
				
				if has_subnodes then
					process_subnodes
				end
			end
		end		
	
	create_item():G is
			-- 
	deferred
	end
		
end