indexing
	description: 
		"[
			processor for repository_item node
		 ]"

	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class REPOSITORY_ITEM_NODE_PROCESSOR 

inherit
	NODE_PROCESSOR
	
create
	make
	
feature -- Access

	Name: STRING is "repository_item"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "name" >>
			Result.compare_objects
		end

feature -- Basic operations

	process is
			-- Process node.
		local
			cond_list:CONDITION_LIST
		do
			cond_list ?= target
			
			when_void_set_parent_node_error (cond_list)
			
			if not has_error then
				cond_list.add_condition(pool.get_item(attribute("name")))
			end
		end		
		
end