indexing
	description: 
		"[
			processor for schow_scene node
		 ]"

	author: "Steiner Fabrizio"
	date: "$Date: 2007-02-05 18:24:28 +0100 (Mon, 05 Feb 2007) $"
	revision: "$Revision: 2485 $"

class SHOW_SCENE_NODE_PROCESSOR 

inherit
	ACTION_PROCESSOR [SHOW_SCENE]
	
create
	make
	
feature -- Access

	Name: STRING is "show_scene"
			-- Name of node to process

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << "scene_name" >>
			Result.compare_objects
		end

feature -- Basic operations

	create_item: SHOW_SCENE is
			-- Process node.
		do	
			create result.make(pool.get_scene(attribute("scene_name")))
			if has_attribute("transition") then
				result.set_transition(attribute("transition"))
			end
			if has_attribute("angle") then
				result.set_angle(attribute_integer("angle"))
			end
		end		
		
end