indexing
	description: "[
			A linear interpolator.
			Eg (interpolation between a and b )
				r = t*b+(1-t)*a
		]"
	date: "$Date: Jan 6, 2007 9:55:51 AM$"
	revision: "$Revision: 1.0$"

class EM_QUATERNION_LERP

inherit
	EM_QUATERNION_INTERPOLATOR
		redefine
			interpolate
		end

feature -- Implementation
	interpolate( t: DOUBLE ): EM_QUATERNION is
			-- Interpolate linear
		local
			tt: DOUBLE
		do
			tt := t-t.floor
			result := sequence.item(t.floor + sequence.lower).scaled(1-tt)
					 +sequence.item(t.ceiling + sequence.lower).scaled(tt)
		end


end -- class EM_QUATERNION_LERP
