indexing
	description: "[
			Define some em3d constants. 
		]"
	date: "$Date: Oct 15, 2006 9:04:34 PM$"
	revision: "$Revision: 1.0$"

class EM3D_CONSTANTS

feature -- Constants
	-- Projection modes
	em3d_ortho      : INTEGER is 0x00001001
	em3d_perspective: INTEGER is 0x00001002
	-- Frustum planes
	em3d_frustum_plane_near : INTEGER is 0
	em3d_frustum_plane_far  : INTEGER is 1
	em3d_frustum_plane_left : INTEGER is 2
	em3d_frustum_plane_right: INTEGER is 3
	em3d_frustum_plane_top  : INTEGER is 4
	em3d_frustum_plane_bottom: INTEGER is 5
	-- Frustum culling return values
	em3d_frustum_inside: INTEGER is 1
	em3d_frustum_intersection: INTEGER is 2
	em3d_frustum_outside: INTEGER is 0
end -- class EM3D_CONSTANTS