indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2007-05-23 23:57:24 +0200 (Wed, 23 May 2007) $"
	revision: "$Revision: 2590 $"

class
	EM3D_COMBINED_MATERIAL_FACTORY

inherit
	EM3D_MATERIAL_FACTORY
		select
			load_material_internal
		end

	EM3D_MATERIAL_MTL_FACTORY
		rename
			load_material_internal as load_mtl_internal
		end

	EM3D_MATERIAL_X_FACTORY
		rename
			load_material_internal as load_x_internal
		end
create
	make
feature

	load_material_internal( a_filename: STRING ) is
			-- Load a material, detect it's type by the ending
		local
			extension: STRING
		do
			extension := a_filename.substring ( a_filename.last_index_of ( '.', a_filename.count), a_filename.count )
			extension := extension.as_lower
			if extension.is_equal ( ".mtl" ) then
				load_mtl_internal( a_filename )
			elseif extension.is_equal ( ".x" ) then
				load_x_internal( a_filename )
			end
		end

end
