indexing
	description: "A Baseclass for different TexCoord Generators (TGC)"
	documentation: "All texcoord generators are 4D!"
	date: "$Date: Jul 11, 2006 8:47:54 PM$"
	revision: "$Revision: 1.0$"

deferred class EM3D_TCG

inherit
	EMGL_TEXGEN
		export {NONE} all end
	EMGL_SETTINGS
		export {NONE} all end
	EM_CONSTANTS
		export {NONE} all end

feature {NONE} -- Initialization
	-- Empty will be filled with the time ;)

feature {EM3D_TCG}
	init_coords is
			-- Init the tex_coord generation
		deferred
		end
	reset_coords is
			-- Reset the coords back to "normal"
		do
		end
feature
	enable_generation is
			-- Enable the tex_coord generation
		do
			emgl_enable( em_gl_texture_gen_s )
			emgl_enable( em_gl_texture_gen_t )
			emgl_enable( em_gl_texture_gen_r )
			emgl_enable( em_gl_texture_gen_q )
			init_coords
		end
	disable_generation is
			-- Disable the tex_coord generation
		do
			reset_coords
			emgl_disable( em_gl_texture_gen_s )
			emgl_disable( em_gl_texture_gen_t )
			emgl_disable( em_gl_texture_gen_r )
			emgl_disable( em_gl_texture_gen_q )
		end
end -- class EM3D_TEX_COORD_GENERATOR
