indexing
	description: "A factory that loads any kind of models"
	date: "$Date: 2007-07-10 13:37:42 +0200 (Tue, 10 Jul 2007) $"
	revision: "$Revision: 2604 $"

class
	EM3D_COMBINED_MODEL_FACTORY

inherit
	EM3D_MODEL_FACTORY
		select
			load_model_internal
		end

	EM3D_MODEL_OBJ_FACTORY
		rename
			load_model_internal as load_obj_internal
		export {NONE}
			all
		end

	EM3D_MODEL_X_FACTORY
		rename
			load_model_internal as load_x_internal
		export {NONE}
			all
		end
create
	make
feature {NONE}

	load_model_internal( a_filename: STRING ) is
			-- Load a mesh
		local
			extension: STRING
		do
			extension := a_filename.substring ( a_filename.last_index_of ( '.', a_filename.count), a_filename.count )
			extension := extension.as_lower
			if extension.is_equal ( ".obj" ) then
				load_obj_internal( a_filename )
			elseif extension.is_equal ( ".x" ) then
				load_x_internal( a_filename )
			end
		end
end
