indexing
	description: "Load models from files and return themm as EM3D_ACTOR's"
	date: "$Date: 2007-07-10 13:37:42 +0200 (Tue, 10 Jul 2007) $"
	revision: "$Revision: 2604 $"

deferred class
	EM3D_MODEL_FACTORY

inherit
	EM3D_RESOURCE_FACTORY[ EM3D_ACTOR ]
		rename
			resources as models,
			add_resource as add_model,
			new_resource as new_model_resource,
			load_resource_internal as load_model_internal,
			load_resource as load_model
		end
feature --Model creation
	new_model( a_name: STRING; a_parent_node: EM3D_SCENE_NODE ): EM3D_ACTOR is
			-- Append a new model calles a_name to a_parent_node
		do
			result := new_model_resource ( a_name ).twin
			a_parent_node.add_child ( result )
		end

end
