indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2007-07-10 13:37:42 +0200 (Tue, 10 Jul 2007) $"
	revision: "$Revision: 2604 $"

class
	EM3D_DIRECTIONAL_LIGHT

inherit
	EM3D_LIGHT
		export {NONE}
		-- A directional light doesn't have attenuation
			constant_attenuation,
			linear_attenuation,
			quadratic_attenuation,
			set_constant_attenuation,
			set_linear_attenuation,
			set_quadratic_attenuation
		redefine
			render_opengl
		end

create {EM3D_OBJECT_MANAGER}
	make
feature -- Status
	render_opengl is
			-- Set the correct posision
		local
			pos: EM_VECTOR4F
		do
			Precursor
			if is_visible then
				if is_valid_light( light ) then
					if target=void then
						pos := [0,0,-1,0]
					else
						pos := world_position - target.position
						pos.set_w( 0 )
					end
					lightfv ( em_gl_position , pos )
				end
			end
		end

end
