indexing

	description: "[

		Implements support routines for classes of objects which are scalable.

	]"
	date: "$Date: 2007-07-07 17:20:04 +0200 (Sat, 07 Jul 2007) $"
	revision: "$Revision: 2603 $"

class
	EM3D_SCALABLE -- other name: EM3D_SCALABLE

feature -- Access

	scale: EM_VECTOR3D
		-- Describes the local scale, relative to the parent entity
	set_scale (a_scale: EM_VECTOR3D) is
				-- Set `scale' to `a_scale'.
		do
			scale := a_scale
		ensure
			definition_of_set_scale: scale = a_scale
		end

	resize( a_scale: EM_VECTOR3D ) is
			-- Resize the object by `a_scale'
		do
			scale.ew_multiply( a_scale )
		end

feature {NONE} -- Implementation

invariant
	invariant_clause: True -- Your invariant here

end
