indexing

	description: "[

		Implements a simple scene manger using no supporting datastructure to increase rendering speed.
		Use instances of this class for simple demos with only a few objects.

	]"
	date: "$Date: 2007-07-10 13:37:42 +0200 (Tue, 10 Jul 2007) $"
	revision: "$Revision: 2604 $"

class EM3D_SIMPLE_SCENE_MANAGER

inherit

	EM3D_SCENE_MANAGER

create
	make

feature -- Initialisation

	make is
			-- Init
		do
			create world.make_by_parent (Void)
			--create light.make_with_creation_constraint (Current, agent lights_available)
			create light.make (Current)
			create entity.make (Current)
			create camera.make (Current)
			create target.make(Current)
			create animation.make(Current)

			-- Create the factories
			create mesh_factory.make(Current)
			create material_factory.make(Current)
			create texture_factory.make(Current)
			create model_factory.make(Current)
		end


feature -- Access

feature -- Measurement

feature -- Status report

feature -- Status setting

feature -- Cursor movement

feature -- Element change

feature -- Removal

feature -- Resizing

feature -- Transformation

feature -- Conversion

feature -- Duplication

feature -- Miscellaneous

feature -- Basic operations

feature -- Obsolete

feature -- Inapplicable

feature {NONE} -- Implementation

	lights_available: BOOLEAN
			-- TODO: move this into a EM3D_SHARED_SUBSYSTEM?

invariant
	invariant_clause: True -- Your invariant here

end
