indexing

	description: "[

		A viewport connects a camera and a render target (usually a window or a texture).
		The viewport basically is the rectangular area on the render target where the image is drawn.
		The viewport is specified with x,y coordinates for the upper left corner and a width and height.
		Ensure that the viewport and the camera have the same aspect ratio to avoid distortion, unless you want it...
		Viewports have a z-Order to resolve conflicts if one or more viewports overlap.

	]"
	date: "$Date: 2006-09-06 17:59:01 +0200 (Wed, 06 Sep 2006) $"
	revision: "$Revision: 2242 $"

class EM3D_VIEWPORT

-- INFO:
-- Be aware while implementing this class that OpenGL glViewport uses the lower left corner.
-- But I think EM3D should be consistent with the SDL 2D drawing stuff and therefor use the upper left corner.


feature -- Access

feature -- Measurement

feature -- Status report

feature -- Status setting

feature -- Cursor movement

feature -- Element change

feature -- Removal

feature -- Resizing

feature -- Transformation

feature -- Conversion

feature -- Duplication

feature -- Miscellaneous

feature -- Basic operations

feature -- Obsolete

feature -- Inapplicable

feature {NONE} -- Implementation

invariant
	invariant_clause: True -- Your invariant here

end
