indexing

	description: "[

		An EM_GOOF_CENTRAL_FORCE that represents gravity and therefor uses masses
		in the 'object_dependant_factor'.

	]"
	date: "$Date: 2005-10-23 11:39:25 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1116 $"

class EM_GOOF_CENTRAL_GRAVITY

inherit

	EM_GOOF_CENTRAL_FORCE

create

	make

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Initialization

	make(a_center: EM_VECTOR_2D a_strength: DOUBLE) is
			-- Make gravity
		require
			a_center_not_void: a_center /= void
		do
			center := a_center
			strength := a_strength
		ensure
			center_set: center = a_center
			strength_set: strength = a_strength
		end

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Processing

	object_dependant_factor(object: EM_GOOF_PHYSICABLE): DOUBLE is
			-- 	Object dependant factor in the gravity equasion (the mass)
		do
			result := object.mass
		end

end