indexing

	description: "[

		An EM_GOOF_DIRECTIONAL_FORCE that uses masses in the 'object_dependant_factor'
		to represend gravitation in jump and run games.

	]"
	date: "$Date: 2005-10-23 11:39:25 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1116 $"

class EM_GOOF_DIRECTIONAL_GRAVITY

inherit

	EM_GOOF_DIRECTIONAL_FORCE

create

	make

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Initialization

	make(a_force_direction: EM_VECTOR_2D) is
			-- Make directional force with the direction
		require
			a_force_direction_not_void: a_force_direction /= void
		do
			force_direction := a_force_direction
		ensure
			force_direction_set: force_direction = a_force_direction
		end

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Processing

	object_dependant_factor(object: EM_GOOF_PHYSICABLE): DOUBLE is
			-- 	Object dependant factor in the force equasion (mass in case of gravity)
		do
			result := object.mass
		end

end