indexing

	description: "[

		An EM_GOOF_LOCALIZED_DIRECTIONAL_FORCE that uses masses in the 'object_dependant_factor'
		to represent localized gravity.

	]"
	date: "$Date: 2005-10-23 11:39:25 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1116 $"

class EM_GOOF_LOCALIZED_DIRECTIONAL_GRAVITY

inherit

	EM_GOOF_LOCALIZED_DIRECTIONAL_FORCE

create

	makeit

feature -- Initialization

	makeit(a_force_direction: EM_VECTOR_2D a_effect_area: EM_GOOF_AREA) is
			-- Make directional force with direction
		require
			a_force_direction_not_void: a_force_direction /= void
			a_effect_area_not_void: a_effect_area /= void
		do
			force_direction := a_force_direction
			effect_area := a_effect_area
		end

feature {EM_GOOF_FORCE, EM_GOOF_PHYSICS} -- Processing

	object_dependant_factor(object: EM_GOOF_PHYSICABLE): DOUBLE is
			-- 	Object dependant factor in the gravity equasion (the mass)
		do
			result := object.mass
		end

end