indexing

	description: "[

		Goof loader object rotatable node processor.

	]"
	date: "$Date: 2006-01-03 15:00:04 +0100 (Tue, 03 Jan 2006) $"
	revision: "$Revision: 1588 $"

deferred class

	EM_GOOF_LOADER_OBJECT_ROTATABLE_NODE_PROCESSOR

inherit

	EM_GOOF_LOADER_OBJECT_SIMPLE_NODE_PROCESSOR

feature -- Loading

	load_images(object: EM_GOOF_ROTATABLE) is
			-- load the image
		local
			counter: INTEGER
			images: DS_LINKED_LIST[EM_BITMAP]
		do
			if has_attribute("image_count") and has_attribute("image_ending") then
				if attribute("image_count").is_integer then
					from
						create images.make_default
						counter := 1
					until
						counter > attribute("image_count").to_integer
					loop
						bitmap_factory.create_bitmap_from_image(attribute("image")+counter.out+attribute("image_ending"))
						check
							bitmap_factory.last_bitmap /= void
						end
						images.put_right(bitmap_factory.last_bitmap)
						counter := counter + 1
						object.make_multiple_picture(images, attribute("x").to_double, attribute("y").to_double, level)
					end
				else
					set_error (Non_numeric_argument, << "image_count" >>)
				end
			else
				load_image(object)
			end
		end

end
