indexing

	description: "[

		An EM_GOOF_LOADER_NODE_PROCESSOR to load the object xy section from xml file.

	]"
	date: "$Date: 2005-10-23 13:42:20 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1142 $"

class
	EM_GOOF_LOADER_OBJECT_XY_NODE_PROCESSOR

inherit

	EM_GOOF_LOADER_NODE_PROCESSOR
	undefine
		make
	end

create

	make

feature -- Initialization

	make is
			-- Make 'Current'
		do
			Precursor
			Current.register_allowed_subnode ("object", name)
		end

feature -- Access

	Name: STRING is
			-- Name of element to process
		do
			Result := "xy"
		end

	Mandatory_attributes: ARRAY [STRING] is
			-- Table of mandatory attributes
		once
			Result := << >>
			Result.compare_objects
		end

feature -- Basic operations

	process is
			-- Process node.
		do
			process_subnodes
		end

	file: STRING
			-- String in which the filename is stored

end