indexing

	description: "[

		Adaptor used to adapt the city parser to parse and process visualization elements

	]"
	date: "$Date: 2005-10-23 12:31:22 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1124 $"

class EM_GOOF_LOADER_XML_ADAPTOR

feature -- Basic operations

	adapt_xml_registry (a_level_parser: EM_GOOF_LOADER_LEVEL_PARSER) is
			-- Add new node_processors to `a_level_parser'.
		require
			a_level_parser_exists: a_level_parser /= Void
		do
			a_level_parser.register_processor (create {EM_GOOF_LOADER_LEVEL_NODE_PROCESSOR}.make)

			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_XY_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_XY_VEHICLE_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_XY_TRANSPORT_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_BALL_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_OBJECT_OBSTACLE_NODE_PROCESSOR}.make)

			a_level_parser.register_processor (create {EM_GOOF_LOADER_FORCE_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_FORCE_GRAVITY_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_FORCE_CENTRAL_GRAVITY_NODE_PROCESSOR}.make)
			a_level_parser.register_processor (create {EM_GOOF_LOADER_FORCE_DIRECTIONAL_GRAVITY_NODE_PROCESSOR}.make)
		end

end