#include <GL/glew.h>

//#ifndef __inline
//#define __inline inline
//#endif

#ifdef _MSC_VER
/**
 * Disabled Error Message
 * 'function' : void function returning a value
 * 
 * VC7/VC8: A function declared with return type void has a return statement
 *          that returns a value. The compiler assumes the function returns a
 *          value of type int.
 */
#pragma warning( disable: 4098 )
#endif



#ifdef glCopyTexSubImage3D
void GlCopyTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glDrawRangeElements
void GlDrawRangeElements (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
#endif

#ifdef glTexImage3D
void GlTexImage3D (GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels);
#endif

#ifdef glTexSubImage3D
void GlTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels);
#endif

#ifdef glActiveTexture
void GlActiveTexture (GLenum texture);
#endif

#ifdef glClientActiveTexture
void GlClientActiveTexture (GLenum texture);
#endif

#ifdef glCompressedTexImage1D
void GlCompressedTexImage1D (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glCompressedTexImage2D
void GlCompressedTexImage2D (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glCompressedTexImage3D
void GlCompressedTexImage3D (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glCompressedTexSubImage1D
void GlCompressedTexSubImage1D (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glCompressedTexSubImage2D
void GlCompressedTexSubImage2D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glCompressedTexSubImage3D
void GlCompressedTexSubImage3D (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data);
#endif

#ifdef glGetCompressedTexImage
void GlGetCompressedTexImage (GLenum target, GLint lod, GLvoid *img);
#endif

#ifdef glLoadTransposeMatrixd
void GlLoadTransposeMatrixd (const GLdouble m[16]);
#endif

#ifdef glLoadTransposeMatrixf
void GlLoadTransposeMatrixf (const GLfloat m[16]);
#endif

#ifdef glMultTransposeMatrixd
void GlMultTransposeMatrixd (const GLdouble m[16]);
#endif

#ifdef glMultTransposeMatrixf
void GlMultTransposeMatrixf (const GLfloat m[16]);
#endif

#ifdef glMultiTexCoord1d
void GlMultiTexCoord1d (GLenum target, GLdouble s);
#endif

#ifdef glMultiTexCoord1dv
void GlMultiTexCoord1dv (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord1f
void GlMultiTexCoord1f (GLenum target, GLfloat s);
#endif

#ifdef glMultiTexCoord1fv
void GlMultiTexCoord1fv (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord1i
void GlMultiTexCoord1i (GLenum target, GLint s);
#endif

#ifdef glMultiTexCoord1iv
void GlMultiTexCoord1iv (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord1s
void GlMultiTexCoord1s (GLenum target, GLshort s);
#endif

#ifdef glMultiTexCoord1sv
void GlMultiTexCoord1sv (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord2d
void GlMultiTexCoord2d (GLenum target, GLdouble s, GLdouble t);
#endif

#ifdef glMultiTexCoord2dv
void GlMultiTexCoord2dv (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord2f
void GlMultiTexCoord2f (GLenum target, GLfloat s, GLfloat t);
#endif

#ifdef glMultiTexCoord2fv
void GlMultiTexCoord2fv (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord2i
void GlMultiTexCoord2i (GLenum target, GLint s, GLint t);
#endif

#ifdef glMultiTexCoord2iv
void GlMultiTexCoord2iv (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord2s
void GlMultiTexCoord2s (GLenum target, GLshort s, GLshort t);
#endif

#ifdef glMultiTexCoord2sv
void GlMultiTexCoord2sv (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord3d
void GlMultiTexCoord3d (GLenum target, GLdouble s, GLdouble t, GLdouble r);
#endif

#ifdef glMultiTexCoord3dv
void GlMultiTexCoord3dv (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord3f
void GlMultiTexCoord3f (GLenum target, GLfloat s, GLfloat t, GLfloat r);
#endif

#ifdef glMultiTexCoord3fv
void GlMultiTexCoord3fv (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord3i
void GlMultiTexCoord3i (GLenum target, GLint s, GLint t, GLint r);
#endif

#ifdef glMultiTexCoord3iv
void GlMultiTexCoord3iv (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord3s
void GlMultiTexCoord3s (GLenum target, GLshort s, GLshort t, GLshort r);
#endif

#ifdef glMultiTexCoord3sv
void GlMultiTexCoord3sv (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord4d
void GlMultiTexCoord4d (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
#endif

#ifdef glMultiTexCoord4dv
void GlMultiTexCoord4dv (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord4f
void GlMultiTexCoord4f (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
#endif

#ifdef glMultiTexCoord4fv
void GlMultiTexCoord4fv (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord4i
void GlMultiTexCoord4i (GLenum target, GLint s, GLint t, GLint r, GLint q);
#endif

#ifdef glMultiTexCoord4iv
void GlMultiTexCoord4iv (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord4s
void GlMultiTexCoord4s (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
#endif

#ifdef glMultiTexCoord4sv
void GlMultiTexCoord4sv (GLenum target, const GLshort *v);
#endif

#ifdef glSampleCoverage
void GlSampleCoverage (GLclampf value, GLboolean invert);
#endif

#ifdef glBlendColor
void GlBlendColor (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
#endif

#ifdef glBlendEquation
void GlBlendEquation (GLenum mode);
#endif

#ifdef glBlendFuncSeparate
void GlBlendFuncSeparate (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
#endif

#ifdef glFogCoordPointer
void GlFogCoordPointer (GLenum type, GLsizei stride, const GLvoid *pointer);
#endif

#ifdef glFogCoordd
void GlFogCoordd (GLdouble coord);
#endif

#ifdef glFogCoorddv
void GlFogCoorddv (const GLdouble *coord);
#endif

#ifdef glFogCoordf
void GlFogCoordf (GLfloat coord);
#endif

#ifdef glFogCoordfv
void GlFogCoordfv (const GLfloat *coord);
#endif

#ifdef glMultiDrawArrays
void GlMultiDrawArrays (GLenum mode, GLint *first, GLsizei *count, GLsizei primcount);
#endif

#ifdef glMultiDrawElements
void GlMultiDrawElements (GLenum mode, GLsizei *count, GLenum type, const GLvoid **indices, GLsizei primcount);
#endif

#ifdef glPointParameterf
void GlPointParameterf (GLenum pname, GLfloat param);
#endif

#ifdef glPointParameterfv
void GlPointParameterfv (GLenum pname, GLfloat *params);
#endif

#ifdef glSecondaryColor3b
void GlSecondaryColor3b (GLbyte red, GLbyte green, GLbyte blue);
#endif

#ifdef glSecondaryColor3bv
void GlSecondaryColor3bv (const GLbyte *v);
#endif

#ifdef glSecondaryColor3d
void GlSecondaryColor3d (GLdouble red, GLdouble green, GLdouble blue);
#endif

#ifdef glSecondaryColor3dv
void GlSecondaryColor3dv (const GLdouble *v);
#endif

#ifdef glSecondaryColor3f
void GlSecondaryColor3f (GLfloat red, GLfloat green, GLfloat blue);
#endif

#ifdef glSecondaryColor3fv
void GlSecondaryColor3fv (const GLfloat *v);
#endif

#ifdef glSecondaryColor3i
void GlSecondaryColor3i (GLint red, GLint green, GLint blue);
#endif

#ifdef glSecondaryColor3iv
void GlSecondaryColor3iv (const GLint *v);
#endif

#ifdef glSecondaryColor3s
void GlSecondaryColor3s (GLshort red, GLshort green, GLshort blue);
#endif

#ifdef glSecondaryColor3sv
void GlSecondaryColor3sv (const GLshort *v);
#endif

#ifdef glSecondaryColor3ub
void GlSecondaryColor3ub (GLubyte red, GLubyte green, GLubyte blue);
#endif

#ifdef glSecondaryColor3ubv
void GlSecondaryColor3ubv (const GLubyte *v);
#endif

#ifdef glSecondaryColor3ui
void GlSecondaryColor3ui (GLuint red, GLuint green, GLuint blue);
#endif

#ifdef glSecondaryColor3uiv
void GlSecondaryColor3uiv (const GLuint *v);
#endif

#ifdef glSecondaryColor3us
void GlSecondaryColor3us (GLushort red, GLushort green, GLushort blue);
#endif

#ifdef glSecondaryColor3usv
void GlSecondaryColor3usv (const GLushort *v);
#endif

#ifdef glSecondaryColorPointer
void GlSecondaryColorPointer (GLint size, GLenum type, GLsizei stride, GLvoid *pointer);
#endif

#ifdef glWindowPos2d
void GlWindowPos2d (GLdouble x, GLdouble y);
#endif

#ifdef glWindowPos2dv
void GlWindowPos2dv (const GLdouble *p);
#endif

#ifdef glWindowPos2f
void GlWindowPos2f (GLfloat x, GLfloat y);
#endif

#ifdef glWindowPos2fv
void GlWindowPos2fv (const GLfloat *p);
#endif

#ifdef glWindowPos2i
void GlWindowPos2i (GLint x, GLint y);
#endif

#ifdef glWindowPos2iv
void GlWindowPos2iv (const GLint *p);
#endif

#ifdef glWindowPos2s
void GlWindowPos2s (GLshort x, GLshort y);
#endif

#ifdef glWindowPos2sv
void GlWindowPos2sv (const GLshort *p);
#endif

#ifdef glWindowPos3d
void GlWindowPos3d (GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glWindowPos3dv
void GlWindowPos3dv (const GLdouble *p);
#endif

#ifdef glWindowPos3f
void GlWindowPos3f (GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glWindowPos3fv
void GlWindowPos3fv (const GLfloat *p);
#endif

#ifdef glWindowPos3i
void GlWindowPos3i (GLint x, GLint y, GLint z);
#endif

#ifdef glWindowPos3iv
void GlWindowPos3iv (const GLint *p);
#endif

#ifdef glWindowPos3s
void GlWindowPos3s (GLshort x, GLshort y, GLshort z);
#endif

#ifdef glWindowPos3sv
void GlWindowPos3sv (const GLshort *p);
#endif

#ifdef glBeginQuery
void GlBeginQuery (GLenum target, GLuint id);
#endif

#ifdef glBindBuffer
void GlBindBuffer (GLenum target, GLuint buffer);
#endif

#ifdef glBufferData
void GlBufferData (GLenum target, GLsizeiptr size, const GLvoid* data, GLenum usage);
#endif

#ifdef glBufferSubData
void GlBufferSubData (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid* data);
#endif

#ifdef glDeleteBuffers
void GlDeleteBuffers (GLsizei n, const GLuint* buffers);
#endif

#ifdef glDeleteQueries
void GlDeleteQueries (GLsizei n, const GLuint* ids);
#endif

#ifdef glEndQuery
void GlEndQuery (GLenum target);
#endif

#ifdef glGenBuffers
void GlGenBuffers (GLsizei n, GLuint* buffers);
#endif

#ifdef glGenQueries
void GlGenQueries (GLsizei n, GLuint* ids);
#endif

#ifdef glGetBufferParameteriv
void GlGetBufferParameteriv (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetBufferPointerv
void GlGetBufferPointerv (GLenum target, GLenum pname, GLvoid** params);
#endif

#ifdef glGetBufferSubData
void GlGetBufferSubData (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid* data);
#endif

#ifdef glGetQueryObjectiv
void GlGetQueryObjectiv (GLuint id, GLenum pname, GLint* params);
#endif

#ifdef glGetQueryObjectuiv
void GlGetQueryObjectuiv (GLuint id, GLenum pname, GLuint* params);
#endif

#ifdef glGetQueryiv
void GlGetQueryiv (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glIsBuffer
GLboolean GlIsBuffer (GLuint buffer);
#endif

#ifdef glIsQuery
GLboolean GlIsQuery (GLuint id);
#endif

#ifdef glMapBuffer
GLvoid* GlMapBuffer (GLenum target, GLenum access);
#endif

#ifdef glUnmapBuffer
GLboolean GlUnmapBuffer (GLenum target);
#endif

#ifdef glAttachShader
void GlAttachShader (GLuint program, GLuint shader);
#endif

#ifdef glBindAttribLocation
void GlBindAttribLocation (GLuint program, GLuint index, const GLchar* name);
#endif

#ifdef glBlendEquationSeparate
void GlBlendEquationSeparate (GLenum, GLenum);
#endif

#ifdef glCompileShader
void GlCompileShader (GLuint shader);
#endif

#ifdef glCreateProgram
GLuint GlCreateProgram (void);
#endif

#ifdef glCreateShader
GLuint GlCreateShader (GLenum type);
#endif

#ifdef glDeleteProgram
void GlDeleteProgram (GLuint program);
#endif

#ifdef glDeleteShader
void GlDeleteShader (GLuint shader);
#endif

#ifdef glDetachShader
void GlDetachShader (GLuint program, GLuint shader);
#endif

#ifdef glDisableVertexAttribArray
void GlDisableVertexAttribArray (GLuint);
#endif

#ifdef glDrawBuffers
void GlDrawBuffers (GLsizei n, const GLenum* bufs);
#endif

#ifdef glEnableVertexAttribArray
void GlEnableVertexAttribArray (GLuint);
#endif

#ifdef glGetActiveAttrib
void GlGetActiveAttrib (GLuint program, GLuint index, GLsizei maxLength, GLsizei* length, GLint* size, GLenum* type, GLchar* name);
#endif

#ifdef glGetActiveUniform
void GlGetActiveUniform (GLuint program, GLuint index, GLsizei maxLength, GLsizei* length, GLint* size, GLenum* type, GLchar* name);
#endif

#ifdef glGetAttachedShaders
void GlGetAttachedShaders (GLuint program, GLsizei maxCount, GLsizei* count, GLuint* shaders);
#endif

#ifdef glGetAttribLocation
GLint GlGetAttribLocation (GLuint program, const GLchar* name);
#endif

#ifdef glGetProgramInfoLog
void GlGetProgramInfoLog (GLuint program, GLsizei bufSize, GLsizei* length, GLchar* infoLog);
#endif

#ifdef glGetProgramiv
void GlGetProgramiv (GLuint program, GLenum pname, GLint* param);
#endif

#ifdef glGetShaderInfoLog
void GlGetShaderInfoLog (GLuint shader, GLsizei bufSize, GLsizei* length, GLchar* infoLog);
#endif

#ifdef glGetShaderSource
void GlGetShaderSource (GLint obj, GLsizei maxLength, GLsizei* length, GLchar* source);
#endif

#ifdef glGetShaderiv
void GlGetShaderiv (GLuint shader, GLenum pname, GLint* param);
#endif

#ifdef glGetUniformLocation
GLint GlGetUniformLocation (GLint programObj, const GLchar* name);
#endif

#ifdef glGetUniformfv
void GlGetUniformfv (GLuint program, GLint location, GLfloat* params);
#endif

#ifdef glGetUniformiv
void GlGetUniformiv (GLuint program, GLint location, GLint* params);
#endif

#ifdef glGetVertexAttribPointerv
void GlGetVertexAttribPointerv (GLuint, GLenum, GLvoid*);
#endif

#ifdef glGetVertexAttribdv
void GlGetVertexAttribdv (GLuint, GLenum, GLdouble*);
#endif

#ifdef glGetVertexAttribfv
void GlGetVertexAttribfv (GLuint, GLenum, GLfloat*);
#endif

#ifdef glGetVertexAttribiv
void GlGetVertexAttribiv (GLuint, GLenum, GLint*);
#endif

#ifdef glIsProgram
GLboolean GlIsProgram (GLuint program);
#endif

#ifdef glIsShader
GLboolean GlIsShader (GLuint shader);
#endif

#ifdef glLinkProgram
void GlLinkProgram (GLuint program);
#endif

#ifdef glShaderSource
void GlShaderSource (GLuint shader, GLsizei count, const GLchar** strings, const GLint* lengths);
#endif

#ifdef glStencilFuncSeparate
void GlStencilFuncSeparate (GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask);
#endif

#ifdef glStencilMaskSeparate
void GlStencilMaskSeparate (GLenum, GLuint);
#endif

#ifdef glStencilOpSeparate
void GlStencilOpSeparate (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass);
#endif

#ifdef glUniform1f
void GlUniform1f (GLint location, GLfloat v0);
#endif

#ifdef glUniform1fv
void GlUniform1fv (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform1i
void GlUniform1i (GLint location, GLint v0);
#endif

#ifdef glUniform1iv
void GlUniform1iv (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform2f
void GlUniform2f (GLint location, GLfloat v0, GLfloat v1);
#endif

#ifdef glUniform2fv
void GlUniform2fv (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform2i
void GlUniform2i (GLint location, GLint v0, GLint v1);
#endif

#ifdef glUniform2iv
void GlUniform2iv (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform3f
void GlUniform3f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
#endif

#ifdef glUniform3fv
void GlUniform3fv (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform3i
void GlUniform3i (GLint location, GLint v0, GLint v1, GLint v2);
#endif

#ifdef glUniform3iv
void GlUniform3iv (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform4f
void GlUniform4f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
#endif

#ifdef glUniform4fv
void GlUniform4fv (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform4i
void GlUniform4i (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
#endif

#ifdef glUniform4iv
void GlUniform4iv (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniformMatrix2fv
void GlUniformMatrix2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUniformMatrix3fv
void GlUniformMatrix3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUniformMatrix4fv
void GlUniformMatrix4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUseProgram
void GlUseProgram (GLuint program);
#endif

#ifdef glValidateProgram
void GlValidateProgram (GLuint program);
#endif

#ifdef glVertexAttrib1d
void GlVertexAttrib1d (GLuint index, GLdouble x);
#endif

#ifdef glVertexAttrib1dv
void GlVertexAttrib1dv (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib1f
void GlVertexAttrib1f (GLuint index, GLfloat x);
#endif

#ifdef glVertexAttrib1fv
void GlVertexAttrib1fv (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib1s
void GlVertexAttrib1s (GLuint index, GLshort x);
#endif

#ifdef glVertexAttrib1sv
void GlVertexAttrib1sv (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib2d
void GlVertexAttrib2d (GLuint index, GLdouble x, GLdouble y);
#endif

#ifdef glVertexAttrib2dv
void GlVertexAttrib2dv (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib2f
void GlVertexAttrib2f (GLuint index, GLfloat x, GLfloat y);
#endif

#ifdef glVertexAttrib2fv
void GlVertexAttrib2fv (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib2s
void GlVertexAttrib2s (GLuint index, GLshort x, GLshort y);
#endif

#ifdef glVertexAttrib2sv
void GlVertexAttrib2sv (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib3d
void GlVertexAttrib3d (GLuint index, GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glVertexAttrib3dv
void GlVertexAttrib3dv (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib3f
void GlVertexAttrib3f (GLuint index, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glVertexAttrib3fv
void GlVertexAttrib3fv (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib3s
void GlVertexAttrib3s (GLuint index, GLshort x, GLshort y, GLshort z);
#endif

#ifdef glVertexAttrib3sv
void GlVertexAttrib3sv (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4Nbv
void GlVertexAttrib4Nbv (GLuint index, const GLbyte* v);
#endif

#ifdef glVertexAttrib4Niv
void GlVertexAttrib4Niv (GLuint index, const GLint* v);
#endif

#ifdef glVertexAttrib4Nsv
void GlVertexAttrib4Nsv (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4Nub
void GlVertexAttrib4Nub (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
#endif

#ifdef glVertexAttrib4Nubv
void GlVertexAttrib4Nubv (GLuint index, const GLubyte* v);
#endif

#ifdef glVertexAttrib4Nuiv
void GlVertexAttrib4Nuiv (GLuint index, const GLuint* v);
#endif

#ifdef glVertexAttrib4Nusv
void GlVertexAttrib4Nusv (GLuint index, const GLushort* v);
#endif

#ifdef glVertexAttrib4bv
void GlVertexAttrib4bv (GLuint index, const GLbyte* v);
#endif

#ifdef glVertexAttrib4d
void GlVertexAttrib4d (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glVertexAttrib4dv
void GlVertexAttrib4dv (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib4f
void GlVertexAttrib4f (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glVertexAttrib4fv
void GlVertexAttrib4fv (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib4iv
void GlVertexAttrib4iv (GLuint index, const GLint* v);
#endif

#ifdef glVertexAttrib4s
void GlVertexAttrib4s (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
#endif

#ifdef glVertexAttrib4sv
void GlVertexAttrib4sv (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4ubv
void GlVertexAttrib4ubv (GLuint index, const GLubyte* v);
#endif

#ifdef glVertexAttrib4uiv
void GlVertexAttrib4uiv (GLuint index, const GLuint* v);
#endif

#ifdef glVertexAttrib4usv
void GlVertexAttrib4usv (GLuint index, const GLushort* v);
#endif

#ifdef glVertexAttribPointer
void GlVertexAttribPointer (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid* pointer);
#endif

#ifdef glTbufferMask3DFX
void GlTbufferMask3DFX (GLuint mask);
#endif

#ifdef glDrawElementArrayAPPLE
void GlDrawElementArrayAPPLE (GLenum mode, GLint first, GLsizei count);
#endif

#ifdef glDrawRangeElementArrayAPPLE
void GlDrawRangeElementArrayAPPLE (GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count);
#endif

#ifdef glElementPointerAPPLE
void GlElementPointerAPPLE (GLenum type, const void* pointer);
#endif

#ifdef glMultiDrawElementArrayAPPLE
void GlMultiDrawElementArrayAPPLE (GLenum mode, const GLint* first, const GLsizei *count, GLsizei primcount);
#endif

#ifdef glMultiDrawRangeElementArrayAPPLE
void GlMultiDrawRangeElementArrayAPPLE (GLenum mode, GLuint start, GLuint end, const GLint* first, const GLsizei *count, GLsizei primcount);
#endif

#ifdef glDeleteFencesAPPLE
void GlDeleteFencesAPPLE (GLsizei n, const GLuint* fences);
#endif

#ifdef glFinishFenceAPPLE
void GlFinishFenceAPPLE (GLuint fence);
#endif

#ifdef glFinishObjectAPPLE
void GlFinishObjectAPPLE (GLenum object, GLint name);
#endif

#ifdef glGenFencesAPPLE
void GlGenFencesAPPLE (GLsizei n, GLuint* fences);
#endif

#ifdef glIsFenceAPPLE
GLboolean GlIsFenceAPPLE (GLuint fence);
#endif

#ifdef glSetFenceAPPLE
void GlSetFenceAPPLE (GLuint fence);
#endif

#ifdef glTestFenceAPPLE
GLboolean GlTestFenceAPPLE (GLuint fence);
#endif

#ifdef glTestObjectAPPLE
GLboolean GlTestObjectAPPLE (GLenum object, GLuint name);
#endif

#ifdef glGetTexParameterPointervAPPLE
void GlGetTexParameterPointervAPPLE (GLenum target, GLenum pname, GLvoid **params);
#endif

#ifdef glTextureRangeAPPLE
void GlTextureRangeAPPLE (GLenum target, GLsizei length, GLvoid *pointer);
#endif

#ifdef glBindVertexArrayAPPLE
void GlBindVertexArrayAPPLE (GLuint array);
#endif

#ifdef glDeleteVertexArraysAPPLE
void GlDeleteVertexArraysAPPLE (GLsizei n, const GLuint* arrays);
#endif

#ifdef glGenVertexArraysAPPLE
void GlGenVertexArraysAPPLE (GLsizei n, const GLuint* arrays);
#endif

#ifdef glIsVertexArrayAPPLE
GLboolean GlIsVertexArrayAPPLE (GLuint array);
#endif

#ifdef glFlushVertexArrayRangeAPPLE
void GlFlushVertexArrayRangeAPPLE (GLsizei length, void* pointer);
#endif

#ifdef glVertexArrayParameteriAPPLE
void GlVertexArrayParameteriAPPLE (GLenum pname, GLint param);
#endif

#ifdef glVertexArrayRangeAPPLE
void GlVertexArrayRangeAPPLE (GLsizei length, void* pointer);
#endif

#ifdef glClampColorARB
void GlClampColorARB (GLenum target, GLenum clamp);
#endif

#ifdef glDrawBuffersARB
void GlDrawBuffersARB (GLsizei n, const GLenum* bufs);
#endif

#ifdef glColorSubTable
void GlColorSubTable (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data);
#endif

#ifdef glColorTable
void GlColorTable (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table);
#endif

#ifdef glColorTableParameterfv
void GlColorTableParameterfv (GLenum target, GLenum pname, const GLfloat *params);
#endif

#ifdef glColorTableParameteriv
void GlColorTableParameteriv (GLenum target, GLenum pname, const GLint *params);
#endif

#ifdef glConvolutionFilter1D
void GlConvolutionFilter1D (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image);
#endif

#ifdef glConvolutionFilter2D
void GlConvolutionFilter2D (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image);
#endif

#ifdef glConvolutionParameterf
void GlConvolutionParameterf (GLenum target, GLenum pname, GLfloat params);
#endif

#ifdef glConvolutionParameterfv
void GlConvolutionParameterfv (GLenum target, GLenum pname, const GLfloat *params);
#endif

#ifdef glConvolutionParameteri
void GlConvolutionParameteri (GLenum target, GLenum pname, GLint params);
#endif

#ifdef glConvolutionParameteriv
void GlConvolutionParameteriv (GLenum target, GLenum pname, const GLint *params);
#endif

#ifdef glCopyColorSubTable
void GlCopyColorSubTable (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
#endif

#ifdef glCopyColorTable
void GlCopyColorTable (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
#endif

#ifdef glCopyConvolutionFilter1D
void GlCopyConvolutionFilter1D (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
#endif

#ifdef glCopyConvolutionFilter2D
void GlCopyConvolutionFilter2D (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glGetColorTable
void GlGetColorTable (GLenum target, GLenum format, GLenum type, GLvoid *table);
#endif

#ifdef glGetColorTableParameterfv
void GlGetColorTableParameterfv (GLenum target, GLenum pname, GLfloat *params);
#endif

#ifdef glGetColorTableParameteriv
void GlGetColorTableParameteriv (GLenum target, GLenum pname, GLint *params);
#endif

#ifdef glGetConvolutionFilter
void GlGetConvolutionFilter (GLenum target, GLenum format, GLenum type, GLvoid *image);
#endif

#ifdef glGetConvolutionParameterfv
void GlGetConvolutionParameterfv (GLenum target, GLenum pname, GLfloat *params);
#endif

#ifdef glGetConvolutionParameteriv
void GlGetConvolutionParameteriv (GLenum target, GLenum pname, GLint *params);
#endif

#ifdef glGetHistogram
void GlGetHistogram (GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values);
#endif

#ifdef glGetHistogramParameterfv
void GlGetHistogramParameterfv (GLenum target, GLenum pname, GLfloat *params);
#endif

#ifdef glGetHistogramParameteriv
void GlGetHistogramParameteriv (GLenum target, GLenum pname, GLint *params);
#endif

#ifdef glGetMinmax
void GlGetMinmax (GLenum target, GLboolean reset, GLenum format, GLenum types, GLvoid *values);
#endif

#ifdef glGetMinmaxParameterfv
void GlGetMinmaxParameterfv (GLenum target, GLenum pname, GLfloat *params);
#endif

#ifdef glGetMinmaxParameteriv
void GlGetMinmaxParameteriv (GLenum target, GLenum pname, GLint *params);
#endif

#ifdef glGetSeparableFilter
void GlGetSeparableFilter (GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span);
#endif

#ifdef glHistogram
void GlHistogram (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
#endif

#ifdef glMinmax
void GlMinmax (GLenum target, GLenum internalformat, GLboolean sink);
#endif

#ifdef glResetHistogram
void GlResetHistogram (GLenum target);
#endif

#ifdef glResetMinmax
void GlResetMinmax (GLenum target);
#endif

#ifdef glSeparableFilter2D
void GlSeparableFilter2D (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column);
#endif

#ifdef glCurrentPaletteMatrixARB
void GlCurrentPaletteMatrixARB (GLint index);
#endif

#ifdef glMatrixIndexPointerARB
void GlMatrixIndexPointerARB (GLint size, GLenum type, GLsizei stride, GLvoid *pointer);
#endif

#ifdef glMatrixIndexubvARB
void GlMatrixIndexubvARB (GLint size, GLubyte *indices);
#endif

#ifdef glMatrixIndexuivARB
void GlMatrixIndexuivARB (GLint size, GLuint *indices);
#endif

#ifdef glMatrixIndexusvARB
void GlMatrixIndexusvARB (GLint size, GLushort *indices);
#endif

#ifdef glSampleCoverageARB
void GlSampleCoverageARB (GLclampf value, GLboolean invert);
#endif

#ifdef glActiveTextureARB
void GlActiveTextureARB (GLenum texture);
#endif

#ifdef glClientActiveTextureARB
void GlClientActiveTextureARB (GLenum texture);
#endif

#ifdef glMultiTexCoord1dARB
void GlMultiTexCoord1dARB (GLenum target, GLdouble s);
#endif

#ifdef glMultiTexCoord1dvARB
void GlMultiTexCoord1dvARB (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord1fARB
void GlMultiTexCoord1fARB (GLenum target, GLfloat s);
#endif

#ifdef glMultiTexCoord1fvARB
void GlMultiTexCoord1fvARB (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord1iARB
void GlMultiTexCoord1iARB (GLenum target, GLint s);
#endif

#ifdef glMultiTexCoord1ivARB
void GlMultiTexCoord1ivARB (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord1sARB
void GlMultiTexCoord1sARB (GLenum target, GLshort s);
#endif

#ifdef glMultiTexCoord1svARB
void GlMultiTexCoord1svARB (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord2dARB
void GlMultiTexCoord2dARB (GLenum target, GLdouble s, GLdouble t);
#endif

#ifdef glMultiTexCoord2dvARB
void GlMultiTexCoord2dvARB (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord2fARB
void GlMultiTexCoord2fARB (GLenum target, GLfloat s, GLfloat t);
#endif

#ifdef glMultiTexCoord2fvARB
void GlMultiTexCoord2fvARB (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord2iARB
void GlMultiTexCoord2iARB (GLenum target, GLint s, GLint t);
#endif

#ifdef glMultiTexCoord2ivARB
void GlMultiTexCoord2ivARB (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord2sARB
void GlMultiTexCoord2sARB (GLenum target, GLshort s, GLshort t);
#endif

#ifdef glMultiTexCoord2svARB
void GlMultiTexCoord2svARB (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord3dARB
void GlMultiTexCoord3dARB (GLenum target, GLdouble s, GLdouble t, GLdouble r);
#endif

#ifdef glMultiTexCoord3dvARB
void GlMultiTexCoord3dvARB (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord3fARB
void GlMultiTexCoord3fARB (GLenum target, GLfloat s, GLfloat t, GLfloat r);
#endif

#ifdef glMultiTexCoord3fvARB
void GlMultiTexCoord3fvARB (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord3iARB
void GlMultiTexCoord3iARB (GLenum target, GLint s, GLint t, GLint r);
#endif

#ifdef glMultiTexCoord3ivARB
void GlMultiTexCoord3ivARB (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord3sARB
void GlMultiTexCoord3sARB (GLenum target, GLshort s, GLshort t, GLshort r);
#endif

#ifdef glMultiTexCoord3svARB
void GlMultiTexCoord3svARB (GLenum target, const GLshort *v);
#endif

#ifdef glMultiTexCoord4dARB
void GlMultiTexCoord4dARB (GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
#endif

#ifdef glMultiTexCoord4dvARB
void GlMultiTexCoord4dvARB (GLenum target, const GLdouble *v);
#endif

#ifdef glMultiTexCoord4fARB
void GlMultiTexCoord4fARB (GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
#endif

#ifdef glMultiTexCoord4fvARB
void GlMultiTexCoord4fvARB (GLenum target, const GLfloat *v);
#endif

#ifdef glMultiTexCoord4iARB
void GlMultiTexCoord4iARB (GLenum target, GLint s, GLint t, GLint r, GLint q);
#endif

#ifdef glMultiTexCoord4ivARB
void GlMultiTexCoord4ivARB (GLenum target, const GLint *v);
#endif

#ifdef glMultiTexCoord4sARB
void GlMultiTexCoord4sARB (GLenum target, GLshort s, GLshort t, GLshort r, GLshort q);
#endif

#ifdef glMultiTexCoord4svARB
void GlMultiTexCoord4svARB (GLenum target, const GLshort *v);
#endif

#ifdef glBeginQueryARB
void GlBeginQueryARB (GLenum target, GLuint id);
#endif

#ifdef glDeleteQueriesARB
void GlDeleteQueriesARB (GLsizei n, const GLuint* ids);
#endif

#ifdef glEndQueryARB
void GlEndQueryARB (GLenum target);
#endif

#ifdef glGenQueriesARB
void GlGenQueriesARB (GLsizei n, GLuint* ids);
#endif

#ifdef glGetQueryObjectivARB
void GlGetQueryObjectivARB (GLuint id, GLenum pname, GLint* params);
#endif

#ifdef glGetQueryObjectuivARB
void GlGetQueryObjectuivARB (GLuint id, GLenum pname, GLuint* params);
#endif

#ifdef glGetQueryivARB
void GlGetQueryivARB (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glIsQueryARB
GLboolean GlIsQueryARB (GLuint id);
#endif

#ifdef glPointParameterfARB
void GlPointParameterfARB (GLenum pname, GLfloat param);
#endif

#ifdef glPointParameterfvARB
void GlPointParameterfvARB (GLenum pname, GLfloat* params);
#endif

#ifdef glAttachObjectARB
void GlAttachObjectARB (GLhandleARB containerObj, GLhandleARB obj);
#endif

#ifdef glCompileShaderARB
void GlCompileShaderARB (GLhandleARB shaderObj);
#endif

#ifdef glCreateProgramObjectARB
GLhandleARB GlCreateProgramObjectARB (void);
#endif

#ifdef glCreateShaderObjectARB
GLhandleARB GlCreateShaderObjectARB (GLenum shaderType);
#endif

#ifdef glDeleteObjectARB
void GlDeleteObjectARB (GLhandleARB obj);
#endif

#ifdef glDetachObjectARB
void GlDetachObjectARB (GLhandleARB containerObj, GLhandleARB attachedObj);
#endif

#ifdef glGetActiveUniformARB
void GlGetActiveUniformARB (GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei* length, GLint *size, GLenum *type, GLcharARB *name);
#endif

#ifdef glGetAttachedObjectsARB
void GlGetAttachedObjectsARB (GLhandleARB containerObj, GLsizei maxCount, GLsizei* count, GLhandleARB *obj);
#endif

#ifdef glGetHandleARB
GLhandleARB GlGetHandleARB (GLenum pname);
#endif

#ifdef glGetInfoLogARB
void GlGetInfoLogARB (GLhandleARB obj, GLsizei maxLength, GLsizei* length, GLcharARB *infoLog);
#endif

#ifdef glGetObjectParameterfvARB
void GlGetObjectParameterfvARB (GLhandleARB obj, GLenum pname, GLfloat* params);
#endif

#ifdef glGetObjectParameterivARB
void GlGetObjectParameterivARB (GLhandleARB obj, GLenum pname, GLint* params);
#endif

#ifdef glGetShaderSourceARB
void GlGetShaderSourceARB (GLhandleARB obj, GLsizei maxLength, GLsizei* length, GLcharARB *source);
#endif

#ifdef glGetUniformLocationARB
GLint GlGetUniformLocationARB (GLhandleARB programObj, const GLcharARB* name);
#endif

#ifdef glGetUniformfvARB
void GlGetUniformfvARB (GLhandleARB programObj, GLint location, GLfloat* params);
#endif

#ifdef glGetUniformivARB
void GlGetUniformivARB (GLhandleARB programObj, GLint location, GLint* params);
#endif

#ifdef glLinkProgramARB
void GlLinkProgramARB (GLhandleARB programObj);
#endif

#ifdef glShaderSourceARB
void GlShaderSourceARB (GLhandleARB shaderObj, GLsizei count, const GLcharARB ** string, const GLint *length);
#endif

#ifdef glUniform1fARB
void GlUniform1fARB (GLint location, GLfloat v0);
#endif

#ifdef glUniform1fvARB
void GlUniform1fvARB (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform1iARB
void GlUniform1iARB (GLint location, GLint v0);
#endif

#ifdef glUniform1ivARB
void GlUniform1ivARB (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform2fARB
void GlUniform2fARB (GLint location, GLfloat v0, GLfloat v1);
#endif

#ifdef glUniform2fvARB
void GlUniform2fvARB (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform2iARB
void GlUniform2iARB (GLint location, GLint v0, GLint v1);
#endif

#ifdef glUniform2ivARB
void GlUniform2ivARB (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform3fARB
void GlUniform3fARB (GLint location, GLfloat v0, GLfloat v1, GLfloat v2);
#endif

#ifdef glUniform3fvARB
void GlUniform3fvARB (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform3iARB
void GlUniform3iARB (GLint location, GLint v0, GLint v1, GLint v2);
#endif

#ifdef glUniform3ivARB
void GlUniform3ivARB (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniform4fARB
void GlUniform4fARB (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3);
#endif

#ifdef glUniform4fvARB
void GlUniform4fvARB (GLint location, GLsizei count, const GLfloat* value);
#endif

#ifdef glUniform4iARB
void GlUniform4iARB (GLint location, GLint v0, GLint v1, GLint v2, GLint v3);
#endif

#ifdef glUniform4ivARB
void GlUniform4ivARB (GLint location, GLsizei count, const GLint* value);
#endif

#ifdef glUniformMatrix2fvARB
void GlUniformMatrix2fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUniformMatrix3fvARB
void GlUniformMatrix3fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUniformMatrix4fvARB
void GlUniformMatrix4fvARB (GLint location, GLsizei count, GLboolean transpose, const GLfloat* value);
#endif

#ifdef glUseProgramObjectARB
void GlUseProgramObjectARB (GLhandleARB programObj);
#endif

#ifdef glValidateProgramARB
void GlValidateProgramARB (GLhandleARB programObj);
#endif

#ifdef glCompressedTexImage1DARB
void GlCompressedTexImage1DARB (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const void* data);
#endif

#ifdef glCompressedTexImage2DARB
void GlCompressedTexImage2DARB (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void* data);
#endif

#ifdef glCompressedTexImage3DARB
void GlCompressedTexImage3DARB (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void* data);
#endif

#ifdef glCompressedTexSubImage1DARB
void GlCompressedTexSubImage1DARB (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void* data);
#endif

#ifdef glCompressedTexSubImage2DARB
void GlCompressedTexSubImage2DARB (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void* data);
#endif

#ifdef glCompressedTexSubImage3DARB
void GlCompressedTexSubImage3DARB (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void* data);
#endif

#ifdef glGetCompressedTexImageARB
void GlGetCompressedTexImageARB (GLenum target, GLint lod, void* img);
#endif

#ifdef glLoadTransposeMatrixdARB
void GlLoadTransposeMatrixdARB (GLdouble m[16]);
#endif

#ifdef glLoadTransposeMatrixfARB
void GlLoadTransposeMatrixfARB (GLfloat m[16]);
#endif

#ifdef glMultTransposeMatrixdARB
void GlMultTransposeMatrixdARB (GLdouble m[16]);
#endif

#ifdef glMultTransposeMatrixfARB
void GlMultTransposeMatrixfARB (GLfloat m[16]);
#endif

#ifdef glVertexBlendARB
void GlVertexBlendARB (GLint count);
#endif

#ifdef glWeightPointerARB
void GlWeightPointerARB (GLint size, GLenum type, GLsizei stride, GLvoid *pointer);
#endif

#ifdef glWeightbvARB
void GlWeightbvARB (GLint size, GLbyte *weights);
#endif

#ifdef glWeightdvARB
void GlWeightdvARB (GLint size, GLdouble *weights);
#endif

#ifdef glWeightfvARB
void GlWeightfvARB (GLint size, GLfloat *weights);
#endif

#ifdef glWeightivARB
void GlWeightivARB (GLint size, GLint *weights);
#endif

#ifdef glWeightsvARB
void GlWeightsvARB (GLint size, GLshort *weights);
#endif

#ifdef glWeightubvARB
void GlWeightubvARB (GLint size, GLubyte *weights);
#endif

#ifdef glWeightuivARB
void GlWeightuivARB (GLint size, GLuint *weights);
#endif

#ifdef glWeightusvARB
void GlWeightusvARB (GLint size, GLushort *weights);
#endif

#ifdef glBindBufferARB
void GlBindBufferARB (GLenum target, GLuint buffer);
#endif

#ifdef glBufferDataARB
void GlBufferDataARB (GLenum target, GLsizeiptrARB size, const GLvoid* data, GLenum usage);
#endif

#ifdef glBufferSubDataARB
void GlBufferSubDataARB (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid* data);
#endif

#ifdef glDeleteBuffersARB
void GlDeleteBuffersARB (GLsizei n, const GLuint* buffers);
#endif

#ifdef glGenBuffersARB
void GlGenBuffersARB (GLsizei n, GLuint* buffers);
#endif

#ifdef glGetBufferParameterivARB
void GlGetBufferParameterivARB (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetBufferPointervARB
void GlGetBufferPointervARB (GLenum target, GLenum pname, GLvoid** params);
#endif

#ifdef glGetBufferSubDataARB
void GlGetBufferSubDataARB (GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid* data);
#endif

#ifdef glIsBufferARB
GLboolean GlIsBufferARB (GLuint buffer);
#endif

#ifdef glMapBufferARB
GLvoid * GlMapBufferARB (GLenum target, GLenum access);
#endif

#ifdef glUnmapBufferARB
GLboolean GlUnmapBufferARB (GLenum target);
#endif

#ifdef glBindProgramARB
void GlBindProgramARB (GLenum target, GLuint program);
#endif

#ifdef glDeleteProgramsARB
void GlDeleteProgramsARB (GLsizei n, const GLuint* programs);
#endif

#ifdef glDisableVertexAttribArrayARB
void GlDisableVertexAttribArrayARB (GLuint index);
#endif

#ifdef glEnableVertexAttribArrayARB
void GlEnableVertexAttribArrayARB (GLuint index);
#endif

#ifdef glGenProgramsARB
void GlGenProgramsARB (GLsizei n, GLuint* programs);
#endif

#ifdef glGetProgramEnvParameterdvARB
void GlGetProgramEnvParameterdvARB (GLenum target, GLuint index, GLdouble* params);
#endif

#ifdef glGetProgramEnvParameterfvARB
void GlGetProgramEnvParameterfvARB (GLenum target, GLuint index, GLfloat* params);
#endif

#ifdef glGetProgramLocalParameterdvARB
void GlGetProgramLocalParameterdvARB (GLenum target, GLuint index, GLdouble* params);
#endif

#ifdef glGetProgramLocalParameterfvARB
void GlGetProgramLocalParameterfvARB (GLenum target, GLuint index, GLfloat* params);
#endif

#ifdef glGetProgramStringARB
void GlGetProgramStringARB (GLenum target, GLenum pname, void* string);
#endif

#ifdef glGetProgramivARB
void GlGetProgramivARB (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetVertexAttribPointervARB
void GlGetVertexAttribPointervARB (GLuint index, GLenum pname, GLvoid** pointer);
#endif

#ifdef glGetVertexAttribdvARB
void GlGetVertexAttribdvARB (GLuint index, GLenum pname, GLdouble* params);
#endif

#ifdef glGetVertexAttribfvARB
void GlGetVertexAttribfvARB (GLuint index, GLenum pname, GLfloat* params);
#endif

#ifdef glGetVertexAttribivARB
void GlGetVertexAttribivARB (GLuint index, GLenum pname, GLint* params);
#endif

#ifdef glIsProgramARB
GLboolean GlIsProgramARB (GLuint program);
#endif

#ifdef glProgramEnvParameter4dARB
void GlProgramEnvParameter4dARB (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glProgramEnvParameter4dvARB
void GlProgramEnvParameter4dvARB (GLenum target, GLuint index, const GLdouble* params);
#endif

#ifdef glProgramEnvParameter4fARB
void GlProgramEnvParameter4fARB (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glProgramEnvParameter4fvARB
void GlProgramEnvParameter4fvARB (GLenum target, GLuint index, const GLfloat* params);
#endif

#ifdef glProgramLocalParameter4dARB
void GlProgramLocalParameter4dARB (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glProgramLocalParameter4dvARB
void GlProgramLocalParameter4dvARB (GLenum target, GLuint index, const GLdouble* params);
#endif

#ifdef glProgramLocalParameter4fARB
void GlProgramLocalParameter4fARB (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glProgramLocalParameter4fvARB
void GlProgramLocalParameter4fvARB (GLenum target, GLuint index, const GLfloat* params);
#endif

#ifdef glProgramStringARB
void GlProgramStringARB (GLenum target, GLenum format, GLsizei len, const void* string);
#endif

#ifdef glVertexAttrib1dARB
void GlVertexAttrib1dARB (GLuint index, GLdouble x);
#endif

#ifdef glVertexAttrib1dvARB
void GlVertexAttrib1dvARB (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib1fARB
void GlVertexAttrib1fARB (GLuint index, GLfloat x);
#endif

#ifdef glVertexAttrib1fvARB
void GlVertexAttrib1fvARB (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib1sARB
void GlVertexAttrib1sARB (GLuint index, GLshort x);
#endif

#ifdef glVertexAttrib1svARB
void GlVertexAttrib1svARB (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib2dARB
void GlVertexAttrib2dARB (GLuint index, GLdouble x, GLdouble y);
#endif

#ifdef glVertexAttrib2dvARB
void GlVertexAttrib2dvARB (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib2fARB
void GlVertexAttrib2fARB (GLuint index, GLfloat x, GLfloat y);
#endif

#ifdef glVertexAttrib2fvARB
void GlVertexAttrib2fvARB (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib2sARB
void GlVertexAttrib2sARB (GLuint index, GLshort x, GLshort y);
#endif

#ifdef glVertexAttrib2svARB
void GlVertexAttrib2svARB (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib3dARB
void GlVertexAttrib3dARB (GLuint index, GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glVertexAttrib3dvARB
void GlVertexAttrib3dvARB (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib3fARB
void GlVertexAttrib3fARB (GLuint index, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glVertexAttrib3fvARB
void GlVertexAttrib3fvARB (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib3sARB
void GlVertexAttrib3sARB (GLuint index, GLshort x, GLshort y, GLshort z);
#endif

#ifdef glVertexAttrib3svARB
void GlVertexAttrib3svARB (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4NbvARB
void GlVertexAttrib4NbvARB (GLuint index, const GLbyte* v);
#endif

#ifdef glVertexAttrib4NivARB
void GlVertexAttrib4NivARB (GLuint index, const GLint* v);
#endif

#ifdef glVertexAttrib4NsvARB
void GlVertexAttrib4NsvARB (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4NubARB
void GlVertexAttrib4NubARB (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
#endif

#ifdef glVertexAttrib4NubvARB
void GlVertexAttrib4NubvARB (GLuint index, const GLubyte* v);
#endif

#ifdef glVertexAttrib4NuivARB
void GlVertexAttrib4NuivARB (GLuint index, const GLuint* v);
#endif

#ifdef glVertexAttrib4NusvARB
void GlVertexAttrib4NusvARB (GLuint index, const GLushort* v);
#endif

#ifdef glVertexAttrib4bvARB
void GlVertexAttrib4bvARB (GLuint index, const GLbyte* v);
#endif

#ifdef glVertexAttrib4dARB
void GlVertexAttrib4dARB (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glVertexAttrib4dvARB
void GlVertexAttrib4dvARB (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib4fARB
void GlVertexAttrib4fARB (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glVertexAttrib4fvARB
void GlVertexAttrib4fvARB (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib4ivARB
void GlVertexAttrib4ivARB (GLuint index, const GLint* v);
#endif

#ifdef glVertexAttrib4sARB
void GlVertexAttrib4sARB (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
#endif

#ifdef glVertexAttrib4svARB
void GlVertexAttrib4svARB (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4ubvARB
void GlVertexAttrib4ubvARB (GLuint index, const GLubyte* v);
#endif

#ifdef glVertexAttrib4uivARB
void GlVertexAttrib4uivARB (GLuint index, const GLuint* v);
#endif

#ifdef glVertexAttrib4usvARB
void GlVertexAttrib4usvARB (GLuint index, const GLushort* v);
#endif

#ifdef glVertexAttribPointerARB
void GlVertexAttribPointerARB (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void* pointer);
#endif

#ifdef glBindAttribLocationARB
void GlBindAttribLocationARB (GLhandleARB programObj, GLuint index, const GLcharARB* name);
#endif

#ifdef glGetActiveAttribARB
void GlGetActiveAttribARB (GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei* length, GLint *size, GLenum *type, GLcharARB *name);
#endif

#ifdef glGetAttribLocationARB
GLint GlGetAttribLocationARB (GLhandleARB programObj, const GLcharARB* name);
#endif

#ifdef glWindowPos2dARB
void GlWindowPos2dARB (GLdouble x, GLdouble y);
#endif

#ifdef glWindowPos2dvARB
void GlWindowPos2dvARB (const GLdouble* p);
#endif

#ifdef glWindowPos2fARB
void GlWindowPos2fARB (GLfloat x, GLfloat y);
#endif

#ifdef glWindowPos2fvARB
void GlWindowPos2fvARB (const GLfloat* p);
#endif

#ifdef glWindowPos2iARB
void GlWindowPos2iARB (GLint x, GLint y);
#endif

#ifdef glWindowPos2ivARB
void GlWindowPos2ivARB (const GLint* p);
#endif

#ifdef glWindowPos2sARB
void GlWindowPos2sARB (GLshort x, GLshort y);
#endif

#ifdef glWindowPos2svARB
void GlWindowPos2svARB (const GLshort* p);
#endif

#ifdef glWindowPos3dARB
void GlWindowPos3dARB (GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glWindowPos3dvARB
void GlWindowPos3dvARB (const GLdouble* p);
#endif

#ifdef glWindowPos3fARB
void GlWindowPos3fARB (GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glWindowPos3fvARB
void GlWindowPos3fvARB (const GLfloat* p);
#endif

#ifdef glWindowPos3iARB
void GlWindowPos3iARB (GLint x, GLint y, GLint z);
#endif

#ifdef glWindowPos3ivARB
void GlWindowPos3ivARB (const GLint* p);
#endif

#ifdef glWindowPos3sARB
void GlWindowPos3sARB (GLshort x, GLshort y, GLshort z);
#endif

#ifdef glWindowPos3svARB
void GlWindowPos3svARB (const GLshort* p);
#endif

#ifdef glDrawBuffersATI
void GlDrawBuffersATI (GLsizei n, const GLenum* bufs);
#endif

#ifdef glDrawElementArrayATI
void GlDrawElementArrayATI (GLenum mode, GLsizei count);
#endif

#ifdef glDrawRangeElementArrayATI
void GlDrawRangeElementArrayATI (GLenum mode, GLuint start, GLuint end, GLsizei count);
#endif

#ifdef glElementPointerATI
void GlElementPointerATI (GLenum type, const void* pointer);
#endif

#ifdef glGetTexBumpParameterfvATI
void GlGetTexBumpParameterfvATI (GLenum pname, GLfloat *param);
#endif

#ifdef glGetTexBumpParameterivATI
void GlGetTexBumpParameterivATI (GLenum pname, GLint *param);
#endif

#ifdef glTexBumpParameterfvATI
void GlTexBumpParameterfvATI (GLenum pname, GLfloat *param);
#endif

#ifdef glTexBumpParameterivATI
void GlTexBumpParameterivATI (GLenum pname, GLint *param);
#endif

#ifdef glAlphaFragmentOp1ATI
void GlAlphaFragmentOp1ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod);
#endif

#ifdef glAlphaFragmentOp2ATI
void GlAlphaFragmentOp2ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod);
#endif

#ifdef glAlphaFragmentOp3ATI
void GlAlphaFragmentOp3ATI (GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod);
#endif

#ifdef glBeginFragmentShaderATI
void GlBeginFragmentShaderATI (void);
#endif

#ifdef glBindFragmentShaderATI
void GlBindFragmentShaderATI (GLuint id);
#endif

#ifdef glColorFragmentOp1ATI
void GlColorFragmentOp1ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod);
#endif

#ifdef glColorFragmentOp2ATI
void GlColorFragmentOp2ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod);
#endif

#ifdef glColorFragmentOp3ATI
void GlColorFragmentOp3ATI (GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod);
#endif

#ifdef glDeleteFragmentShaderATI
void GlDeleteFragmentShaderATI (GLuint id);
#endif

#ifdef glEndFragmentShaderATI
void GlEndFragmentShaderATI (void);
#endif

#ifdef glGenFragmentShadersATI
GLuint GlGenFragmentShadersATI (GLuint range);
#endif

#ifdef glPassTexCoordATI
void GlPassTexCoordATI (GLuint dst, GLuint coord, GLenum swizzle);
#endif

#ifdef glSampleMapATI
void GlSampleMapATI (GLuint dst, GLuint interp, GLenum swizzle);
#endif

#ifdef glSetFragmentShaderConstantATI
void GlSetFragmentShaderConstantATI (GLuint dst, const GLfloat* value);
#endif

#ifdef glMapObjectBufferATI
void* GlMapObjectBufferATI (GLuint buffer);
#endif

#ifdef glUnmapObjectBufferATI
void GlUnmapObjectBufferATI (GLuint buffer);
#endif

#ifdef glPNTrianglesfATI
void GlPNTrianglesfATI (GLenum pname, GLfloat param);
#endif

#ifdef glPNTrianglesiATI
void GlPNTrianglesiATI (GLenum pname, GLint param);
#endif

#ifdef glStencilFuncSeparateATI
void GlStencilFuncSeparateATI (GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask);
#endif

#ifdef glStencilOpSeparateATI
void GlStencilOpSeparateATI (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass);
#endif

#ifdef glArrayObjectATI
void GlArrayObjectATI (GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset);
#endif

#ifdef glFreeObjectBufferATI
void GlFreeObjectBufferATI (GLuint buffer);
#endif

#ifdef glGetArrayObjectfvATI
void GlGetArrayObjectfvATI (GLenum array, GLenum pname, GLfloat* params);
#endif

#ifdef glGetArrayObjectivATI
void GlGetArrayObjectivATI (GLenum array, GLenum pname, GLint* params);
#endif

#ifdef glGetObjectBufferfvATI
void GlGetObjectBufferfvATI (GLuint buffer, GLenum pname, GLfloat* params);
#endif

#ifdef glGetObjectBufferivATI
void GlGetObjectBufferivATI (GLuint buffer, GLenum pname, GLint* params);
#endif

#ifdef glGetVariantArrayObjectfvATI
void GlGetVariantArrayObjectfvATI (GLuint id, GLenum pname, GLfloat* params);
#endif

#ifdef glGetVariantArrayObjectivATI
void GlGetVariantArrayObjectivATI (GLuint id, GLenum pname, GLint* params);
#endif

#ifdef glIsObjectBufferATI
GLboolean GlIsObjectBufferATI (GLuint buffer);
#endif

#ifdef glNewObjectBufferATI
GLuint GlNewObjectBufferATI (GLsizei size, const void* pointer, GLenum usage);
#endif

#ifdef glUpdateObjectBufferATI
void GlUpdateObjectBufferATI (GLuint buffer, GLuint offset, GLsizei size, const void* pointer, GLenum preserve);
#endif

#ifdef glVariantArrayObjectATI
void GlVariantArrayObjectATI (GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset);
#endif

#ifdef glGetVertexAttribArrayObjectfvATI
void GlGetVertexAttribArrayObjectfvATI (GLuint index, GLenum pname, GLfloat* params);
#endif

#ifdef glGetVertexAttribArrayObjectivATI
void GlGetVertexAttribArrayObjectivATI (GLuint index, GLenum pname, GLint* params);
#endif

#ifdef glVertexAttribArrayObjectATI
void GlVertexAttribArrayObjectATI (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset);
#endif

#ifdef glClientActiveVertexStreamATI
void GlClientActiveVertexStreamATI (GLenum stream);
#endif

#ifdef glNormalStream3bATI
void GlNormalStream3bATI (GLenum stream, GLbyte x, GLbyte y, GLbyte z);
#endif

#ifdef glNormalStream3bvATI
void GlNormalStream3bvATI (GLenum stream, const GLbyte *v);
#endif

#ifdef glNormalStream3dATI
void GlNormalStream3dATI (GLenum stream, GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glNormalStream3dvATI
void GlNormalStream3dvATI (GLenum stream, const GLdouble *v);
#endif

#ifdef glNormalStream3fATI
void GlNormalStream3fATI (GLenum stream, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glNormalStream3fvATI
void GlNormalStream3fvATI (GLenum stream, const GLfloat *v);
#endif

#ifdef glNormalStream3iATI
void GlNormalStream3iATI (GLenum stream, GLint x, GLint y, GLint z);
#endif

#ifdef glNormalStream3ivATI
void GlNormalStream3ivATI (GLenum stream, const GLint *v);
#endif

#ifdef glNormalStream3sATI
void GlNormalStream3sATI (GLenum stream, GLshort x, GLshort y, GLshort z);
#endif

#ifdef glNormalStream3svATI
void GlNormalStream3svATI (GLenum stream, const GLshort *v);
#endif

#ifdef glVertexBlendEnvfATI
void GlVertexBlendEnvfATI (GLenum pname, GLfloat param);
#endif

#ifdef glVertexBlendEnviATI
void GlVertexBlendEnviATI (GLenum pname, GLint param);
#endif

#ifdef glVertexStream2dATI
void GlVertexStream2dATI (GLenum stream, GLdouble x, GLdouble y);
#endif

#ifdef glVertexStream2dvATI
void GlVertexStream2dvATI (GLenum stream, const GLdouble *v);
#endif

#ifdef glVertexStream2fATI
void GlVertexStream2fATI (GLenum stream, GLfloat x, GLfloat y);
#endif

#ifdef glVertexStream2fvATI
void GlVertexStream2fvATI (GLenum stream, const GLfloat *v);
#endif

#ifdef glVertexStream2iATI
void GlVertexStream2iATI (GLenum stream, GLint x, GLint y);
#endif

#ifdef glVertexStream2ivATI
void GlVertexStream2ivATI (GLenum stream, const GLint *v);
#endif

#ifdef glVertexStream2sATI
void GlVertexStream2sATI (GLenum stream, GLshort x, GLshort y);
#endif

#ifdef glVertexStream2svATI
void GlVertexStream2svATI (GLenum stream, const GLshort *v);
#endif

#ifdef glVertexStream3dATI
void GlVertexStream3dATI (GLenum stream, GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glVertexStream3dvATI
void GlVertexStream3dvATI (GLenum stream, const GLdouble *v);
#endif

#ifdef glVertexStream3fATI
void GlVertexStream3fATI (GLenum stream, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glVertexStream3fvATI
void GlVertexStream3fvATI (GLenum stream, const GLfloat *v);
#endif

#ifdef glVertexStream3iATI
void GlVertexStream3iATI (GLenum stream, GLint x, GLint y, GLint z);
#endif

#ifdef glVertexStream3ivATI
void GlVertexStream3ivATI (GLenum stream, const GLint *v);
#endif

#ifdef glVertexStream3sATI
void GlVertexStream3sATI (GLenum stream, GLshort x, GLshort y, GLshort z);
#endif

#ifdef glVertexStream3svATI
void GlVertexStream3svATI (GLenum stream, const GLshort *v);
#endif

#ifdef glVertexStream4dATI
void GlVertexStream4dATI (GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glVertexStream4dvATI
void GlVertexStream4dvATI (GLenum stream, const GLdouble *v);
#endif

#ifdef glVertexStream4fATI
void GlVertexStream4fATI (GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glVertexStream4fvATI
void GlVertexStream4fvATI (GLenum stream, const GLfloat *v);
#endif

#ifdef glVertexStream4iATI
void GlVertexStream4iATI (GLenum stream, GLint x, GLint y, GLint z, GLint w);
#endif

#ifdef glVertexStream4ivATI
void GlVertexStream4ivATI (GLenum stream, const GLint *v);
#endif

#ifdef glVertexStream4sATI
void GlVertexStream4sATI (GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w);
#endif

#ifdef glVertexStream4svATI
void GlVertexStream4svATI (GLenum stream, const GLshort *v);
#endif

#ifdef glBlendColorEXT
void GlBlendColorEXT (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
#endif

#ifdef glBlendEquationSeparateEXT
void GlBlendEquationSeparateEXT (GLenum modeRGB, GLenum modeAlpha);
#endif

#ifdef glBlendFuncSeparateEXT
void GlBlendFuncSeparateEXT (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha);
#endif

#ifdef glBlendEquationEXT
void GlBlendEquationEXT (GLenum mode);
#endif

#ifdef glColorSubTableEXT
void GlColorSubTableEXT (GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const void* data);
#endif

#ifdef glCopyColorSubTableEXT
void GlCopyColorSubTableEXT (GLenum target, GLsizei start, GLint x, GLint y, GLsizei width);
#endif

#ifdef glLockArraysEXT
void GlLockArraysEXT (GLint first, GLsizei count);
#endif

#ifdef glUnlockArraysEXT
void GlUnlockArraysEXT (void);
#endif

#ifdef glConvolutionFilter1DEXT
void GlConvolutionFilter1DEXT (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void* image);
#endif

#ifdef glConvolutionFilter2DEXT
void GlConvolutionFilter2DEXT (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void* image);
#endif

#ifdef glConvolutionParameterfEXT
void GlConvolutionParameterfEXT (GLenum target, GLenum pname, GLfloat param);
#endif

#ifdef glConvolutionParameterfvEXT
void GlConvolutionParameterfvEXT (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glConvolutionParameteriEXT
void GlConvolutionParameteriEXT (GLenum target, GLenum pname, GLint param);
#endif

#ifdef glConvolutionParameterivEXT
void GlConvolutionParameterivEXT (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glCopyConvolutionFilter1DEXT
void GlCopyConvolutionFilter1DEXT (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
#endif

#ifdef glCopyConvolutionFilter2DEXT
void GlCopyConvolutionFilter2DEXT (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glGetConvolutionFilterEXT
void GlGetConvolutionFilterEXT (GLenum target, GLenum format, GLenum type, void* image);
#endif

#ifdef glGetConvolutionParameterfvEXT
void GlGetConvolutionParameterfvEXT (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetConvolutionParameterivEXT
void GlGetConvolutionParameterivEXT (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetSeparableFilterEXT
void GlGetSeparableFilterEXT (GLenum target, GLenum format, GLenum type, void* row, void* column, void* span);
#endif

#ifdef glSeparableFilter2DEXT
void GlSeparableFilter2DEXT (GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void* row, const void* column);
#endif

#ifdef glBinormalPointerEXT
void GlBinormalPointerEXT (GLenum type, GLsizei stride, void* pointer);
#endif

#ifdef glTangentPointerEXT
void GlTangentPointerEXT (GLenum type, GLsizei stride, void* pointer);
#endif

#ifdef glCopyTexImage1DEXT
void GlCopyTexImage1DEXT (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);
#endif

#ifdef glCopyTexImage2DEXT
void GlCopyTexImage2DEXT (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
#endif

#ifdef glCopyTexSubImage1DEXT
void GlCopyTexSubImage1DEXT (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);
#endif

#ifdef glCopyTexSubImage2DEXT
void GlCopyTexSubImage2DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glCopyTexSubImage3DEXT
void GlCopyTexSubImage3DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glCullParameterdvEXT
void GlCullParameterdvEXT (GLenum pname, GLdouble* params);
#endif

#ifdef glCullParameterfvEXT
void GlCullParameterfvEXT (GLenum pname, GLfloat* params);
#endif

#ifdef glDepthBoundsEXT
void GlDepthBoundsEXT (GLclampd zmin, GLclampd zmax);
#endif

#ifdef glDrawRangeElementsEXT
void GlDrawRangeElementsEXT (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
#endif

#ifdef glFogCoordPointerEXT
void GlFogCoordPointerEXT (GLenum type, GLsizei stride, const GLvoid *pointer);
#endif

#ifdef glFogCoorddEXT
void GlFogCoorddEXT (GLdouble coord);
#endif

#ifdef glFogCoorddvEXT
void GlFogCoorddvEXT (const GLdouble *coord);
#endif

#ifdef glFogCoordfEXT
void GlFogCoordfEXT (GLfloat coord);
#endif

#ifdef glFogCoordfvEXT
void GlFogCoordfvEXT (const GLfloat *coord);
#endif

#ifdef glFragmentColorMaterialEXT
void GlFragmentColorMaterialEXT (GLenum face, GLenum mode);
#endif

#ifdef glFragmentLightModelfEXT
void GlFragmentLightModelfEXT (GLenum pname, GLfloat param);
#endif

#ifdef glFragmentLightModelfvEXT
void GlFragmentLightModelfvEXT (GLenum pname, GLfloat* params);
#endif

#ifdef glFragmentLightModeliEXT
void GlFragmentLightModeliEXT (GLenum pname, GLint param);
#endif

#ifdef glFragmentLightModelivEXT
void GlFragmentLightModelivEXT (GLenum pname, GLint* params);
#endif

#ifdef glFragmentLightfEXT
void GlFragmentLightfEXT (GLenum light, GLenum pname, GLfloat param);
#endif

#ifdef glFragmentLightfvEXT
void GlFragmentLightfvEXT (GLenum light, GLenum pname, GLfloat* params);
#endif

#ifdef glFragmentLightiEXT
void GlFragmentLightiEXT (GLenum light, GLenum pname, GLint param);
#endif

#ifdef glFragmentLightivEXT
void GlFragmentLightivEXT (GLenum light, GLenum pname, GLint* params);
#endif

#ifdef glFragmentMaterialfEXT
void GlFragmentMaterialfEXT (GLenum face, GLenum pname, const GLfloat param);
#endif

#ifdef glFragmentMaterialfvEXT
void GlFragmentMaterialfvEXT (GLenum face, GLenum pname, const GLfloat* params);
#endif

#ifdef glFragmentMaterialiEXT
void GlFragmentMaterialiEXT (GLenum face, GLenum pname, const GLint param);
#endif

#ifdef glFragmentMaterialivEXT
void GlFragmentMaterialivEXT (GLenum face, GLenum pname, const GLint* params);
#endif

#ifdef glGetFragmentLightfvEXT
void GlGetFragmentLightfvEXT (GLenum light, GLenum pname, GLfloat* params);
#endif

#ifdef glGetFragmentLightivEXT
void GlGetFragmentLightivEXT (GLenum light, GLenum pname, GLint* params);
#endif

#ifdef glGetFragmentMaterialfvEXT
void GlGetFragmentMaterialfvEXT (GLenum face, GLenum pname, const GLfloat* params);
#endif

#ifdef glGetFragmentMaterialivEXT
void GlGetFragmentMaterialivEXT (GLenum face, GLenum pname, const GLint* params);
#endif

#ifdef glLightEnviEXT
void GlLightEnviEXT (GLenum pname, GLint param);
#endif

#ifdef glBlitFramebufferEXT
void GlBlitFramebufferEXT (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);
#endif

#ifdef glRenderbufferStorageMultisampleEXT
void GlRenderbufferStorageMultisampleEXT (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height);
#endif

#ifdef glBindFramebufferEXT
void GlBindFramebufferEXT (GLenum target, GLuint framebuffer);
#endif

#ifdef glBindRenderbufferEXT
void GlBindRenderbufferEXT (GLenum target, GLuint renderbuffer);
#endif

#ifdef glCheckFramebufferStatusEXT
GLenum GlCheckFramebufferStatusEXT (GLenum target);
#endif

#ifdef glDeleteFramebuffersEXT
void GlDeleteFramebuffersEXT (GLsizei n, const GLuint* framebuffers);
#endif

#ifdef glDeleteRenderbuffersEXT
void GlDeleteRenderbuffersEXT (GLsizei n, const GLuint* renderbuffers);
#endif

#ifdef glFramebufferRenderbufferEXT
void GlFramebufferRenderbufferEXT (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);
#endif

#ifdef glFramebufferTexture1DEXT
void GlFramebufferTexture1DEXT (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);
#endif

#ifdef glFramebufferTexture2DEXT
void GlFramebufferTexture2DEXT (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);
#endif

#ifdef glFramebufferTexture3DEXT
void GlFramebufferTexture3DEXT (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);
#endif

#ifdef glGenFramebuffersEXT
void GlGenFramebuffersEXT (GLsizei n, GLuint* framebuffers);
#endif

#ifdef glGenRenderbuffersEXT
void GlGenRenderbuffersEXT (GLsizei n, GLuint* renderbuffers);
#endif

#ifdef glGenerateMipmapEXT
void GlGenerateMipmapEXT (GLenum target);
#endif

#ifdef glGetFramebufferAttachmentParameterivEXT
void GlGetFramebufferAttachmentParameterivEXT (GLenum target, GLenum attachment, GLenum pname, GLint* params);
#endif

#ifdef glGetRenderbufferParameterivEXT
void GlGetRenderbufferParameterivEXT (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glIsFramebufferEXT
GLboolean GlIsFramebufferEXT (GLuint framebuffer);
#endif

#ifdef glIsRenderbufferEXT
GLboolean GlIsRenderbufferEXT (GLuint renderbuffer);
#endif

#ifdef glRenderbufferStorageEXT
void GlRenderbufferStorageEXT (GLenum target, GLenum internalformat, GLsizei width, GLsizei height);
#endif

#ifdef glGetHistogramEXT
void GlGetHistogramEXT (GLenum target, GLboolean reset, GLenum format, GLenum type, void* values);
#endif

#ifdef glGetHistogramParameterfvEXT
void GlGetHistogramParameterfvEXT (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetHistogramParameterivEXT
void GlGetHistogramParameterivEXT (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetMinmaxEXT
void GlGetMinmaxEXT (GLenum target, GLboolean reset, GLenum format, GLenum type, void* values);
#endif

#ifdef glGetMinmaxParameterfvEXT
void GlGetMinmaxParameterfvEXT (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetMinmaxParameterivEXT
void GlGetMinmaxParameterivEXT (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glHistogramEXT
void GlHistogramEXT (GLenum target, GLsizei width, GLenum internalformat, GLboolean sink);
#endif

#ifdef glMinmaxEXT
void GlMinmaxEXT (GLenum target, GLenum internalformat, GLboolean sink);
#endif

#ifdef glResetHistogramEXT
void GlResetHistogramEXT (GLenum target);
#endif

#ifdef glResetMinmaxEXT
void GlResetMinmaxEXT (GLenum target);
#endif

#ifdef glIndexFuncEXT
void GlIndexFuncEXT (GLenum func, GLfloat ref);
#endif

#ifdef glIndexMaterialEXT
void GlIndexMaterialEXT (GLenum face, GLenum mode);
#endif

#ifdef glApplyTextureEXT
void GlApplyTextureEXT (GLenum mode);
#endif

#ifdef glTextureLightEXT
void GlTextureLightEXT (GLenum pname);
#endif

#ifdef glTextureMaterialEXT
void GlTextureMaterialEXT (GLenum face, GLenum mode);
#endif

#ifdef glMultiDrawArraysEXT
void GlMultiDrawArraysEXT (GLenum mode, GLint* first, GLsizei *count, GLsizei primcount);
#endif

#ifdef glMultiDrawElementsEXT
void GlMultiDrawElementsEXT (GLenum mode, GLsizei* count, GLenum type, const GLvoid **indices, GLsizei primcount);
#endif

#ifdef glSampleMaskEXT
void GlSampleMaskEXT (GLclampf value, GLboolean invert);
#endif

#ifdef glSamplePatternEXT
void GlSamplePatternEXT (GLenum pattern);
#endif

#ifdef glColorTableEXT
void GlColorTableEXT (GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const void* data);
#endif

#ifdef glGetColorTableEXT
void GlGetColorTableEXT (GLenum target, GLenum format, GLenum type, void* data);
#endif

#ifdef glGetColorTableParameterfvEXT
void GlGetColorTableParameterfvEXT (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetColorTableParameterivEXT
void GlGetColorTableParameterivEXT (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetPixelTransformParameterfvEXT
void GlGetPixelTransformParameterfvEXT (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glGetPixelTransformParameterivEXT
void GlGetPixelTransformParameterivEXT (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glPixelTransformParameterfEXT
void GlPixelTransformParameterfEXT (GLenum target, GLenum pname, const GLfloat param);
#endif

#ifdef glPixelTransformParameterfvEXT
void GlPixelTransformParameterfvEXT (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glPixelTransformParameteriEXT
void GlPixelTransformParameteriEXT (GLenum target, GLenum pname, const GLint param);
#endif

#ifdef glPixelTransformParameterivEXT
void GlPixelTransformParameterivEXT (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glPointParameterfEXT
void GlPointParameterfEXT (GLenum pname, GLfloat param);
#endif

#ifdef glPointParameterfvEXT
void GlPointParameterfvEXT (GLenum pname, GLfloat* params);
#endif

#ifdef glPolygonOffsetEXT
void GlPolygonOffsetEXT (GLfloat factor, GLfloat bias);
#endif

#ifdef glBeginSceneEXT
void GlBeginSceneEXT (void);
#endif

#ifdef glEndSceneEXT
void GlEndSceneEXT (void);
#endif

#ifdef glSecondaryColor3bEXT
void GlSecondaryColor3bEXT (GLbyte red, GLbyte green, GLbyte blue);
#endif

#ifdef glSecondaryColor3bvEXT
void GlSecondaryColor3bvEXT (const GLbyte *v);
#endif

#ifdef glSecondaryColor3dEXT
void GlSecondaryColor3dEXT (GLdouble red, GLdouble green, GLdouble blue);
#endif

#ifdef glSecondaryColor3dvEXT
void GlSecondaryColor3dvEXT (const GLdouble *v);
#endif

#ifdef glSecondaryColor3fEXT
void GlSecondaryColor3fEXT (GLfloat red, GLfloat green, GLfloat blue);
#endif

#ifdef glSecondaryColor3fvEXT
void GlSecondaryColor3fvEXT (const GLfloat *v);
#endif

#ifdef glSecondaryColor3iEXT
void GlSecondaryColor3iEXT (GLint red, GLint green, GLint blue);
#endif

#ifdef glSecondaryColor3ivEXT
void GlSecondaryColor3ivEXT (const GLint *v);
#endif

#ifdef glSecondaryColor3sEXT
void GlSecondaryColor3sEXT (GLshort red, GLshort green, GLshort blue);
#endif

#ifdef glSecondaryColor3svEXT
void GlSecondaryColor3svEXT (const GLshort *v);
#endif

#ifdef glSecondaryColor3ubEXT
void GlSecondaryColor3ubEXT (GLubyte red, GLubyte green, GLubyte blue);
#endif

#ifdef glSecondaryColor3ubvEXT
void GlSecondaryColor3ubvEXT (const GLubyte *v);
#endif

#ifdef glSecondaryColor3uiEXT
void GlSecondaryColor3uiEXT (GLuint red, GLuint green, GLuint blue);
#endif

#ifdef glSecondaryColor3uivEXT
void GlSecondaryColor3uivEXT (const GLuint *v);
#endif

#ifdef glSecondaryColor3usEXT
void GlSecondaryColor3usEXT (GLushort red, GLushort green, GLushort blue);
#endif

#ifdef glSecondaryColor3usvEXT
void GlSecondaryColor3usvEXT (const GLushort *v);
#endif

#ifdef glSecondaryColorPointerEXT
void GlSecondaryColorPointerEXT (GLint size, GLenum type, GLsizei stride, GLvoid *pointer);
#endif

#ifdef glActiveStencilFaceEXT
void GlActiveStencilFaceEXT (GLenum face);
#endif

#ifdef glTexSubImage1DEXT
void GlTexSubImage1DEXT (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glTexSubImage2DEXT
void GlTexSubImage2DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glTexSubImage3DEXT
void GlTexSubImage3DEXT (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glTexImage3DEXT
void GlTexImage3DEXT (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glAreTexturesResidentEXT
GLboolean GlAreTexturesResidentEXT (GLsizei n, const GLuint* textures, GLboolean* residences);
#endif

#ifdef glBindTextureEXT
void GlBindTextureEXT (GLenum target, GLuint texture);
#endif

#ifdef glDeleteTexturesEXT
void GlDeleteTexturesEXT (GLsizei n, const GLuint* textures);
#endif

#ifdef glGenTexturesEXT
void GlGenTexturesEXT (GLsizei n, GLuint* textures);
#endif

#ifdef glIsTextureEXT
GLboolean GlIsTextureEXT (GLuint texture);
#endif

#ifdef glPrioritizeTexturesEXT
void GlPrioritizeTexturesEXT (GLsizei n, const GLuint* textures, const GLclampf* priorities);
#endif

#ifdef glTextureNormalEXT
void GlTextureNormalEXT (GLenum mode);
#endif

#ifdef glArrayElementEXT
void GlArrayElementEXT (GLint i);
#endif

#ifdef glColorPointerEXT
void GlColorPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const void* pointer);
#endif

#ifdef glDrawArraysEXT
void GlDrawArraysEXT (GLenum mode, GLint first, GLsizei count);
#endif

#ifdef glEdgeFlagPointerEXT
void GlEdgeFlagPointerEXT (GLsizei stride, GLsizei count, const GLboolean* pointer);
#endif

#ifdef glGetPointervEXT
void GlGetPointervEXT (GLenum pname, void** params);
#endif

#ifdef glIndexPointerEXT
void GlIndexPointerEXT (GLenum type, GLsizei stride, GLsizei count, const void* pointer);
#endif

#ifdef glNormalPointerEXT
void GlNormalPointerEXT (GLenum type, GLsizei stride, GLsizei count, const void* pointer);
#endif

#ifdef glTexCoordPointerEXT
void GlTexCoordPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const void* pointer);
#endif

#ifdef glVertexPointerEXT
void GlVertexPointerEXT (GLint size, GLenum type, GLsizei stride, GLsizei count, const void* pointer);
#endif

#ifdef glBeginVertexShaderEXT
void GlBeginVertexShaderEXT (void);
#endif

#ifdef glBindLightParameterEXT
GLuint GlBindLightParameterEXT (GLenum light, GLenum value);
#endif

#ifdef glBindMaterialParameterEXT
GLuint GlBindMaterialParameterEXT (GLenum face, GLenum value);
#endif

#ifdef glBindParameterEXT
GLuint GlBindParameterEXT (GLenum value);
#endif

#ifdef glBindTexGenParameterEXT
GLuint GlBindTexGenParameterEXT (GLenum unit, GLenum coord, GLenum value);
#endif

#ifdef glBindTextureUnitParameterEXT
GLuint GlBindTextureUnitParameterEXT (GLenum unit, GLenum value);
#endif

#ifdef glBindVertexShaderEXT
void GlBindVertexShaderEXT (GLuint id);
#endif

#ifdef glDeleteVertexShaderEXT
void GlDeleteVertexShaderEXT (GLuint id);
#endif

#ifdef glDisableVariantClientStateEXT
void GlDisableVariantClientStateEXT (GLuint id);
#endif

#ifdef glEnableVariantClientStateEXT
void GlEnableVariantClientStateEXT (GLuint id);
#endif

#ifdef glEndVertexShaderEXT
void GlEndVertexShaderEXT (void);
#endif

#ifdef glExtractComponentEXT
void GlExtractComponentEXT (GLuint res, GLuint src, GLuint num);
#endif

#ifdef glGenSymbolsEXT
GLuint GlGenSymbolsEXT (GLenum dataType, GLenum storageType, GLenum range, GLuint components);
#endif

#ifdef glGenVertexShadersEXT
GLuint GlGenVertexShadersEXT (GLuint range);
#endif

#ifdef glGetInvariantBooleanvEXT
void GlGetInvariantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
#endif

#ifdef glGetInvariantFloatvEXT
void GlGetInvariantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
#endif

#ifdef glGetInvariantIntegervEXT
void GlGetInvariantIntegervEXT (GLuint id, GLenum value, GLint *data);
#endif

#ifdef glGetLocalConstantBooleanvEXT
void GlGetLocalConstantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
#endif

#ifdef glGetLocalConstantFloatvEXT
void GlGetLocalConstantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
#endif

#ifdef glGetLocalConstantIntegervEXT
void GlGetLocalConstantIntegervEXT (GLuint id, GLenum value, GLint *data);
#endif

#ifdef glGetVariantBooleanvEXT
void GlGetVariantBooleanvEXT (GLuint id, GLenum value, GLboolean *data);
#endif

#ifdef glGetVariantFloatvEXT
void GlGetVariantFloatvEXT (GLuint id, GLenum value, GLfloat *data);
#endif

#ifdef glGetVariantIntegervEXT
void GlGetVariantIntegervEXT (GLuint id, GLenum value, GLint *data);
#endif

#ifdef glGetVariantPointervEXT
void GlGetVariantPointervEXT (GLuint id, GLenum value, GLvoid **data);
#endif

#ifdef glInsertComponentEXT
void GlInsertComponentEXT (GLuint res, GLuint src, GLuint num);
#endif

#ifdef glIsVariantEnabledEXT
GLboolean GlIsVariantEnabledEXT (GLuint id, GLenum cap);
#endif

#ifdef glSetInvariantEXT
void GlSetInvariantEXT (GLuint id, GLenum type, GLvoid *addr);
#endif

#ifdef glSetLocalConstantEXT
void GlSetLocalConstantEXT (GLuint id, GLenum type, GLvoid *addr);
#endif

#ifdef glShaderOp1EXT
void GlShaderOp1EXT (GLenum op, GLuint res, GLuint arg1);
#endif

#ifdef glShaderOp2EXT
void GlShaderOp2EXT (GLenum op, GLuint res, GLuint arg1, GLuint arg2);
#endif

#ifdef glShaderOp3EXT
void GlShaderOp3EXT (GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3);
#endif

#ifdef glSwizzleEXT
void GlSwizzleEXT (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW);
#endif

#ifdef glVariantPointerEXT
void GlVariantPointerEXT (GLuint id, GLenum type, GLuint stride, GLvoid *addr);
#endif

#ifdef glVariantbvEXT
void GlVariantbvEXT (GLuint id, GLbyte *addr);
#endif

#ifdef glVariantdvEXT
void GlVariantdvEXT (GLuint id, GLdouble *addr);
#endif

#ifdef glVariantfvEXT
void GlVariantfvEXT (GLuint id, GLfloat *addr);
#endif

#ifdef glVariantivEXT
void GlVariantivEXT (GLuint id, GLint *addr);
#endif

#ifdef glVariantsvEXT
void GlVariantsvEXT (GLuint id, GLshort *addr);
#endif

#ifdef glVariantubvEXT
void GlVariantubvEXT (GLuint id, GLubyte *addr);
#endif

#ifdef glVariantuivEXT
void GlVariantuivEXT (GLuint id, GLuint *addr);
#endif

#ifdef glVariantusvEXT
void GlVariantusvEXT (GLuint id, GLushort *addr);
#endif

#ifdef glWriteMaskEXT
void GlWriteMaskEXT (GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW);
#endif

#ifdef glVertexWeightPointerEXT
void GlVertexWeightPointerEXT (GLint size, GLenum type, GLsizei stride, void* pointer);
#endif

#ifdef glVertexWeightfEXT
void GlVertexWeightfEXT (GLfloat weight);
#endif

#ifdef glVertexWeightfvEXT
void GlVertexWeightfvEXT (GLfloat* weight);
#endif

#ifdef glStringMarkerGREMEDY
void GlStringMarkerGREMEDY (GLsizei len, const void* string);
#endif

#ifdef glGetImageTransformParameterfvHP
void GlGetImageTransformParameterfvHP (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glGetImageTransformParameterivHP
void GlGetImageTransformParameterivHP (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glImageTransformParameterfHP
void GlImageTransformParameterfHP (GLenum target, GLenum pname, const GLfloat param);
#endif

#ifdef glImageTransformParameterfvHP
void GlImageTransformParameterfvHP (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glImageTransformParameteriHP
void GlImageTransformParameteriHP (GLenum target, GLenum pname, const GLint param);
#endif

#ifdef glImageTransformParameterivHP
void GlImageTransformParameterivHP (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glMultiModeDrawArraysIBM
void GlMultiModeDrawArraysIBM (const GLenum* mode, const GLint *first, const GLsizei *count, GLsizei primcount, GLint modestride);
#endif

#ifdef glMultiModeDrawElementsIBM
void GlMultiModeDrawElementsIBM (const GLenum* mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, GLint modestride);
#endif

#ifdef glColorPointerListIBM
void GlColorPointerListIBM (GLint size, GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glEdgeFlagPointerListIBM
void GlEdgeFlagPointerListIBM (GLint stride, const GLboolean ** pointer, GLint ptrstride);
#endif

#ifdef glFogCoordPointerListIBM
void GlFogCoordPointerListIBM (GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glIndexPointerListIBM
void GlIndexPointerListIBM (GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glNormalPointerListIBM
void GlNormalPointerListIBM (GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glSecondaryColorPointerListIBM
void GlSecondaryColorPointerListIBM (GLint size, GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glTexCoordPointerListIBM
void GlTexCoordPointerListIBM (GLint size, GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glVertexPointerListIBM
void GlVertexPointerListIBM (GLint size, GLenum type, GLint stride, const GLvoid ** pointer, GLint ptrstride);
#endif

#ifdef glColorPointervINTEL
void GlColorPointervINTEL (GLint size, GLenum type, const void** pointer);
#endif

#ifdef glNormalPointervINTEL
void GlNormalPointervINTEL (GLenum type, const void** pointer);
#endif

#ifdef glTexCoordPointervINTEL
void GlTexCoordPointervINTEL (GLint size, GLenum type, const void** pointer);
#endif

#ifdef glVertexPointervINTEL
void GlVertexPointervINTEL (GLint size, GLenum type, const void** pointer);
#endif

#ifdef glTexScissorFuncINTEL
void GlTexScissorFuncINTEL (GLenum target, GLenum lfunc, GLenum hfunc);
#endif

#ifdef glTexScissorINTEL
void GlTexScissorINTEL (GLenum target, GLclampf tlow, GLclampf thigh);
#endif

#ifdef glBufferRegionEnabledEXT
GLuint GlBufferRegionEnabledEXT (void);
#endif

#ifdef glDeleteBufferRegionEXT
void GlDeleteBufferRegionEXT (GLenum region);
#endif

#ifdef glDrawBufferRegionEXT
void GlDrawBufferRegionEXT (GLuint region, GLint x, GLint y, GLsizei width, GLsizei height, GLint xDest, GLint yDest);
#endif

#ifdef glNewBufferRegionEXT
GLuint GlNewBufferRegionEXT (GLenum region);
#endif

#ifdef glReadBufferRegionEXT
void GlReadBufferRegionEXT (GLuint region, GLint x, GLint y, GLsizei width, GLsizei height);
#endif

#ifdef glResizeBuffersMESA
void GlResizeBuffersMESA (void);
#endif

#ifdef glWindowPos2dMESA
void GlWindowPos2dMESA (GLdouble x, GLdouble y);
#endif

#ifdef glWindowPos2dvMESA
void GlWindowPos2dvMESA (const GLdouble* p);
#endif

#ifdef glWindowPos2fMESA
void GlWindowPos2fMESA (GLfloat x, GLfloat y);
#endif

#ifdef glWindowPos2fvMESA
void GlWindowPos2fvMESA (const GLfloat* p);
#endif

#ifdef glWindowPos2iMESA
void GlWindowPos2iMESA (GLint x, GLint y);
#endif

#ifdef glWindowPos2ivMESA
void GlWindowPos2ivMESA (const GLint* p);
#endif

#ifdef glWindowPos2sMESA
void GlWindowPos2sMESA (GLshort x, GLshort y);
#endif

#ifdef glWindowPos2svMESA
void GlWindowPos2svMESA (const GLshort* p);
#endif

#ifdef glWindowPos3dMESA
void GlWindowPos3dMESA (GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glWindowPos3dvMESA
void GlWindowPos3dvMESA (const GLdouble* p);
#endif

#ifdef glWindowPos3fMESA
void GlWindowPos3fMESA (GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glWindowPos3fvMESA
void GlWindowPos3fvMESA (const GLfloat* p);
#endif

#ifdef glWindowPos3iMESA
void GlWindowPos3iMESA (GLint x, GLint y, GLint z);
#endif

#ifdef glWindowPos3ivMESA
void GlWindowPos3ivMESA (const GLint* p);
#endif

#ifdef glWindowPos3sMESA
void GlWindowPos3sMESA (GLshort x, GLshort y, GLshort z);
#endif

#ifdef glWindowPos3svMESA
void GlWindowPos3svMESA (const GLshort* p);
#endif

#ifdef glWindowPos4dMESA
void GlWindowPos4dMESA (GLdouble x, GLdouble y, GLdouble z, GLdouble);
#endif

#ifdef glWindowPos4dvMESA
void GlWindowPos4dvMESA (const GLdouble* p);
#endif

#ifdef glWindowPos4fMESA
void GlWindowPos4fMESA (GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glWindowPos4fvMESA
void GlWindowPos4fvMESA (const GLfloat* p);
#endif

#ifdef glWindowPos4iMESA
void GlWindowPos4iMESA (GLint x, GLint y, GLint z, GLint w);
#endif

#ifdef glWindowPos4ivMESA
void GlWindowPos4ivMESA (const GLint* p);
#endif

#ifdef glWindowPos4sMESA
void GlWindowPos4sMESA (GLshort x, GLshort y, GLshort z, GLshort w);
#endif

#ifdef glWindowPos4svMESA
void GlWindowPos4svMESA (const GLshort* p);
#endif

#ifdef glEvalMapsNV
void GlEvalMapsNV (GLenum target, GLenum mode);
#endif

#ifdef glGetMapAttribParameterfvNV
void GlGetMapAttribParameterfvNV (GLenum target, GLuint index, GLenum pname, GLfloat* params);
#endif

#ifdef glGetMapAttribParameterivNV
void GlGetMapAttribParameterivNV (GLenum target, GLuint index, GLenum pname, GLint* params);
#endif

#ifdef glGetMapControlPointsNV
void GlGetMapControlPointsNV (GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, void* points);
#endif

#ifdef glGetMapParameterfvNV
void GlGetMapParameterfvNV (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetMapParameterivNV
void GlGetMapParameterivNV (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glMapControlPointsNV
void GlMapControlPointsNV (GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const void* points);
#endif

#ifdef glMapParameterfvNV
void GlMapParameterfvNV (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glMapParameterivNV
void GlMapParameterivNV (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glDeleteFencesNV
void GlDeleteFencesNV (GLsizei n, const GLuint* fences);
#endif

#ifdef glFinishFenceNV
void GlFinishFenceNV (GLuint fence);
#endif

#ifdef glGenFencesNV
void GlGenFencesNV (GLsizei n, GLuint* fences);
#endif

#ifdef glGetFenceivNV
void GlGetFenceivNV (GLuint fence, GLenum pname, GLint* params);
#endif

#ifdef glIsFenceNV
GLboolean GlIsFenceNV (GLuint fence);
#endif

#ifdef glSetFenceNV
void GlSetFenceNV (GLuint fence, GLenum condition);
#endif

#ifdef glTestFenceNV
GLboolean GlTestFenceNV (GLuint fence);
#endif

#ifdef glGetProgramNamedParameterdvNV
void GlGetProgramNamedParameterdvNV (GLuint id, GLsizei len, const GLubyte* name, GLdouble *params);
#endif

#ifdef glGetProgramNamedParameterfvNV
void GlGetProgramNamedParameterfvNV (GLuint id, GLsizei len, const GLubyte* name, GLfloat *params);
#endif

#ifdef glProgramNamedParameter4dNV
void GlProgramNamedParameter4dNV (GLuint id, GLsizei len, const GLubyte* name, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glProgramNamedParameter4dvNV
void GlProgramNamedParameter4dvNV (GLuint id, GLsizei len, const GLubyte* name, const GLdouble v[]);
#endif

#ifdef glProgramNamedParameter4fNV
void GlProgramNamedParameter4fNV (GLuint id, GLsizei len, const GLubyte* name, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glProgramNamedParameter4fvNV
void GlProgramNamedParameter4fvNV (GLuint id, GLsizei len, const GLubyte* name, const GLfloat v[]);
#endif

#ifdef glColor3hNV
void GlColor3hNV (GLhalf red, GLhalf green, GLhalf blue);
#endif

#ifdef glColor3hvNV
void GlColor3hvNV (const GLhalf* v);
#endif

#ifdef glColor4hNV
void GlColor4hNV (GLhalf red, GLhalf green, GLhalf blue, GLhalf alpha);
#endif

#ifdef glColor4hvNV
void GlColor4hvNV (const GLhalf* v);
#endif

#ifdef glFogCoordhNV
void GlFogCoordhNV (GLhalf fog);
#endif

#ifdef glFogCoordhvNV
void GlFogCoordhvNV (const GLhalf* fog);
#endif

#ifdef glMultiTexCoord1hNV
void GlMultiTexCoord1hNV (GLenum target, GLhalf s);
#endif

#ifdef glMultiTexCoord1hvNV
void GlMultiTexCoord1hvNV (GLenum target, const GLhalf* v);
#endif

#ifdef glMultiTexCoord2hNV
void GlMultiTexCoord2hNV (GLenum target, GLhalf s, GLhalf t);
#endif

#ifdef glMultiTexCoord2hvNV
void GlMultiTexCoord2hvNV (GLenum target, const GLhalf* v);
#endif

#ifdef glMultiTexCoord3hNV
void GlMultiTexCoord3hNV (GLenum target, GLhalf s, GLhalf t, GLhalf r);
#endif

#ifdef glMultiTexCoord3hvNV
void GlMultiTexCoord3hvNV (GLenum target, const GLhalf* v);
#endif

#ifdef glMultiTexCoord4hNV
void GlMultiTexCoord4hNV (GLenum target, GLhalf s, GLhalf t, GLhalf r, GLhalf q);
#endif

#ifdef glMultiTexCoord4hvNV
void GlMultiTexCoord4hvNV (GLenum target, const GLhalf* v);
#endif

#ifdef glNormal3hNV
void GlNormal3hNV (GLhalf nx, GLhalf ny, GLhalf nz);
#endif

#ifdef glNormal3hvNV
void GlNormal3hvNV (const GLhalf* v);
#endif

#ifdef glSecondaryColor3hNV
void GlSecondaryColor3hNV (GLhalf red, GLhalf green, GLhalf blue);
#endif

#ifdef glSecondaryColor3hvNV
void GlSecondaryColor3hvNV (const GLhalf* v);
#endif

#ifdef glTexCoord1hNV
void GlTexCoord1hNV (GLhalf s);
#endif

#ifdef glTexCoord1hvNV
void GlTexCoord1hvNV (const GLhalf* v);
#endif

#ifdef glTexCoord2hNV
void GlTexCoord2hNV (GLhalf s, GLhalf t);
#endif

#ifdef glTexCoord2hvNV
void GlTexCoord2hvNV (const GLhalf* v);
#endif

#ifdef glTexCoord3hNV
void GlTexCoord3hNV (GLhalf s, GLhalf t, GLhalf r);
#endif

#ifdef glTexCoord3hvNV
void GlTexCoord3hvNV (const GLhalf* v);
#endif

#ifdef glTexCoord4hNV
void GlTexCoord4hNV (GLhalf s, GLhalf t, GLhalf r, GLhalf q);
#endif

#ifdef glTexCoord4hvNV
void GlTexCoord4hvNV (const GLhalf* v);
#endif

#ifdef glVertex2hNV
void GlVertex2hNV (GLhalf x, GLhalf y);
#endif

#ifdef glVertex2hvNV
void GlVertex2hvNV (const GLhalf* v);
#endif

#ifdef glVertex3hNV
void GlVertex3hNV (GLhalf x, GLhalf y, GLhalf z);
#endif

#ifdef glVertex3hvNV
void GlVertex3hvNV (const GLhalf* v);
#endif

#ifdef glVertex4hNV
void GlVertex4hNV (GLhalf x, GLhalf y, GLhalf z, GLhalf w);
#endif

#ifdef glVertex4hvNV
void GlVertex4hvNV (const GLhalf* v);
#endif

#ifdef glVertexAttrib1hNV
void GlVertexAttrib1hNV (GLuint index, GLhalf x);
#endif

#ifdef glVertexAttrib1hvNV
void GlVertexAttrib1hvNV (GLuint index, const GLhalf* v);
#endif

#ifdef glVertexAttrib2hNV
void GlVertexAttrib2hNV (GLuint index, GLhalf x, GLhalf y);
#endif

#ifdef glVertexAttrib2hvNV
void GlVertexAttrib2hvNV (GLuint index, const GLhalf* v);
#endif

#ifdef glVertexAttrib3hNV
void GlVertexAttrib3hNV (GLuint index, GLhalf x, GLhalf y, GLhalf z);
#endif

#ifdef glVertexAttrib3hvNV
void GlVertexAttrib3hvNV (GLuint index, const GLhalf* v);
#endif

#ifdef glVertexAttrib4hNV
void GlVertexAttrib4hNV (GLuint index, GLhalf x, GLhalf y, GLhalf z, GLhalf w);
#endif

#ifdef glVertexAttrib4hvNV
void GlVertexAttrib4hvNV (GLuint index, const GLhalf* v);
#endif

#ifdef glVertexAttribs1hvNV
void GlVertexAttribs1hvNV (GLuint index, GLsizei n, const GLhalf* v);
#endif

#ifdef glVertexAttribs2hvNV
void GlVertexAttribs2hvNV (GLuint index, GLsizei n, const GLhalf* v);
#endif

#ifdef glVertexAttribs3hvNV
void GlVertexAttribs3hvNV (GLuint index, GLsizei n, const GLhalf* v);
#endif

#ifdef glVertexAttribs4hvNV
void GlVertexAttribs4hvNV (GLuint index, GLsizei n, const GLhalf* v);
#endif

#ifdef glVertexWeighthNV
void GlVertexWeighthNV (GLhalf weight);
#endif

#ifdef glVertexWeighthvNV
void GlVertexWeighthvNV (const GLhalf* weight);
#endif

#ifdef glBeginOcclusionQueryNV
void GlBeginOcclusionQueryNV (GLuint id);
#endif

#ifdef glDeleteOcclusionQueriesNV
void GlDeleteOcclusionQueriesNV (GLsizei n, const GLuint* ids);
#endif

#ifdef glEndOcclusionQueryNV
void GlEndOcclusionQueryNV (void);
#endif

#ifdef glGenOcclusionQueriesNV
void GlGenOcclusionQueriesNV (GLsizei n, GLuint* ids);
#endif

#ifdef glGetOcclusionQueryivNV
void GlGetOcclusionQueryivNV (GLuint id, GLenum pname, GLint* params);
#endif

#ifdef glGetOcclusionQueryuivNV
void GlGetOcclusionQueryuivNV (GLuint id, GLenum pname, GLuint* params);
#endif

#ifdef glIsOcclusionQueryNV
GLboolean GlIsOcclusionQueryNV (GLuint id);
#endif

#ifdef glFlushPixelDataRangeNV
void GlFlushPixelDataRangeNV (GLenum target);
#endif

#ifdef glPixelDataRangeNV
void GlPixelDataRangeNV (GLenum target, GLsizei length, void* pointer);
#endif

#ifdef glPointParameteriNV
void GlPointParameteriNV (GLenum pname, GLint param);
#endif

#ifdef glPointParameterivNV
void GlPointParameterivNV (GLenum pname, const GLint* params);
#endif

#ifdef glPrimitiveRestartIndexNV
void GlPrimitiveRestartIndexNV (GLuint index);
#endif

#ifdef glPrimitiveRestartNV
void GlPrimitiveRestartNV (void);
#endif

#ifdef glCombinerInputNV
void GlCombinerInputNV (GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage);
#endif

#ifdef glCombinerOutputNV
void GlCombinerOutputNV (GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum);
#endif

#ifdef glCombinerParameterfNV
void GlCombinerParameterfNV (GLenum pname, GLfloat param);
#endif

#ifdef glCombinerParameterfvNV
void GlCombinerParameterfvNV (GLenum pname, const GLfloat* params);
#endif

#ifdef glCombinerParameteriNV
void GlCombinerParameteriNV (GLenum pname, GLint param);
#endif

#ifdef glCombinerParameterivNV
void GlCombinerParameterivNV (GLenum pname, const GLint* params);
#endif

#ifdef glFinalCombinerInputNV
void GlFinalCombinerInputNV (GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage);
#endif

#ifdef glGetCombinerInputParameterfvNV
void GlGetCombinerInputParameterfvNV (GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat* params);
#endif

#ifdef glGetCombinerInputParameterivNV
void GlGetCombinerInputParameterivNV (GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint* params);
#endif

#ifdef glGetCombinerOutputParameterfvNV
void GlGetCombinerOutputParameterfvNV (GLenum stage, GLenum portion, GLenum pname, GLfloat* params);
#endif

#ifdef glGetCombinerOutputParameterivNV
void GlGetCombinerOutputParameterivNV (GLenum stage, GLenum portion, GLenum pname, GLint* params);
#endif

#ifdef glGetFinalCombinerInputParameterfvNV
void GlGetFinalCombinerInputParameterfvNV (GLenum variable, GLenum pname, GLfloat* params);
#endif

#ifdef glGetFinalCombinerInputParameterivNV
void GlGetFinalCombinerInputParameterivNV (GLenum variable, GLenum pname, GLint* params);
#endif

#ifdef glCombinerStageParameterfvNV
void GlCombinerStageParameterfvNV (GLenum stage, GLenum pname, const GLfloat* params);
#endif

#ifdef glGetCombinerStageParameterfvNV
void GlGetCombinerStageParameterfvNV (GLenum stage, GLenum pname, GLfloat* params);
#endif

#ifdef glFlushVertexArrayRangeNV
void GlFlushVertexArrayRangeNV (void);
#endif

#ifdef glVertexArrayRangeNV
void GlVertexArrayRangeNV (GLsizei length, void* pointer);
#endif

#ifdef glAreProgramsResidentNV
GLboolean GlAreProgramsResidentNV (GLsizei n, const GLuint* ids, GLboolean *residences);
#endif

#ifdef glBindProgramNV
void GlBindProgramNV (GLenum target, GLuint id);
#endif

#ifdef glDeleteProgramsNV
void GlDeleteProgramsNV (GLsizei n, const GLuint* ids);
#endif

#ifdef glExecuteProgramNV
void GlExecuteProgramNV (GLenum target, GLuint id, const GLfloat* params);
#endif

#ifdef glGenProgramsNV
void GlGenProgramsNV (GLsizei n, GLuint* ids);
#endif

#ifdef glGetProgramParameterdvNV
void GlGetProgramParameterdvNV (GLenum target, GLuint index, GLenum pname, GLdouble* params);
#endif

#ifdef glGetProgramParameterfvNV
void GlGetProgramParameterfvNV (GLenum target, GLuint index, GLenum pname, GLfloat* params);
#endif

#ifdef glGetProgramStringNV
void GlGetProgramStringNV (GLuint id, GLenum pname, GLubyte* program);
#endif

#ifdef glGetProgramivNV
void GlGetProgramivNV (GLuint id, GLenum pname, GLint* params);
#endif

#ifdef glGetTrackMatrixivNV
void GlGetTrackMatrixivNV (GLenum target, GLuint address, GLenum pname, GLint* params);
#endif

#ifdef glGetVertexAttribPointervNV
void GlGetVertexAttribPointervNV (GLuint index, GLenum pname, GLvoid** pointer);
#endif

#ifdef glGetVertexAttribdvNV
void GlGetVertexAttribdvNV (GLuint index, GLenum pname, GLdouble* params);
#endif

#ifdef glGetVertexAttribfvNV
void GlGetVertexAttribfvNV (GLuint index, GLenum pname, GLfloat* params);
#endif

#ifdef glGetVertexAttribivNV
void GlGetVertexAttribivNV (GLuint index, GLenum pname, GLint* params);
#endif

#ifdef glIsProgramNV
GLboolean GlIsProgramNV (GLuint id);
#endif

#ifdef glLoadProgramNV
void GlLoadProgramNV (GLenum target, GLuint id, GLsizei len, const GLubyte* program);
#endif

#ifdef glProgramParameter4dNV
void GlProgramParameter4dNV (GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glProgramParameter4dvNV
void GlProgramParameter4dvNV (GLenum target, GLuint index, const GLdouble* params);
#endif

#ifdef glProgramParameter4fNV
void GlProgramParameter4fNV (GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glProgramParameter4fvNV
void GlProgramParameter4fvNV (GLenum target, GLuint index, const GLfloat* params);
#endif

#ifdef glProgramParameters4dvNV
void GlProgramParameters4dvNV (GLenum target, GLuint index, GLuint num, const GLdouble* params);
#endif

#ifdef glProgramParameters4fvNV
void GlProgramParameters4fvNV (GLenum target, GLuint index, GLuint num, const GLfloat* params);
#endif

#ifdef glRequestResidentProgramsNV
void GlRequestResidentProgramsNV (GLsizei n, GLuint* ids);
#endif

#ifdef glTrackMatrixNV
void GlTrackMatrixNV (GLenum target, GLuint address, GLenum matrix, GLenum transform);
#endif

#ifdef glVertexAttrib1dNV
void GlVertexAttrib1dNV (GLuint index, GLdouble x);
#endif

#ifdef glVertexAttrib1dvNV
void GlVertexAttrib1dvNV (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib1fNV
void GlVertexAttrib1fNV (GLuint index, GLfloat x);
#endif

#ifdef glVertexAttrib1fvNV
void GlVertexAttrib1fvNV (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib1sNV
void GlVertexAttrib1sNV (GLuint index, GLshort x);
#endif

#ifdef glVertexAttrib1svNV
void GlVertexAttrib1svNV (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib2dNV
void GlVertexAttrib2dNV (GLuint index, GLdouble x, GLdouble y);
#endif

#ifdef glVertexAttrib2dvNV
void GlVertexAttrib2dvNV (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib2fNV
void GlVertexAttrib2fNV (GLuint index, GLfloat x, GLfloat y);
#endif

#ifdef glVertexAttrib2fvNV
void GlVertexAttrib2fvNV (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib2sNV
void GlVertexAttrib2sNV (GLuint index, GLshort x, GLshort y);
#endif

#ifdef glVertexAttrib2svNV
void GlVertexAttrib2svNV (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib3dNV
void GlVertexAttrib3dNV (GLuint index, GLdouble x, GLdouble y, GLdouble z);
#endif

#ifdef glVertexAttrib3dvNV
void GlVertexAttrib3dvNV (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib3fNV
void GlVertexAttrib3fNV (GLuint index, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glVertexAttrib3fvNV
void GlVertexAttrib3fvNV (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib3sNV
void GlVertexAttrib3sNV (GLuint index, GLshort x, GLshort y, GLshort z);
#endif

#ifdef glVertexAttrib3svNV
void GlVertexAttrib3svNV (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4dNV
void GlVertexAttrib4dNV (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
#endif

#ifdef glVertexAttrib4dvNV
void GlVertexAttrib4dvNV (GLuint index, const GLdouble* v);
#endif

#ifdef glVertexAttrib4fNV
void GlVertexAttrib4fNV (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glVertexAttrib4fvNV
void GlVertexAttrib4fvNV (GLuint index, const GLfloat* v);
#endif

#ifdef glVertexAttrib4sNV
void GlVertexAttrib4sNV (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
#endif

#ifdef glVertexAttrib4svNV
void GlVertexAttrib4svNV (GLuint index, const GLshort* v);
#endif

#ifdef glVertexAttrib4ubNV
void GlVertexAttrib4ubNV (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
#endif

#ifdef glVertexAttrib4ubvNV
void GlVertexAttrib4ubvNV (GLuint index, const GLubyte* v);
#endif

#ifdef glVertexAttribPointerNV
void GlVertexAttribPointerNV (GLuint index, GLint size, GLenum type, GLsizei stride, const void* pointer);
#endif

#ifdef glVertexAttribs1dvNV
void GlVertexAttribs1dvNV (GLuint index, GLsizei n, const GLdouble* v);
#endif

#ifdef glVertexAttribs1fvNV
void GlVertexAttribs1fvNV (GLuint index, GLsizei n, const GLfloat* v);
#endif

#ifdef glVertexAttribs1svNV
void GlVertexAttribs1svNV (GLuint index, GLsizei n, const GLshort* v);
#endif

#ifdef glVertexAttribs2dvNV
void GlVertexAttribs2dvNV (GLuint index, GLsizei n, const GLdouble* v);
#endif

#ifdef glVertexAttribs2fvNV
void GlVertexAttribs2fvNV (GLuint index, GLsizei n, const GLfloat* v);
#endif

#ifdef glVertexAttribs2svNV
void GlVertexAttribs2svNV (GLuint index, GLsizei n, const GLshort* v);
#endif

#ifdef glVertexAttribs3dvNV
void GlVertexAttribs3dvNV (GLuint index, GLsizei n, const GLdouble* v);
#endif

#ifdef glVertexAttribs3fvNV
void GlVertexAttribs3fvNV (GLuint index, GLsizei n, const GLfloat* v);
#endif

#ifdef glVertexAttribs3svNV
void GlVertexAttribs3svNV (GLuint index, GLsizei n, const GLshort* v);
#endif

#ifdef glVertexAttribs4dvNV
void GlVertexAttribs4dvNV (GLuint index, GLsizei n, const GLdouble* v);
#endif

#ifdef glVertexAttribs4fvNV
void GlVertexAttribs4fvNV (GLuint index, GLsizei n, const GLfloat* v);
#endif

#ifdef glVertexAttribs4svNV
void GlVertexAttribs4svNV (GLuint index, GLsizei n, const GLshort* v);
#endif

#ifdef glVertexAttribs4ubvNV
void GlVertexAttribs4ubvNV (GLuint index, GLsizei n, const GLubyte* v);
#endif

#ifdef glDetailTexFuncSGIS
void GlDetailTexFuncSGIS (GLenum target, GLsizei n, const GLfloat* points);
#endif

#ifdef glGetDetailTexFuncSGIS
void GlGetDetailTexFuncSGIS (GLenum target, GLfloat* points);
#endif

#ifdef glFogFuncSGIS
void GlFogFuncSGIS (GLsizei n, const GLfloat* points);
#endif

#ifdef glGetFogFuncSGIS
void GlGetFogFuncSGIS (GLfloat* points);
#endif

#ifdef glSampleMaskSGIS
void GlSampleMaskSGIS (GLclampf value, GLboolean invert);
#endif

#ifdef glSamplePatternSGIS
void GlSamplePatternSGIS (GLenum pattern);
#endif

#ifdef glGetSharpenTexFuncSGIS
void GlGetSharpenTexFuncSGIS (GLenum target, GLfloat* points);
#endif

#ifdef glSharpenTexFuncSGIS
void GlSharpenTexFuncSGIS (GLenum target, GLsizei n, const GLfloat* points);
#endif

#ifdef glTexImage4DSGIS
void GlTexImage4DSGIS (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei extent, GLint border, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glTexSubImage4DSGIS
void GlTexSubImage4DSGIS (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei extent, GLenum format, GLenum type, const void* pixels);
#endif

#ifdef glGetTexFilterFuncSGIS
void GlGetTexFilterFuncSGIS (GLenum target, GLenum filter, GLfloat* weights);
#endif

#ifdef glTexFilterFuncSGIS
void GlTexFilterFuncSGIS (GLenum target, GLenum filter, GLsizei n, const GLfloat* weights);
#endif

#ifdef glAsyncMarkerSGIX
void GlAsyncMarkerSGIX (GLuint marker);
#endif

#ifdef glDeleteAsyncMarkersSGIX
void GlDeleteAsyncMarkersSGIX (GLuint marker, GLsizei range);
#endif

#ifdef glFinishAsyncSGIX
GLint GlFinishAsyncSGIX (GLuint* markerp);
#endif

#ifdef glGenAsyncMarkersSGIX
GLuint GlGenAsyncMarkersSGIX (GLsizei range);
#endif

#ifdef glIsAsyncMarkerSGIX
GLboolean GlIsAsyncMarkerSGIX (GLuint marker);
#endif

#ifdef glPollAsyncSGIX
GLint GlPollAsyncSGIX (GLuint* markerp);
#endif

#ifdef glFlushRasterSGIX
void GlFlushRasterSGIX (void);
#endif

#ifdef glTextureFogSGIX
void GlTextureFogSGIX (GLenum pname);
#endif

#ifdef glFragmentColorMaterialSGIX
void GlFragmentColorMaterialSGIX (GLenum face, GLenum mode);
#endif

#ifdef glFragmentLightModelfSGIX
void GlFragmentLightModelfSGIX (GLenum pname, GLfloat param);
#endif

#ifdef glFragmentLightModelfvSGIX
void GlFragmentLightModelfvSGIX (GLenum pname, GLfloat* params);
#endif

#ifdef glFragmentLightModeliSGIX
void GlFragmentLightModeliSGIX (GLenum pname, GLint param);
#endif

#ifdef glFragmentLightModelivSGIX
void GlFragmentLightModelivSGIX (GLenum pname, GLint* params);
#endif

#ifdef glFragmentLightfSGIX
void GlFragmentLightfSGIX (GLenum light, GLenum pname, GLfloat param);
#endif

#ifdef glFragmentLightfvSGIX
void GlFragmentLightfvSGIX (GLenum light, GLenum pname, GLfloat* params);
#endif

#ifdef glFragmentLightiSGIX
void GlFragmentLightiSGIX (GLenum light, GLenum pname, GLint param);
#endif

#ifdef glFragmentLightivSGIX
void GlFragmentLightivSGIX (GLenum light, GLenum pname, GLint* params);
#endif

#ifdef glFragmentMaterialfSGIX
void GlFragmentMaterialfSGIX (GLenum face, GLenum pname, const GLfloat param);
#endif

#ifdef glFragmentMaterialfvSGIX
void GlFragmentMaterialfvSGIX (GLenum face, GLenum pname, const GLfloat* params);
#endif

#ifdef glFragmentMaterialiSGIX
void GlFragmentMaterialiSGIX (GLenum face, GLenum pname, const GLint param);
#endif

#ifdef glFragmentMaterialivSGIX
void GlFragmentMaterialivSGIX (GLenum face, GLenum pname, const GLint* params);
#endif

#ifdef glGetFragmentLightfvSGIX
void GlGetFragmentLightfvSGIX (GLenum light, GLenum value, GLfloat* data);
#endif

#ifdef glGetFragmentLightivSGIX
void GlGetFragmentLightivSGIX (GLenum light, GLenum value, GLint* data);
#endif

#ifdef glGetFragmentMaterialfvSGIX
void GlGetFragmentMaterialfvSGIX (GLenum face, GLenum pname, const GLfloat* data);
#endif

#ifdef glGetFragmentMaterialivSGIX
void GlGetFragmentMaterialivSGIX (GLenum face, GLenum pname, const GLint* data);
#endif

#ifdef glFrameZoomSGIX
void GlFrameZoomSGIX (GLint factor);
#endif

#ifdef glPixelTexGenSGIX
void GlPixelTexGenSGIX (GLenum mode);
#endif

#ifdef glReferencePlaneSGIX
void GlReferencePlaneSGIX (const GLdouble* equation);
#endif

#ifdef glSpriteParameterfSGIX
void GlSpriteParameterfSGIX (GLenum pname, GLfloat param);
#endif

#ifdef glSpriteParameterfvSGIX
void GlSpriteParameterfvSGIX (GLenum pname, GLfloat* params);
#endif

#ifdef glSpriteParameteriSGIX
void GlSpriteParameteriSGIX (GLenum pname, GLint param);
#endif

#ifdef glSpriteParameterivSGIX
void GlSpriteParameterivSGIX (GLenum pname, GLint* params);
#endif

#ifdef glTagSampleBufferSGIX
void GlTagSampleBufferSGIX (void);
#endif

#ifdef glColorTableParameterfvSGI
void GlColorTableParameterfvSGI (GLenum target, GLenum pname, const GLfloat* params);
#endif

#ifdef glColorTableParameterivSGI
void GlColorTableParameterivSGI (GLenum target, GLenum pname, const GLint* params);
#endif

#ifdef glColorTableSGI
void GlColorTableSGI (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const void* table);
#endif

#ifdef glCopyColorTableSGI
void GlCopyColorTableSGI (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
#endif

#ifdef glGetColorTableParameterfvSGI
void GlGetColorTableParameterfvSGI (GLenum target, GLenum pname, GLfloat* params);
#endif

#ifdef glGetColorTableParameterivSGI
void GlGetColorTableParameterivSGI (GLenum target, GLenum pname, GLint* params);
#endif

#ifdef glGetColorTableSGI
void GlGetColorTableSGI (GLenum target, GLenum format, GLenum type, void* table);
#endif

#ifdef glFinishTextureSUNX
void GlFinishTextureSUNX (void);
#endif

#ifdef glGlobalAlphaFactorbSUN
void GlGlobalAlphaFactorbSUN (GLbyte factor);
#endif

#ifdef glGlobalAlphaFactordSUN
void GlGlobalAlphaFactordSUN (GLdouble factor);
#endif

#ifdef glGlobalAlphaFactorfSUN
void GlGlobalAlphaFactorfSUN (GLfloat factor);
#endif

#ifdef glGlobalAlphaFactoriSUN
void GlGlobalAlphaFactoriSUN (GLint factor);
#endif

#ifdef glGlobalAlphaFactorsSUN
void GlGlobalAlphaFactorsSUN (GLshort factor);
#endif

#ifdef glGlobalAlphaFactorubSUN
void GlGlobalAlphaFactorubSUN (GLubyte factor);
#endif

#ifdef glGlobalAlphaFactoruiSUN
void GlGlobalAlphaFactoruiSUN (GLuint factor);
#endif

#ifdef glGlobalAlphaFactorusSUN
void GlGlobalAlphaFactorusSUN (GLushort factor);
#endif

#ifdef glReadVideoPixelsSUN
void GlReadVideoPixelsSUN (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid* pixels);
#endif

#ifdef glReplacementCodePointerSUN
void GlReplacementCodePointerSUN (GLenum type, GLsizei stride, const void* pointer);
#endif

#ifdef glReplacementCodeubSUN
void GlReplacementCodeubSUN (GLubyte code);
#endif

#ifdef glReplacementCodeubvSUN
void GlReplacementCodeubvSUN (const GLubyte* code);
#endif

#ifdef glReplacementCodeuiSUN
void GlReplacementCodeuiSUN (GLuint code);
#endif

#ifdef glReplacementCodeuivSUN
void GlReplacementCodeuivSUN (const GLuint* code);
#endif

#ifdef glReplacementCodeusSUN
void GlReplacementCodeusSUN (GLushort code);
#endif

#ifdef glReplacementCodeusvSUN
void GlReplacementCodeusvSUN (const GLushort* code);
#endif

#ifdef glColor3fVertex3fSUN
void GlColor3fVertex3fSUN (GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glColor3fVertex3fvSUN
void GlColor3fVertex3fvSUN (const GLfloat* c, const GLfloat *v);
#endif

#ifdef glColor4fNormal3fVertex3fSUN
void GlColor4fNormal3fVertex3fSUN (GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glColor4fNormal3fVertex3fvSUN
void GlColor4fNormal3fVertex3fvSUN (const GLfloat* c, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glColor4ubVertex2fSUN
void GlColor4ubVertex2fSUN (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y);
#endif

#ifdef glColor4ubVertex2fvSUN
void GlColor4ubVertex2fvSUN (const GLubyte* c, const GLfloat *v);
#endif

#ifdef glColor4ubVertex3fSUN
void GlColor4ubVertex3fSUN (GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glColor4ubVertex3fvSUN
void GlColor4ubVertex3fvSUN (const GLubyte* c, const GLfloat *v);
#endif

#ifdef glNormal3fVertex3fSUN
void GlNormal3fVertex3fSUN (GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glNormal3fVertex3fvSUN
void GlNormal3fVertex3fvSUN (const GLfloat* n, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiColor3fVertex3fSUN
void GlReplacementCodeuiColor3fVertex3fSUN (GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiColor3fVertex3fvSUN
void GlReplacementCodeuiColor3fVertex3fvSUN (const GLuint* rc, const GLfloat *c, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiColor4fNormal3fVertex3fSUN
void GlReplacementCodeuiColor4fNormal3fVertex3fSUN (GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiColor4fNormal3fVertex3fvSUN
void GlReplacementCodeuiColor4fNormal3fVertex3fvSUN (const GLuint* rc, const GLfloat *c, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiColor4ubVertex3fSUN
void GlReplacementCodeuiColor4ubVertex3fSUN (GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiColor4ubVertex3fvSUN
void GlReplacementCodeuiColor4ubVertex3fvSUN (const GLuint* rc, const GLubyte *c, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiNormal3fVertex3fSUN
void GlReplacementCodeuiNormal3fVertex3fSUN (GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiNormal3fVertex3fvSUN
void GlReplacementCodeuiNormal3fVertex3fvSUN (const GLuint* rc, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN
void GlReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN (GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN
void GlReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN (const GLuint* rc, const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN
void GlReplacementCodeuiTexCoord2fNormal3fVertex3fSUN (GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN
void GlReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN (const GLuint* rc, const GLfloat *tc, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiTexCoord2fVertex3fSUN
void GlReplacementCodeuiTexCoord2fVertex3fSUN (GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiTexCoord2fVertex3fvSUN
void GlReplacementCodeuiTexCoord2fVertex3fvSUN (const GLuint* rc, const GLfloat *tc, const GLfloat *v);
#endif

#ifdef glReplacementCodeuiVertex3fSUN
void GlReplacementCodeuiVertex3fSUN (GLuint rc, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glReplacementCodeuiVertex3fvSUN
void GlReplacementCodeuiVertex3fvSUN (const GLuint* rc, const GLfloat *v);
#endif

#ifdef glTexCoord2fColor3fVertex3fSUN
void GlTexCoord2fColor3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glTexCoord2fColor3fVertex3fvSUN
void GlTexCoord2fColor3fVertex3fvSUN (const GLfloat* tc, const GLfloat *c, const GLfloat *v);
#endif

#ifdef glTexCoord2fColor4fNormal3fVertex3fSUN
void GlTexCoord2fColor4fNormal3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glTexCoord2fColor4fNormal3fVertex3fvSUN
void GlTexCoord2fColor4fNormal3fVertex3fvSUN (const GLfloat* tc, const GLfloat *c, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glTexCoord2fColor4ubVertex3fSUN
void GlTexCoord2fColor4ubVertex3fSUN (GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glTexCoord2fColor4ubVertex3fvSUN
void GlTexCoord2fColor4ubVertex3fvSUN (const GLfloat* tc, const GLubyte *c, const GLfloat *v);
#endif

#ifdef glTexCoord2fNormal3fVertex3fSUN
void GlTexCoord2fNormal3fVertex3fSUN (GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glTexCoord2fNormal3fVertex3fvSUN
void GlTexCoord2fNormal3fVertex3fvSUN (const GLfloat* tc, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glTexCoord2fVertex3fSUN
void GlTexCoord2fVertex3fSUN (GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z);
#endif

#ifdef glTexCoord2fVertex3fvSUN
void GlTexCoord2fVertex3fvSUN (const GLfloat* tc, const GLfloat *v);
#endif

#ifdef glTexCoord4fColor4fNormal3fVertex4fSUN
void GlTexCoord4fColor4fNormal3fVertex4fSUN (GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glTexCoord4fColor4fNormal3fVertex4fvSUN
void GlTexCoord4fColor4fNormal3fVertex4fvSUN (const GLfloat* tc, const GLfloat *c, const GLfloat *n, const GLfloat *v);
#endif

#ifdef glTexCoord4fVertex4fSUN
void GlTexCoord4fVertex4fSUN (GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
#endif

#ifdef glTexCoord4fVertex4fvSUN
void GlTexCoord4fVertex4fvSUN (const GLfloat* tc, const GLfloat *v);
#endif

#ifdef glAddSwapHintRectWIN
void GlAddSwapHintRectWIN (GLint x, GLint y, GLsizei width, GLsizei height);
#endif

