sed -n "/#define GL/s/#define *\([a-zA-Z0-9_]*\) *\(.*\)/\1/p" /usr/include/GL/glew.h > tmp.constant
sed -n "/#define GL/s/#define *\([a-zA-Z0-9_]*\) *\(.*\)/\1/p" /usr/include/GL/gl.h >> tmp.constant
sort tmp.constant -o tmp2.constant
rm -f tmp.constant
uniq tmp2.constant tmp.constant
rm -f tmp2.constant

sort blacklist -o blacklist.tmp

echo "#include <GL/glew.h>" > gl_constants.h
echo "" >> gl_constants.h

echo "#include \"gl_constants.h\"" > gl_constants.c
echo "" >> gl_constants.c


for name in $(cat tmp.constant); do
	if ! [ "$(echo "$name" > tmp.name && comm -1 -2 blacklist.tmp tmp.name && rm tmp.name)" ]
	then
		name_lower=em_$(echo $name | tr [:upper:] [:lower:] )
		echo "#ifdef $name" >> gl_constants.h
		echo "int $name_lower(void);" >> gl_constants.h
		echo "#endif" >> gl_constants.h
	
		echo "#ifdef $name" >> gl_constants.c
		echo "int $name_lower(void){" >> gl_constants.c
		echo "	return $name;" >> gl_constants.c
		echo "}" >> gl_constants.c
		echo "#endif" >> gl_constants.c
	fi
done

rm -f tmp.constant blacklist.tmp
