#!/bin/bash
GLEWH=/usr/include/GL/glew.h
sed -n -f funcgen.sed $GLEWH > glewfunc
sed -n -f funcnamegen.sed $GLEWH > glewfuncname
rm -f glext.h glext.c
echo "#include <GL/glew.h>" >> glext.h
echo "" >> glext.h
echo "#include \"glext.h\"" >> glext.c
echo "" >> glext.c

for name in $(cat glewfuncname)
do
	name_upper=$(echo $name|tr [:lower:] [:upper:] )
	# a little hack to go around the 
	name_first_upper=$(echo ${name:0:1} | tr [:lower:] [:upper:])${name:1}
	echo "#ifdef $name" >> glext.h
	sed -n "/NAME_PFN${name_upper}PROC/s/NAME_PFN${name_upper}PROC/$name_first_upper/p" glewfunc | tr "{" ";" >> glext.h
	echo "#endif" >> glext.h
	echo "" >> glext.h
	
	echo "#ifdef $name" >> glext.c
	sed -n "/NAME_PFN${name_upper}PROC/s/NAME_PFN${name_upper}PROC/$name_first_upper/p" glewfunc >> glext.c
	sed -n "/return PROTO_PFN${name_upper}/s/PROTO_PFN${name_upper}PROC(/$name(/p" glewfunc | sed "s/\([(,)]\)[a-zA-Z ]*[ *][ *]*/\1/g" | sed "s/\[.*\]//g" | sed "s/( *void *)/()/g" >> glext.c
	echo "}" >> glext.c
	echo "#endif" >> glext.c
	echo "" >> glext.c
done
rm glewfunc glewfuncname
