indexing
	description: "Objects that ..."
	author: ""
	date: "$Date: 2006-07-31 13:16:51 +0200 (Mon, 31 Jul 2006) $"
	revision: "$Revision: 2089 $"

deferred class
	EM_INTERPOLATOR

feature
	interpolate(a, b: DOUBLE; x: DOUBLE): DOUBLE is
			-- interpolate bewtween a and b at x (x = 0.0 is at a, x = 1.0 is at b)
		require
			valid_x: x >= 0.0 and x <= 1.0
		deferred
		ensure
			value_between_a_and_b: a >= b implies Result <= a and Result >= b
			value_between_a_and_b: a <= b implies Result >= a and Result <= b
		end

end
