indexing
	description: "[
		
		Alignment constants.
		Assumes that values increase from left-to-right, top-to-bottom,
		front-to-back. (right-handed coordinate system with x-axis pointing to
		the right and y-axis pointing to the bottom)
		Be careful, this is different from the coordinate system that Em3d and
		OpenGL normally use (right-handed also, but back-to-front and bottom-to-top)

	]"
	author: ""
	date: "$Date: 2007-01-29 23:29:47 +0100 (Mon, 29 Jan 2007) $"
	revision: "$Revision: 2451 $"

class EM_ALIGNMENT_CONSTANTS

feature -- Access

	Align_user_specified: INTEGER is 0
			-- User specified alignment

	Align_lower, Align_left, Align_top, Align_front: INTEGER is 1
			-- Align lower boundary

	Align_center: INTEGER is 2
			-- Align center

	Align_upper, Align_right, Align_bottom, Align_back: INTEGER is 3
			-- Align upper boundary

end
