indexing

	description: "[

		Constants used in the openGL part of the EiffelMedia library.

	]"
	date: "$Date: 2006-10-23 20:02:00 +0200 (Mon, 23 Oct 2006) $"
	revision: "$Revision: 2334 $"

class EM_GL_CONSTANTS

obsolete "USE GL_CONSTANTS instead"
inherit
	GL_CONSTANTS


feature -- GL constants

-- Note:
-- This class is now a direct wrapper the GL_CONSTANTS

-- 	-- Boolean values
-- 	Em_gl_false: INTEGER is 0x0
-- 	Em_gl_true: INTEGER is 0x1
-- 
-- 	-- Data types
-- 	Em_gl_byte: INTEGER is 0x1400
-- 	Em_gl_unsigned_byte: INTEGER is 0x1401
-- 	Em_gl_short: INTEGER is 0x1402
-- 	Em_gl_unsigned_short: INTEGER is 0x1403
-- 	Em_gl_int: INTEGER is 0x1404
-- 	Em_gl_unsigned_int: INTEGER is 0x1405
-- 	Em_gl_float: INTEGER is 0x1406
-- 	Em_gl_double: INTEGER is 0x140A
-- 	Em_gl_2_bytes: INTEGER is 0x1407
-- 	Em_gl_3_bytes: INTEGER is 0x1408
-- 	Em_gl_4_bytes: INTEGER is 0x1409
-- 
-- 	-- Primitives
-- 	Em_gl_points: INTEGER is 0x0000
-- 	Em_gl_lines: INTEGER is 0x0001
-- 	Em_gl_line_loop: INTEGER is 0x0002
-- 	Em_gl_line_strip: INTEGER is 0x0003
-- 	Em_gl_triangles: INTEGER is 0x0004
-- 	Em_gl_triangle_strip: INTEGER is 0x0005
-- 	Em_gl_triangle_fan: INTEGER is 0x0006
-- 	Em_gl_quads: INTEGER is 0x0007
-- 	Em_gl_quad_strip: INTEGER is 0x0008
-- 	Em_gl_polygon: INTEGER is 0x0009
-- 
-- 	-- Vertex Arrays
-- 	Em_gl_vertex_array: INTEGER is 0x8074
-- 	Em_gl_normal_array: INTEGER is 0x8075
-- 	Em_gl_color_array: INTEGER is 0x8076
-- 	Em_gl_index_array: INTEGER is 0x8077
-- 	Em_gl_texture_coord_array: INTEGER is 0x8078
-- 	Em_gl_edge_flag_array: INTEGER is 0x8079
-- 	Em_gl_vertex_array_size: INTEGER is 0x807A
-- 	Em_gl_vertex_array_type: INTEGER is 0x807B
-- 	Em_gl_vertex_array_stride: INTEGER is 0x807C
-- 	Em_gl_normal_array_type: INTEGER is 0x807E
-- 	Em_gl_normal_array_stride: INTEGER is 0x807F
-- 	Em_gl_color_array_size: INTEGER is 0x8081
-- 	Em_gl_color_array_type: INTEGER is 0x8082
-- 	Em_gl_color_array_stride: INTEGER is 0x8083
-- 	Em_gl_index_array_type: INTEGER is 0x8085
-- 	Em_gl_index_array_stride: INTEGER is 0x8086
-- 	Em_gl_texture_coord_array_size: INTEGER is 0x8088
-- 	Em_gl_texture_coord_array_type: INTEGER is 0x8089
-- 	Em_gl_texture_coord_array_stride: INTEGER is 0x808A
-- 	Em_gl_edge_flag_array_stride: INTEGER is 0x808C
-- 	Em_gl_vertex_array_pointer: INTEGER is 0x808E
-- 	Em_gl_normal_array_pointer: INTEGER is 0x808F
-- 	Em_gl_color_array_pointer: INTEGER is 0x8090
-- 	Em_gl_index_array_pointer: INTEGER is 0x8091
-- 	Em_gl_texture_coord_array_pointer: INTEGER is 0x8092
-- 	Em_gl_edge_flag_array_pointer: INTEGER is 0x8093
-- 	Em_gl_v2f: INTEGER is 0x2A20
-- 	Em_gl_v3f: INTEGER is 0x2A21
-- 	Em_gl_c4ub_v2f: INTEGER is 0x2A22
-- 	Em_gl_c4ub_v3f: INTEGER is 0x2A23
-- 	Em_gl_c3f_v3f: INTEGER is 0x2A24
-- 	Em_gl_n3f_v3f: INTEGER is 0x2A25
-- 	Em_gl_c4f_n3f_v3f: INTEGER is 0x2A26
-- 	Em_gl_t2f_v3f: INTEGER is 0x2A27
-- 	Em_gl_t4f_v4f: INTEGER is 0x2A28
-- 	Em_gl_t2f_c4ub_v3f: INTEGER is 0x2A29
-- 	Em_gl_t2f_c3f_v3f: INTEGER is 0x2A2A
-- 	Em_gl_t2f_n3f_v3f: INTEGER is 0x2A2B
-- 	Em_gl_t2f_c4f_n3f_v3f: INTEGER is 0x2A2C
-- 	Em_gl_t4f_c4f_n3f_v4f: INTEGER is 0x2A2D
-- 
-- 	-- Matrix Mode
-- 	Em_gl_matrix_mode: INTEGER is 0x0BA0
-- 	Em_gl_modelview: INTEGER is 0x1700
-- 	Em_gl_projection: INTEGER is 0x1701
-- 	Em_gl_texture: INTEGER is 0x1702
-- 
-- 	-- Points
-- 	Em_gl_point_smooth: INTEGER is 0x0B10
-- 	Em_gl_point_size: INTEGER is 0x0B11
-- 	Em_gl_point_size_granularity: INTEGER is 0x0B13
-- 	Em_gl_point_size_range: INTEGER is 0x0B12
-- 
-- 	-- Lines
-- 	Em_gl_line_smooth: INTEGER is 0x0B20
-- 	Em_gl_line_stipple: INTEGER is 0x0B24
-- 	Em_gl_line_stipple_pattern: INTEGER is 0x0B25
-- 	Em_gl_line_stipple_repeat: INTEGER is 0x0B26
-- 	Em_gl_line_width: INTEGER is 0x0B21
-- 	Em_gl_line_width_granularity: INTEGER is 0x0B23
-- 	Em_gl_line_width_range: INTEGER is 0x0B22
-- 
-- 	-- Polygons
-- 	Em_gl_point: INTEGER is 0x1B00
-- 	Em_gl_line: INTEGER is 0x1B01
-- 	Em_gl_fill: INTEGER is 0x1B02
-- 	Em_gl_cw: INTEGER is 0x0900
-- 	Em_gl_ccw: INTEGER is 0x0901
-- 	Em_gl_front: INTEGER is 0x0404
-- 	Em_gl_back: INTEGER is 0x0405
-- 	Em_gl_polygon_mode: INTEGER is 0x0B40
-- 	Em_gl_polygon_smooth: INTEGER is 0x0B41
-- 	Em_gl_polygon_stipple: INTEGER is 0x0B42
-- 	Em_gl_edge_flag: INTEGER is 0x0B43
-- 	Em_gl_cull_face: INTEGER is 0x0B44
-- 	Em_gl_cull_face_mode: INTEGER is 0x0B45
-- 	Em_gl_front_face: INTEGER is 0x0B46
-- 	Em_gl_polygon_offset_factor: INTEGER is 0x8038
-- 	Em_gl_polygon_offset_units: INTEGER is 0x2A00
-- 	Em_gl_polygon_offset_point: INTEGER is 0x2A01
-- 	Em_gl_polygon_offset_line: INTEGER is 0x2A02
-- 	Em_gl_polygon_offset_fill: INTEGER is 0x8037
-- 
-- 	-- Display Lists
-- 	Em_gl_compile: INTEGER is 0x1300
-- 	Em_gl_compile_and_execute: INTEGER is 0x1301
-- 	Em_gl_list_base: INTEGER is 0x0B32
-- 	Em_gl_list_index: INTEGER is 0x0B33
-- 	Em_gl_list_mode: INTEGER is 0x0B30
-- 
-- 	-- Depth buffer
-- 	Em_gl_never: INTEGER is 0x0200
-- 	Em_gl_less: INTEGER is 0x0201
-- 	Em_gl_equal: INTEGER is 0x0202
-- 	Em_gl_lequal: INTEGER is 0x0203
-- 	Em_gl_greater: INTEGER is 0x0204
-- 	Em_gl_notequal: INTEGER is 0x0205
-- 	Em_gl_gequal: INTEGER is 0x0206
-- 	Em_gl_always: INTEGER is 0x0207
-- 	Em_gl_depth_test: INTEGER is 0x0B71
-- 	Em_gl_depth_bits: INTEGER is 0x0D56
-- 	Em_gl_depth_clear_value: INTEGER is 0x0B73
-- 	Em_gl_depth_func: INTEGER is 0x0B74
-- 	Em_gl_depth_range: INTEGER is 0x0B70
-- 	Em_gl_depth_writemask: INTEGER is 0x0B72
-- 	Em_gl_depth_component: INTEGER is 0x1902
-- 
-- 	-- Lighting
-- 	Em_gl_lighting: INTEGER is 0x0B50
-- 	Em_gl_light0: INTEGER is 0x4000
-- 	Em_gl_light1: INTEGER is 0x4001
-- 	Em_gl_light2: INTEGER is 0x4002
-- 	Em_gl_light3: INTEGER is 0x4003
-- 	Em_gl_light4: INTEGER is 0x4004
-- 	Em_gl_light5: INTEGER is 0x4005
-- 	Em_gl_light6: INTEGER is 0x4006
-- 	Em_gl_light7: INTEGER is 0x4007
-- 	Em_gl_spot_exponent: INTEGER is 0x1205
-- 	Em_gl_spot_cutoff: INTEGER is 0x1206
-- 	Em_gl_constant_attenuation: INTEGER is 0x1207
-- 	Em_gl_linear_attenuation: INTEGER is 0x1208
-- 	Em_gl_quadratic_attenuation: INTEGER is 0x1209
-- 	Em_gl_ambient: INTEGER is 0x1200
-- 	Em_gl_diffuse: INTEGER is 0x1201
-- 	Em_gl_specular: INTEGER is 0x1202
-- 	Em_gl_shininess: INTEGER is 0x1601
-- 	Em_gl_emission: INTEGER is 0x1600
-- 	Em_gl_position: INTEGER is 0x1203
-- 	Em_gl_spot_direction: INTEGER is 0x1204
-- 	Em_gl_ambient_and_diffuse: INTEGER is 0x1602
-- 	Em_gl_color_indexes: INTEGER is 0x1603
-- 	Em_gl_light_model_two_side: INTEGER is 0x0B52
-- 	Em_gl_light_model_local_viewer: INTEGER is 0x0B51
-- 	Em_gl_light_model_ambient: INTEGER is 0x0B53
-- 	Em_gl_front_and_back: INTEGER is 0x0408
-- 	Em_gl_shade_model: INTEGER is 0x0B54
-- 	Em_gl_flat: INTEGER is 0x1D00
-- 	Em_gl_smooth: INTEGER is 0x1D01
-- 	Em_gl_color_material: INTEGER is 0x0B57
-- 	Em_gl_color_material_face: INTEGER is 0x0B55
-- 	Em_gl_color_material_parameter: INTEGER is 0x0B56
-- 	Em_gl_normalize: INTEGER is 0x0BA1
-- 
-- 	-- User clipping planes
-- 	Em_gl_clip_plane0: INTEGER is 0x3000
-- 	Em_gl_clip_plane1: INTEGER is 0x3001
-- 	Em_gl_clip_plane2: INTEGER is 0x3002
-- 	Em_gl_clip_plane3: INTEGER is 0x3003
-- 	Em_gl_clip_plane4: INTEGER is 0x3004
-- 	Em_gl_clip_plane5: INTEGER is 0x3005
-- 
-- 	-- Accumulation buffer
-- 	Em_gl_accum_red_bits: INTEGER is 0x0D58
-- 	Em_gl_accum_green_bits: INTEGER is 0x0D59
-- 	Em_gl_accum_blue_bits: INTEGER is 0x0D5A
-- 	Em_gl_accum_alpha_bits: INTEGER is 0x0D5B
-- 	Em_gl_accum_clear_value: INTEGER is 0x0B80
-- 	Em_gl_accum: INTEGER is 0x0100
-- 	Em_gl_add: INTEGER is 0x0104
-- 	Em_gl_load: INTEGER is 0x0101
-- 	Em_gl_mult: INTEGER is 0x0103
-- 	Em_gl_return: INTEGER is 0x0102
-- 
-- 	-- Alpha testing
-- 	Em_gl_alpha_test: INTEGER is 0x0BC0
-- 	Em_gl_alpha_test_ref: INTEGER is 0x0BC2
-- 	Em_gl_alpha_test_func: INTEGER is 0x0BC1
-- 
-- 	-- Blending
-- 	Em_gl_blend: INTEGER is 0x0BE2
-- 	Em_gl_blend_src: INTEGER is 0x0BE1
-- 	Em_gl_blend_dst: INTEGER is 0x0BE0
-- 	Em_gl_zero: INTEGER is 0x0
-- 	Em_gl_one: INTEGER is 0x1
-- 	Em_gl_src_color: INTEGER is 0x0300
-- 	Em_gl_one_minus_src_color: INTEGER is 0x0301
-- 	Em_gl_src_alpha: INTEGER is 0x0302
-- 	Em_gl_one_minus_src_alpha: INTEGER is 0x0303
-- 	Em_gl_dst_alpha: INTEGER is 0x0304
-- 	Em_gl_one_minus_dst_alpha: INTEGER is 0x0305
-- 	Em_gl_dst_color: INTEGER is 0x0306
-- 	Em_gl_one_minus_dst_color: INTEGER is 0x0307
-- 	Em_gl_src_alpha_saturate: INTEGER is 0x0308
-- --	Em_gl_constant_color: INTEGER is 0x8001
-- --	Em_gl_one_minus_constant_color: INTEGER is 0x8002
-- --	Em_gl_constant_alpha: INTEGER is 0x8003
-- --	Em_gl_one_minus_constant_alpha: INTEGER is 0x8004
-- 
-- 	-- Render Mode
-- 	Em_gl_feedback: INTEGER is 0x1C01
-- 	Em_gl_render: INTEGER is 0x1C00
-- 	Em_gl_select: INTEGER is 0x1C02
-- 
-- 	-- Feedback
-- 	Em_gl_2d: INTEGER is 0x0600
-- 	Em_gl_3d: INTEGER is 0x0601
-- 	Em_gl_3d_color: INTEGER is 0x0602
-- 	Em_gl_3d_color_texture: INTEGER is 0x0603
-- 	Em_gl_4d_color_texture: INTEGER is 0x0604
-- 	Em_gl_point_token: INTEGER is 0x0701
-- 	Em_gl_line_token: INTEGER is 0x0702
-- 	Em_gl_line_reset_token: INTEGER is 0x0707
-- 	Em_gl_polygon_token: INTEGER is 0x0703
-- 	Em_gl_bitmap_token: INTEGER is 0x0704
-- 	Em_gl_draw_pixel_token: INTEGER is 0x0705
-- 	Em_gl_copy_pixel_token: INTEGER is 0x0706
-- 	Em_gl_pass_through_token: INTEGER is 0x0700
-- 	Em_gl_feedback_buffer_pointer: INTEGER is 0x0DF0
-- 	Em_gl_feedback_buffer_size: INTEGER is 0x0DF1
-- 	Em_gl_feedback_buffer_type: INTEGER is 0x0DF2
-- 
-- 	-- Selection
-- 	Em_gl_selection_buffer_pointer: INTEGER is 0x0DF3
-- 	Em_gl_selection_buffer_size: INTEGER is 0x0DF4
-- 
-- 	-- Fog
-- 	Em_gl_fog: INTEGER is 0x0B60
-- 	Em_gl_fog_mode: INTEGER is 0x0B65
-- 	Em_gl_fog_density: INTEGER is 0x0B62
-- 	Em_gl_fog_color: INTEGER is 0x0B66
-- 	Em_gl_fog_index: INTEGER is 0x0B61
-- 	Em_gl_fog_start: INTEGER is 0x0B63
-- 	Em_gl_fog_end: INTEGER is 0x0B64
-- 	Em_gl_linear: INTEGER is 0x2601
-- 	Em_gl_exp: INTEGER is 0x0800
-- 	Em_gl_exp2: INTEGER is 0x0801
-- 
-- 	-- Logic Ops
-- 	Em_gl_logic_op: INTEGER is 0x0BF1
-- 	Em_gl_index_logic_op: INTEGER is 0x0BF1
-- 	Em_gl_color_logic_op: INTEGER is 0x0BF2
-- 	Em_gl_logic_op_mode: INTEGER is 0x0BF0
-- 	Em_gl_clear: INTEGER is 0x1500
-- 	Em_gl_set: INTEGER is 0x150F
-- 	Em_gl_copy: INTEGER is 0x1503
-- 	Em_gl_copy_inverted: INTEGER is 0x150C
-- 	Em_gl_noop: INTEGER is 0x1505
-- 	Em_gl_invert: INTEGER is 0x150A
-- 	Em_gl_and: INTEGER is 0x1501
-- 	Em_gl_nand: INTEGER is 0x150E
-- 	Em_gl_or: INTEGER is 0x1507
-- 	Em_gl_nor: INTEGER is 0x1508
-- 	Em_gl_xor: INTEGER is 0x1506
-- 	Em_gl_equiv: INTEGER is 0x1509
-- 	Em_gl_and_reverse: INTEGER is 0x1502
-- 	Em_gl_and_inverted: INTEGER is 0x1504
-- 	Em_gl_or_reverse: INTEGER is 0x150B
-- 	Em_gl_or_inverted: INTEGER is 0x150D
-- 
-- 	-- Stencil
-- 	Em_gl_stencil_test: INTEGER is 0x0B90
-- 	Em_gl_stencil_writemask: INTEGER is 0x0B98
-- 	Em_gl_stencil_bits: INTEGER is 0x0D57
-- 	Em_gl_stencil_func: INTEGER is 0x0B92
-- 	Em_gl_stencil_value_mask: INTEGER is 0x0B93
-- 	Em_gl_stencil_ref: INTEGER is 0x0B97
-- 	Em_gl_stencil_fail: INTEGER is 0x0B94
-- 	Em_gl_stencil_pass_depth_pass: INTEGER is 0x0B96
-- 	Em_gl_stencil_pass_depth_fail: INTEGER is 0x0B95
-- 	Em_gl_stencil_clear_value: INTEGER is 0x0B91
-- 	Em_gl_stencil_index: INTEGER is 0x1901
-- 	Em_gl_keep: INTEGER is 0x1E00
-- 	Em_gl_replace: INTEGER is 0x1E01
-- 	Em_gl_incr: INTEGER is 0x1E02
-- 	Em_gl_decr: INTEGER is 0x1E03
-- 
-- 	-- Buffers, Pixel Drawing/Reading
-- 	Em_gl_none: INTEGER is 0x0
-- 	Em_gl_left: INTEGER is 0x0406
-- 	Em_gl_right: INTEGER is 0x0407
-- 	--Em_gl_front: INTEGER is 0x0404 (already defined under Polygons)
-- 	--Em_gl_back: INTEGER is 0x0405 (already defined under Polygons)
-- 	--Em_gl_front_and_back: INTEGER is 0x0408 (already defined under Lighting)
-- 	Em_gl_front_left: INTEGER is 0x0400
-- 	Em_gl_front_right: INTEGER is 0x0401
-- 	Em_gl_back_left: INTEGER is 0x0402
-- 	Em_gl_back_right: INTEGER is 0x0403
-- 	Em_gl_aux0: INTEGER is 0x0409
-- 	Em_gl_aux1: INTEGER is 0x040A
-- 	Em_gl_aux2: INTEGER is 0x040B
-- 	Em_gl_aux3: INTEGER is 0x040C
-- 	Em_gl_color_index: INTEGER is 0x1900
-- 	Em_gl_red: INTEGER is 0x1903
-- 	Em_gl_green: INTEGER is 0x1904
-- 	Em_gl_blue: INTEGER is 0x1905
-- 	Em_gl_alpha: INTEGER is 0x1906
-- 	Em_gl_luminance: INTEGER is 0x1909
-- 	Em_gl_luminance_alpha: INTEGER is 0x190A
-- 	Em_gl_alpha_bits: INTEGER is 0x0D55
-- 	Em_gl_red_bits: INTEGER is 0x0D52
-- 	Em_gl_green_bits: INTEGER is 0x0D53
-- 	Em_gl_blue_bits: INTEGER is 0x0D54
-- 	Em_gl_index_bits: INTEGER is 0x0D51
-- 	Em_gl_subpixel_bits: INTEGER is 0x0D50
-- 	Em_gl_aux_buffers: INTEGER is 0x0C00
-- 	Em_gl_read_buffer: INTEGER is 0x0C02
-- 	Em_gl_draw_buffer: INTEGER is 0x0C01
-- 	Em_gl_doublebuffer: INTEGER is 0x0C32
-- 	Em_gl_stereo: INTEGER is 0x0C33
-- 	Em_gl_bitmap: INTEGER is 0x1A00
-- 	Em_gl_color: INTEGER is 0x1800
-- 	Em_gl_depth: INTEGER is 0x1801
-- 	Em_gl_stencil: INTEGER is 0x1802
-- 	Em_gl_dither: INTEGER is 0x0BD0
-- 	Em_gl_rgb: INTEGER is 0x1907
-- 	Em_gl_rgba: INTEGER is 0x1908
-- 
-- 	-- Implementation limits
-- 	Em_gl_max_list_nesting: INTEGER is 0x0B31
-- 	Em_gl_max_attrib_stack_depth: INTEGER is 0x0D35
-- 	Em_gl_max_modelview_stack_depth: INTEGER is 0x0D36
-- 	Em_gl_max_name_stack_depth: INTEGER is 0x0D37
-- 	Em_gl_max_projection_stack_depth: INTEGER is 0x0D38
-- 	Em_gl_max_texture_stack_depth: INTEGER is 0x0D39
-- 	Em_gl_max_eval_order: INTEGER is 0x0D30
-- 	Em_gl_max_lights: INTEGER is 0x0D31
-- 	Em_gl_max_clip_planes: INTEGER is 0x0D32
-- 	Em_gl_max_texture_size: INTEGER is 0x0D33
-- 	Em_gl_max_pixel_map_table: INTEGER is 0x0D34
-- 	Em_gl_max_viewport_dims: INTEGER is 0x0D3A
-- 	Em_gl_max_client_attrib_stack_depth: INTEGER is 0x0D3B
-- 
-- 	-- Gets
-- 	Em_gl_attrib_stack_depth: INTEGER is 0x0BB0
-- 	Em_gl_client_attrib_stack_depth: INTEGER is 0x0BB1
-- 	Em_gl_color_clear_value: INTEGER is 0x0C22
-- 	Em_gl_color_writemask: INTEGER is 0x0C23
-- 	Em_gl_current_index: INTEGER is 0x0B01
-- 	Em_gl_current_color: INTEGER is 0x0B00
-- 	Em_gl_current_normal: INTEGER is 0x0B02
-- 	Em_gl_current_raster_color: INTEGER is 0x0B04
-- 	Em_gl_current_raster_distance: INTEGER is 0x0B09
-- 	Em_gl_current_raster_index: INTEGER is 0x0B05
-- 	Em_gl_current_raster_position: INTEGER is 0x0B07
-- 	Em_gl_current_raster_texture_coords: INTEGER is 0x0B06
-- 	Em_gl_current_raster_position_valid: INTEGER is 0x0B08
-- 	Em_gl_current_texture_coords: INTEGER is 0x0B03
-- 	Em_gl_index_clear_value: INTEGER is 0x0C20
-- 	Em_gl_index_mode: INTEGER is 0x0C30
-- 	Em_gl_index_writemask: INTEGER is 0x0C21
-- 	Em_gl_modelview_matrix: INTEGER is 0x0BA6
-- 	Em_gl_modelview_stack_depth: INTEGER is 0x0BA3
-- 	Em_gl_name_stack_depth: INTEGER is 0x0D70
-- 	Em_gl_projection_matrix: INTEGER is 0x0BA7
-- 	Em_gl_projection_stack_depth: INTEGER is 0x0BA4
-- 	Em_gl_render_mode: INTEGER is 0x0C40
-- 	Em_gl_rgba_mode: INTEGER is 0x0C31
-- 	Em_gl_texture_matrix: INTEGER is 0x0BA8
-- 	Em_gl_texture_stack_depth: INTEGER is 0x0BA5
-- 	Em_gl_viewport: INTEGER is 0x0BA2
-- 
-- 	--Evaluators
-- 	Em_gl_auto_normal: INTEGER is 0x0D80
-- 	Em_gl_map1_color_4: INTEGER is 0x0D90
-- 	Em_gl_map1_grid_domain: INTEGER is 0x0DD0
-- 	Em_gl_map1_grid_segments: INTEGER is 0x0DD1
-- 	Em_gl_map1_index: INTEGER is 0x0D91
-- 	Em_gl_map1_normal: INTEGER is 0x0D92
-- 	Em_gl_map1_texture_coord_1: INTEGER is 0x0D93
-- 	Em_gl_map1_texture_coord_2: INTEGER is 0x0D94
-- 	Em_gl_map1_texture_coord_3: INTEGER is 0x0D95
-- 	Em_gl_map1_texture_coord_4: INTEGER is 0x0D96
-- 	Em_gl_map1_vertex_3: INTEGER is 0x0D97
-- 	Em_gl_map1_vertex_4: INTEGER is 0x0D98
-- 	Em_gl_map2_color_4: INTEGER is 0x0DB0
-- 	Em_gl_map2_grid_domain: INTEGER is 0x0DD2
-- 	Em_gl_map2_grid_segments: INTEGER is 0x0DD3
-- 	Em_gl_map2_index: INTEGER is 0x0DB1
-- 	Em_gl_map2_normal: INTEGER is 0x0DB2
-- 	Em_gl_map2_texture_coord_1: INTEGER is 0x0DB3
-- 	Em_gl_map2_texture_coord_2: INTEGER is 0x0DB4
-- 	Em_gl_map2_texture_coord_3: INTEGER is 0x0DB5
-- 	Em_gl_map2_texture_coord_4: INTEGER is 0x0DB6
-- 	Em_gl_map2_vertex_3: INTEGER is 0x0DB7
-- 	Em_gl_map2_vertex_4: INTEGER is 0x0DB8
-- 	Em_gl_coeff: INTEGER is 0x0A00
-- 	Em_gl_domain: INTEGER is 0x0A02
-- 	Em_gl_order: INTEGER is 0x0A01
-- 
-- 	-- Hints
-- 	Em_gl_fog_hint: INTEGER is 0x0C54
-- 	Em_gl_line_smooth_hint: INTEGER is 0x0C52
-- 	Em_gl_perspective_correction_hint: INTEGER is 0x0C50
-- 	Em_gl_point_smooth_hint: INTEGER is 0x0C51
-- 	Em_gl_polygon_smooth_hint: INTEGER is 0x0C53
-- 	Em_gl_dont_care: INTEGER is 0x1100
-- 	Em_gl_fastest: INTEGER is 0x1101
-- 	Em_gl_nicest: INTEGER is 0x1102
-- 
-- 	-- Scissor box
-- 	Em_gl_scissor_test: INTEGER is 0x0C11
-- 	Em_gl_scissor_box: INTEGER is 0x0C10
-- 
-- 	-- Pixel Mode / Transfer
-- 	Em_gl_map_color: INTEGER is 0x0D10
-- 	Em_gl_map_stencil: INTEGER is 0x0D11
-- 	Em_gl_index_shift: INTEGER is 0x0D12
-- 	Em_gl_index_offset: INTEGER is 0x0D13
-- 	Em_gl_red_scale: INTEGER is 0x0D14
-- 	Em_gl_red_bias: INTEGER is 0x0D15
-- 	Em_gl_green_scale: INTEGER is 0x0D18
-- 	Em_gl_green_bias: INTEGER is 0x0D19
-- 	Em_gl_blue_scale: INTEGER is 0x0D1A
-- 	Em_gl_blue_bias: INTEGER is 0x0D1B
-- 	Em_gl_alpha_scale: INTEGER is 0x0D1C
-- 	Em_gl_alpha_bias: INTEGER is 0x0D1D
-- 	Em_gl_depth_scale: INTEGER is 0x0D1E
-- 	Em_gl_depth_bias: INTEGER is 0x0D1F
-- 	Em_gl_pixel_map_s_to_s_size: INTEGER is 0x0CB1
-- 	Em_gl_pixel_map_i_to_i_size: INTEGER is 0x0CB0
-- 	Em_gl_pixel_map_i_to_r_size: INTEGER is 0x0CB2
-- 	Em_gl_pixel_map_i_to_g_size: INTEGER is 0x0CB3
-- 	Em_gl_pixel_map_i_to_b_size: INTEGER is 0x0CB4
-- 	Em_gl_pixel_map_i_to_a_size: INTEGER is 0x0CB5
-- 	Em_gl_pixel_map_r_to_r_size: INTEGER is 0x0CB6
-- 	Em_gl_pixel_map_g_to_g_size: INTEGER is 0x0CB7
-- 	Em_gl_pixel_map_b_to_b_size: INTEGER is 0x0CB8
-- 	Em_gl_pixel_map_a_to_a_size: INTEGER is 0x0CB9
-- 	Em_gl_pixel_map_s_to_s: INTEGER is 0x0C71
-- 	Em_gl_pixel_map_i_to_i: INTEGER is 0x0C70
-- 	Em_gl_pixel_map_i_to_r: INTEGER is 0x0C72
-- 	Em_gl_pixel_map_i_to_g: INTEGER is 0x0C73
-- 	Em_gl_pixel_map_i_to_b: INTEGER is 0x0C74
-- 	Em_gl_pixel_map_i_to_a: INTEGER is 0x0C75
-- 	Em_gl_pixel_map_r_to_r: INTEGER is 0x0C76
-- 	Em_gl_pixel_map_g_to_g: INTEGER is 0x0C77
-- 	Em_gl_pixel_map_b_to_b: INTEGER is 0x0C78
-- 	Em_gl_pixel_map_a_to_a: INTEGER is 0x0C79
-- 	Em_gl_pack_alignment: INTEGER is 0x0D05
-- 	Em_gl_pack_lsb_first: INTEGER is 0x0D01
-- 	Em_gl_pack_row_length: INTEGER is 0x0D02
-- 	Em_gl_pack_skip_pixels: INTEGER is 0x0D04
-- 	Em_gl_pack_skip_rows: INTEGER is 0x0D03
-- 	Em_gl_pack_swap_bytes: INTEGER is 0x0D00
-- 	Em_gl_unpack_alignment: INTEGER is 0x0CF5
-- 	Em_gl_unpack_lsb_first: INTEGER is 0x0CF1
-- 	Em_gl_unpack_row_length: INTEGER is 0x0CF2
-- 	Em_gl_unpack_skip_pixels: INTEGER is 0x0CF4
-- 	Em_gl_unpack_skip_rows: INTEGER is 0x0CF3
-- 	Em_gl_unpack_swap_bytes: INTEGER is 0x0CF0
-- 	Em_gl_zoom_x: INTEGER is 0x0D16
-- 	Em_gl_zoom_y: INTEGER is 0x0D17
-- 
-- 	-- Texture mapping
-- 	Em_gl_texture_env: INTEGER is 0x2300
-- 	Em_gl_texture_env_mode: INTEGER is 0x2200
-- 	Em_gl_texture_1d: INTEGER is 0x0DE0
-- 	Em_gl_texture_2d: INTEGER is 0x0DE1
-- 	Em_gl_texture_wrap_s: INTEGER is 0x2802
-- 	Em_gl_texture_wrap_t: INTEGER is 0x2803
-- 	Em_gl_texture_mag_filter: INTEGER is 0x2800
-- 	Em_gl_texture_min_filter: INTEGER is 0x2801
-- 	Em_gl_texture_env_color: INTEGER is 0x2201
-- 	Em_gl_texture_gen_s: INTEGER is 0x0C60
-- 	Em_gl_texture_gen_t: INTEGER is 0x0C61
-- 	Em_gl_texture_gen_mode: INTEGER is 0x2500
-- 	Em_gl_texture_border_color: INTEGER is 0x1004
-- 	Em_gl_texture_width: INTEGER is 0x1000
-- 	Em_gl_texture_height: INTEGER is 0x1001
-- 	Em_gl_texture_border: INTEGER is 0x1005
-- 	Em_gl_texture_components: INTEGER is 0x1003
-- 	Em_gl_texture_red_size: INTEGER is 0x805C
-- 	Em_gl_texture_green_size: INTEGER is 0x805D
-- 	Em_gl_texture_blue_size: INTEGER is 0x805E
-- 	Em_gl_texture_alpha_size: INTEGER is 0x805F
-- 	Em_gl_texture_luminance_size: INTEGER is 0x8060
-- 	Em_gl_texture_intensity_size: INTEGER is 0x8061
-- 	Em_gl_nearest_mipmap_nearest: INTEGER is 0x2700
-- 	Em_gl_nearest_mipmap_linear: INTEGER is 0x2702
-- 	Em_gl_linear_mipmap_nearest: INTEGER is 0x2701
-- 	Em_gl_linear_mipmap_linear: INTEGER is 0x2703
-- 	Em_gl_object_linear: INTEGER is 0x2401
-- 	Em_gl_object_plane: INTEGER is 0x2501
-- 	Em_gl_eye_linear: INTEGER is 0x2400
-- 	Em_gl_eye_plane: INTEGER is 0x2502
-- 	Em_gl_sphere_map: INTEGER is 0x2402
-- 	Em_gl_decal: INTEGER is 0x2101
-- 	Em_gl_modulate: INTEGER is 0x2100
-- 	Em_gl_nearest: INTEGER is 0x2600
-- 	Em_gl_repeat: INTEGER is 0x2901
-- 	Em_gl_clamp: INTEGER is 0x2900
-- 	Em_gl_s: INTEGER is 0x2000
-- 	Em_gl_t: INTEGER is 0x2001
-- 	Em_gl_r: INTEGER is 0x2002
-- 	Em_gl_q: INTEGER is 0x2003
-- 	Em_gl_texture_gen_r: INTEGER is 0x0C62
-- 	Em_gl_texture_gen_q: INTEGER is 0x0C63
-- 
-- 	-- Utility
-- 	Em_gl_vendor: INTEGER is 0x1F00
-- 	Em_gl_renderer: INTEGER is 0x1F01
-- 	Em_gl_version: INTEGER is 0x1F02
-- 	Em_gl_extensions: INTEGER is 0x1F03
-- 
-- 	-- Errors
-- 	Em_gl_no_error: INTEGER is 0x0
-- 	Em_gl_invalid_value: INTEGER is 0x0501
-- 	Em_gl_invalid_enum: INTEGER is 0x0500
-- 	Em_gl_invalid_operation: INTEGER is 0x0502
-- 	Em_gl_stack_overflow: INTEGER is 0x0503
-- 	Em_gl_stack_underflow: INTEGER is 0x0504
-- 	Em_gl_out_of_memory: INTEGER is 0x0505
-- 
-- 	-- glPush/PopAttrib bits
-- 	Em_gl_current_bit: INTEGER is 0x00000001
-- 	Em_gl_point_bit: INTEGER is 0x00000002
-- 	Em_gl_line_bit: INTEGER is 0x00000004
-- 	Em_gl_polygon_bit: INTEGER is 0x00000008
-- 	Em_gl_polygon_stipple_bit: INTEGER is 0x00000010
-- 	Em_gl_pixel_mode_bit: INTEGER is 0x00000020
-- 	Em_gl_lighting_bit: INTEGER is 0x00000040
-- 	Em_gl_fog_bit: INTEGER is 0x00000080
-- 	Em_gl_depth_buffer_bit: INTEGER is 0x00000100
-- 	Em_gl_accum_buffer_bit: INTEGER is 0x00000200
-- 	Em_gl_stencil_buffer_bit: INTEGER is 0x00000400
-- 	Em_gl_viewport_bit: INTEGER is 0x00000800
-- 	Em_gl_transform_bit: INTEGER is 0x00001000
-- 	Em_gl_enable_bit: INTEGER is 0x00002000
-- 	Em_gl_color_buffer_bit: INTEGER is 0x00004000
-- 	Em_gl_hint_bit: INTEGER is 0x00008000
-- 	Em_gl_eval_bit: INTEGER is 0x00010000
-- 	Em_gl_list_bit: INTEGER is 0x00020000
-- 	Em_gl_texture_bit: INTEGER is 0x00040000
-- 	Em_gl_scissor_bit: INTEGER is 0x00080000
-- 	Em_gl_all_attrib_bits: INTEGER is 0x000FFFFF
-- 
-- 	-- OpenGL 1.1
-- 	Em_gl_proxy_texture_1d: INTEGER is 0x8063
-- 	Em_gl_proxy_texture_2d: INTEGER is 0x8064
-- 	Em_gl_texture_priority: INTEGER is 0x8066
-- 	Em_gl_texture_resident: INTEGER is 0x8067
-- 	Em_gl_texture_binding_1d: INTEGER is 0x8068
-- 	Em_gl_texture_binding_2d: INTEGER is 0x8069
-- 	Em_gl_texture_internal_format: INTEGER is 0x1003
-- 	Em_gl_alpha4: INTEGER is 0x803B
-- 	Em_gl_alpha8: INTEGER is 0x803C
-- 	Em_gl_alpha12: INTEGER is 0x803D
-- 	Em_gl_alpha16: INTEGER is 0x803E
-- 	Em_gl_luminance4: INTEGER is 0x803F
-- 	Em_gl_luminance8: INTEGER is 0x8040
-- 	Em_gl_luminance12: INTEGER is 0x8041
-- 	Em_gl_luminance16: INTEGER is 0x8042
-- 	Em_gl_luminance4_alpha4: INTEGER is 0x8043
-- 	Em_gl_luminance6_alpha2: INTEGER is 0x8044
-- 	Em_gl_luminance8_alpha8: INTEGER is 0x8045
-- 	Em_gl_luminance12_alpha4: INTEGER is 0x8046
-- 	Em_gl_luminance12_alpha12: INTEGER is 0x8047
-- 	Em_gl_luminance16_alpha16: INTEGER is 0x8048
-- 	Em_gl_intensity: INTEGER is 0x8049
-- 	Em_gl_intensity4: INTEGER is 0x804A
-- 	Em_gl_intensity8: INTEGER is 0x804B
-- 	Em_gl_intensity12: INTEGER is 0x804C
-- 	Em_gl_intensity16: INTEGER is 0x804D
-- 	Em_gl_r3_g3_b2: INTEGER is 0x2A10
-- 	Em_gl_rgb4: INTEGER is 0x804F
-- 	Em_gl_rgb5: INTEGER is 0x8050
-- 	Em_gl_rgb8: INTEGER is 0x8051
-- 	Em_gl_rgb10: INTEGER is 0x8052
-- 	Em_gl_rgb12: INTEGER is 0x8053
-- 	Em_gl_rgb16: INTEGER is 0x8054
-- 	Em_gl_rgba2: INTEGER is 0x8055
-- 	Em_gl_rgba4: INTEGER is 0x8056
-- 	Em_gl_rgb5_a1: INTEGER is 0x8057
-- 	Em_gl_rgba8: INTEGER is 0x8058
-- 	Em_gl_rgb10_a2: INTEGER is 0x8059
-- 	Em_gl_rgba12: INTEGER is 0x805A
-- 	Em_gl_rgba16: INTEGER is 0x805B
-- 	Em_gl_client_pixel_store_bit: INTEGER is 0x00000001
-- 	Em_gl_client_vertex_array_bit: INTEGER is 0x00000002
-- 	Em_gl_all_client_attrib_bits: INTEGER is 0xFFFFFFFF
-- 	Em_gl_client_all_attrib_bits: INTEGER is 0xFFFFFFFF
-- 
-- --	-- OpenGL 1.2
-- --	Em_gl_rescale_normal: INTEGER is 0x803A
-- --	Em_gl_clamp_to_edge: INTEGER is 0x812F
-- --	Em_gl_max_elements_vertices: INTEGER is 0x80E8
-- --	Em_gl_max_elements_indices: INTEGER is 0x80E9
-- --	Em_gl_bgr: INTEGER is 0x80E0
-- --	Em_gl_bgra: INTEGER is 0x80E1
-- --	Em_gl_unsigned_byte_3_3_2: INTEGER is 0x8032
-- --	Em_gl_unsigned_byte_2_3_3_rev: INTEGER is 0x8362
-- --	Em_gl_unsigned_short_5_6_5: INTEGER is 0x8363
-- --	Em_gl_unsigned_short_5_6_5_rev: INTEGER is 0x8364
-- --	Em_gl_unsigned_short_4_4_4_4: INTEGER is 0x8033
-- --	Em_gl_unsigned_short_4_4_4_4_rev: INTEGER is 0x8365
-- --	Em_gl_unsigned_short_5_5_5_1: INTEGER is 0x8034
-- --	Em_gl_unsigned_short_1_5_5_5_rev: INTEGER is 0x8366
-- --	Em_gl_unsigned_int_8_8_8_8: INTEGER is 0x8035
-- --	Em_gl_unsigned_int_8_8_8_8_rev: INTEGER is 0x8367
-- --	Em_gl_unsigned_int_10_10_10_2: INTEGER is 0x8036
-- --	Em_gl_unsigned_int_2_10_10_10_rev: INTEGER is 0x8368
-- --	Em_gl_light_model_color_control: INTEGER is 0x81F8
-- --	Em_gl_single_color: INTEGER is 0x81F9
-- --	Em_gl_separate_specular_color: INTEGER is 0x81FA
-- --	Em_gl_texture_min_lod: INTEGER is 0x813A
-- --	Em_gl_texture_max_lod: INTEGER is 0x813B
-- --	Em_gl_texture_base_level: INTEGER is 0x813C
-- --	Em_gl_texture_max_level: INTEGER is 0x813D
-- --	Em_gl_smooth_point_size_range: INTEGER is 0x0B12
-- --	Em_gl_smooth_point_size_granularity: INTEGER is 0x0B13
-- --	Em_gl_smooth_line_width_range: INTEGER is 0x0B22
-- --	Em_gl_smooth_line_width_granularity: INTEGER is 0x0B23
-- --	Em_gl_aliased_point_size_range: INTEGER is 0x846D
-- --	Em_gl_aliased_line_width_range: INTEGER is 0x846E
-- --	Em_gl_pack_skip_images: INTEGER is 0x806B
-- --	Em_gl_pack_image_height: INTEGER is 0x806C
-- --	Em_gl_unpack_skip_images: INTEGER is 0x806D
-- --	Em_gl_unpack_image_height: INTEGER is 0x806E
-- --	Em_gl_texture_3d: INTEGER is 0x806F
-- --	Em_gl_proxy_texture_3d: INTEGER is 0x8070
-- --	Em_gl_texture_depth: INTEGER is 0x8071
-- --	Em_gl_texture_wrap_r: INTEGER is 0x8072
-- --	Em_gl_max_3d_texture_size: INTEGER is 0x8073
-- --	Em_gl_texture_binding_3d: INTEGER is 0x806A
-- 
-- --	-- OpenGL 1.2 imaging subset
-- --	-- GL_EXT_color_table
-- --	Em_gl_color_table: INTEGER is 0x80D0
-- --	Em_gl_post_convolution_color_table: INTEGER is 0x80D1
-- --	Em_gl_post_color_matrix_color_table: INTEGER is 0x80D2
-- --	Em_gl_proxy_color_table: INTEGER is 0x80D3
-- --	Em_gl_proxy_post_convolution_color_table: INTEGER is 0x80D4
-- --	Em_gl_proxy_post_color_matrix_color_table: INTEGER is 0x80D5
-- --	Em_gl_color_table_scale: INTEGER is 0x80D6
-- --	Em_gl_color_table_bias: INTEGER is 0x80D7
-- --	Em_gl_color_table_format: INTEGER is 0x80D8
-- --	Em_gl_color_table_width: INTEGER is 0x80D9
-- --	Em_gl_color_table_red_size: INTEGER is 0x80DA
-- --	Em_gl_color_table_green_size: INTEGER is 0x80DB
-- --	Em_gl_color_table_blue_size: INTEGER is 0x80DC
-- --	Em_gl_color_table_alpha_size: INTEGER is 0x80DD
-- --	Em_gl_color_table_luminance_size: INTEGER is 0x80DE
-- --	Em_gl_color_table_intensity_size: INTEGER is 0x80DF
-- --	-- GL_EXT_convolution and GL_HP_convolution_border_modes
-- --	Em_gl_convolution_1d: INTEGER is 0x8010
-- --	Em_gl_convolution_2d: INTEGER is 0x8011
-- --	Em_gl_separable_2d: INTEGER is 0x8012
-- --	Em_gl_convolution_border_mode: INTEGER is 0x8013
-- --	Em_gl_convolution_filter_scale: INTEGER is 0x8014
-- --	Em_gl_convolution_filter_bias: INTEGER is 0x8015
-- --	Em_gl_reduce: INTEGER is 0x8016
-- --	Em_gl_convolution_format: INTEGER is 0x8017
-- --	Em_gl_convolution_width: INTEGER is 0x8018
-- --	Em_gl_convolution_height: INTEGER is 0x8019
-- --	Em_gl_max_convolution_width: INTEGER is 0x801A
-- --	Em_gl_max_convolution_height: INTEGER is 0x801B
-- --	Em_gl_post_convolution_red_scale: INTEGER is 0x801C
-- --	Em_gl_post_convolution_green_scale: INTEGER is 0x801D
-- --	Em_gl_post_convolution_blue_scale: INTEGER is 0x801E
-- --	Em_gl_post_convolution_alpha_scale: INTEGER is 0x801F
-- --	Em_gl_post_convolution_red_bias: INTEGER is 0x8020
-- --	Em_gl_post_convolution_green_bias: INTEGER is 0x8021
-- --	Em_gl_post_convolution_blue_bias: INTEGER is 0x8022
-- --	Em_gl_post_convolution_alpha_bias: INTEGER is 0x8023
-- --	Em_gl_constant_border: INTEGER is 0x8151
-- --	Em_gl_replicate_border: INTEGER is 0x8153
-- --	Em_gl_convolution_border_color: INTEGER is 0x8154
-- --	-- GL_SGI_color_matrix
-- --	Em_gl_color_matrix: INTEGER is 0x80B1
-- --	Em_gl_color_matrix_stack_depth: INTEGER is 0x80B2
-- --	Em_gl_max_color_matrix_stack_depth: INTEGER is 0x80B3
-- --	Em_gl_post_color_matrix_red_scale: INTEGER is 0x80B4
-- --	Em_gl_post_color_matrix_green_scale: INTEGER is 0x80B5
-- --	Em_gl_post_color_matrix_blue_scale: INTEGER is 0x80B6
-- --	Em_gl_post_color_matrix_alpha_scale: INTEGER is 0x80B7
-- --	Em_gl_post_color_matrix_red_bias: INTEGER is 0x80B8
-- --	Em_gl_post_color_matrix_green_bias: INTEGER is 0x80B9
-- --	Em_gl_post_color_matrix_blue_bias: INTEGER is 0x80BA
-- --	Em_gl_post_color_matrix_alpha_bias: INTEGER is 0x80BB
-- --	-- GL_EXT_histogram
-- --	Em_gl_histogram: INTEGER is 0x8024
-- --	Em_gl_proxy_histogram: INTEGER is 0x8025
-- --	Em_gl_histogram_width: INTEGER is 0x8026
-- --	Em_gl_histogram_format: INTEGER is 0x8027
-- --	Em_gl_histogram_red_size: INTEGER is 0x8028
-- --	Em_gl_histogram_green_size: INTEGER is 0x8029
-- --	Em_gl_histogram_blue_size: INTEGER is 0x802A
-- --	Em_gl_histogram_alpha_size: INTEGER is 0x802B
-- --	Em_gl_histogram_luminance_size: INTEGER is 0x802C
-- --	Em_gl_histogram_sink: INTEGER is 0x802D
-- --	Em_gl_minmax: INTEGER is 0x802E
-- --	Em_gl_minmax_format: INTEGER is 0x802F
-- --	Em_gl_minmax_sink: INTEGER is 0x8030
-- --	Em_gl_table_too_large: INTEGER is 0x8031
-- --	-- GL_EXT_blend_color, GL_EXT_blend_minmax
-- --	Em_gl_blend_equation: INTEGER is 0x8009
-- --	Em_gl_min: INTEGER is 0x8007
-- --	Em_gl_max: INTEGER is 0x8008
-- --	Em_gl_func_add: INTEGER is 0x8006
-- --	Em_gl_func_subtract: INTEGER is 0x800A
-- --	Em_gl_func_reverse_subtract: INTEGER is 0x800B
-- --	Em_gl_blend_color: INTEGER is 0x8005
-- --
-- --	-- OpenGL 1.3
-- --	-- multitexture
-- --	Em_gl_texture0: INTEGER is 0x84C0
-- --	Em_gl_texture1: INTEGER is 0x84C1
-- --	Em_gl_texture2: INTEGER is 0x84C2
-- --	Em_gl_texture3: INTEGER is 0x84C3
-- --	Em_gl_texture4: INTEGER is 0x84C4
-- --	Em_gl_texture5: INTEGER is 0x84C5
-- --	Em_gl_texture6: INTEGER is 0x84C6
-- --	Em_gl_texture7: INTEGER is 0x84C7
-- --	Em_gl_texture8: INTEGER is 0x84C8
-- --	Em_gl_texture9: INTEGER is 0x84C9
-- --	Em_gl_texture10: INTEGER is 0x84CA
-- --	Em_gl_texture11: INTEGER is 0x84CB
-- --	Em_gl_texture12: INTEGER is 0x84CC
-- --	Em_gl_texture13: INTEGER is 0x84CD
-- --	Em_gl_texture14: INTEGER is 0x84CE
-- --	Em_gl_texture15: INTEGER is 0x84CF
-- --	Em_gl_texture16: INTEGER is 0x84D0
-- --	Em_gl_texture17: INTEGER is 0x84D1
-- --	Em_gl_texture18: INTEGER is 0x84D2
-- --	Em_gl_texture19: INTEGER is 0x84D3
-- --	Em_gl_texture20: INTEGER is 0x84D4
-- --	Em_gl_texture21: INTEGER is 0x84D5
-- --	Em_gl_texture22: INTEGER is 0x84D6
-- --	Em_gl_texture23: INTEGER is 0x84D7
-- --	Em_gl_texture24: INTEGER is 0x84D8
-- --	Em_gl_texture25: INTEGER is 0x84D9
-- --	Em_gl_texture26: INTEGER is 0x84DA
-- --	Em_gl_texture27: INTEGER is 0x84DB
-- --	Em_gl_texture28: INTEGER is 0x84DC
-- --	Em_gl_texture29: INTEGER is 0x84DD
-- --	Em_gl_texture30: INTEGER is 0x84DE
-- --	Em_gl_texture31: INTEGER is 0x84DF
-- --	Em_gl_active_texture: INTEGER is 0x84E0
-- --	Em_gl_client_active_texture: INTEGER is 0x84E1
-- --	Em_gl_max_texture_units: INTEGER is 0x84E2
-- --	-- texture_cube_map
-- --	Em_gl_normal_map: INTEGER is 0x8511
-- --	Em_gl_reflection_map: INTEGER is 0x8512
-- --	Em_gl_texture_cube_map: INTEGER is 0x8513
-- --	Em_gl_texture_binding_cube_map: INTEGER is 0x8514
-- --	Em_gl_texture_cube_map_positive_x: INTEGER is 0x8515
-- --	Em_gl_texture_cube_map_negative_x: INTEGER is 0x8516
-- --	Em_gl_texture_cube_map_positive_y: INTEGER is 0x8517
-- --	Em_gl_texture_cube_map_negative_y: INTEGER is 0x8518
-- --	Em_gl_texture_cube_map_positive_z: INTEGER is 0x8519
-- --	Em_gl_texture_cube_map_negative_z: INTEGER is 0x851A
-- --	Em_gl_proxy_texture_cube_map: INTEGER is 0x851B
-- --	Em_gl_max_cube_map_texture_size: INTEGER is 0x851C
-- --	-- texture_compression
-- --	Em_gl_compressed_alpha: INTEGER is 0x84E9
-- --	Em_gl_compressed_luminance: INTEGER is 0x84EA
-- --	Em_gl_compressed_luminance_alpha: INTEGER is 0x84EB
-- --	Em_gl_compressed_intensity: INTEGER is 0x84EC
-- --	Em_gl_compressed_rgb: INTEGER is 0x84ED
-- --	Em_gl_compressed_rgba: INTEGER is 0x84EE
-- --	Em_gl_texture_compression_hint: INTEGER is 0x84EF
-- --	Em_gl_texture_compressed_image_size: INTEGER is 0x86A0
-- --	Em_gl_texture_compressed: INTEGER is 0x86A1
-- --	Em_gl_num_compressed_texture_formats: INTEGER is 0x86A2
-- --	Em_gl_compressed_texture_formats: INTEGER is 0x86A3
-- --	-- multisample
-- --	Em_gl_multisample: INTEGER is 0x809D
-- --	Em_gl_sample_alpha_to_coverage: INTEGER is 0x809E
-- --	Em_gl_sample_alpha_to_one: INTEGER is 0x809F
-- --	Em_gl_sample_coverage: INTEGER is 0x80A0
-- --	Em_gl_sample_buffers: INTEGER is 0x80A8
-- --	Em_gl_samples: INTEGER is 0x80A9
-- --	Em_gl_sample_coverage_value: INTEGER is 0x80AA
-- --	Em_gl_sample_coverage_invert: INTEGER is 0x80AB
-- --	Em_gl_multisample_bit: INTEGER is 0x20000000
-- --	-- transpose_matrix
-- --	Em_gl_transpose_modelview_matrix: INTEGER is 0x84E3
-- --	Em_gl_transpose_projection_matrix: INTEGER is 0x84E4
-- --	Em_gl_transpose_texture_matrix: INTEGER is 0x84E5
-- --	Em_gl_transpose_color_matrix: INTEGER is 0x84E6
-- --	-- texture_env_combine
-- --	Em_gl_combine: INTEGER is 0x8570
-- --	Em_gl_combine_rgb: INTEGER is 0x8571
-- --	Em_gl_combine_alpha: INTEGER is 0x8572
-- --	Em_gl_source0_rgb: INTEGER is 0x8580
-- --	Em_gl_source1_rgb: INTEGER is 0x8581
-- --	Em_gl_source2_rgb: INTEGER is 0x8582
-- --	Em_gl_source0_alpha: INTEGER is 0x8588
-- --	Em_gl_source1_alpha: INTEGER is 0x8589
-- --	Em_gl_source2_alpha: INTEGER is 0x858A
-- --	Em_gl_operand0_rgb: INTEGER is 0x8590
-- --	Em_gl_operand1_rgb: INTEGER is 0x8591
-- --	Em_gl_operand2_rgb: INTEGER is 0x8592
-- --	Em_gl_operand0_alpha: INTEGER is 0x8598
-- --	Em_gl_operand1_alpha: INTEGER is 0x8599
-- --	Em_gl_operand2_alpha: INTEGER is 0x859A
-- --	Em_gl_rgb_scale: INTEGER is 0x8573
-- --	Em_gl_add_signed: INTEGER is 0x8574
-- --	Em_gl_interpolate: INTEGER is 0x8575
-- --	Em_gl_subtract: INTEGER is 0x84E7
-- --	Em_gl_constant: INTEGER is 0x8576
-- --	Em_gl_primary_color: INTEGER is 0x8577
-- --	Em_gl_previous: INTEGER is 0x8578
-- --	-- texture_env_dot3
-- --	Em_gl_dot3_rgb: INTEGER is 0x86AE
-- --	Em_gl_dot3_rgba: INTEGER is 0x86AF
-- --	-- texture_border_clamp
-- --	Em_gl_clamp_to_border: INTEGER is 0x812D
-- 
-- --	-- GL_ARB_multitexture (ARB extension 1 and OpenGL 1.2.1)
-- --	Em_gl_texture0_arb: INTEGER is 0x84C0
-- --	Em_gl_texture1_arb: INTEGER is 0x84C1
-- --	Em_gl_texture2_arb: INTEGER is 0x84C2
-- --	Em_gl_texture3_arb: INTEGER is 0x84C3
-- --	Em_gl_texture4_arb: INTEGER is 0x84C4
-- --	Em_gl_texture5_arb: INTEGER is 0x84C5
-- --	Em_gl_texture6_arb: INTEGER is 0x84C6
-- --	Em_gl_texture7_arb: INTEGER is 0x84C7
-- --	Em_gl_texture8_arb: INTEGER is 0x84C8
-- --	Em_gl_texture9_arb: INTEGER is 0x84C9
-- --	Em_gl_texture10_arb: INTEGER is 0x84CA
-- --	Em_gl_texture11_arb: INTEGER is 0x84CB
-- --	Em_gl_texture12_arb: INTEGER is 0x84CC
-- --	Em_gl_texture13_arb: INTEGER is 0x84CD
-- --	Em_gl_texture14_arb: INTEGER is 0x84CE
-- --	Em_gl_texture15_arb: INTEGER is 0x84CF
-- --	Em_gl_texture16_arb: INTEGER is 0x84D0
-- --	Em_gl_texture17_arb: INTEGER is 0x84D1
-- --	Em_gl_texture18_arb: INTEGER is 0x84D2
-- --	Em_gl_texture19_arb: INTEGER is 0x84D3
-- --	Em_gl_texture20_arb: INTEGER is 0x84D4
-- --	Em_gl_texture21_arb: INTEGER is 0x84D5
-- --	Em_gl_texture22_arb: INTEGER is 0x84D6
-- --	Em_gl_texture23_arb: INTEGER is 0x84D7
-- --	Em_gl_texture24_arb: INTEGER is 0x84D8
-- --	Em_gl_texture25_arb: INTEGER is 0x84D9
-- --	Em_gl_texture26_arb: INTEGER is 0x84DA
-- --	Em_gl_texture27_arb: INTEGER is 0x84DB
-- --	Em_gl_texture28_arb: INTEGER is 0x84DC
-- --	Em_gl_texture29_arb: INTEGER is 0x84DD
-- --	Em_gl_texture30_arb: INTEGER is 0x84DE
-- --	Em_gl_texture31_arb: INTEGER is 0x84DF
-- --	Em_gl_active_texture_arb: INTEGER is 0x84E0
-- --	Em_gl_client_active_texture_arb: INTEGER is 0x84E1
-- --	Em_gl_max_texture_units_arb: INTEGER is 0x84E2
-- --
-- --	-- 1. GL_EXT_abgr
-- --	Em_gl_abgr_ext: INTEGER is 0x8000
-- --
-- --	-- 2. GL_EXT_blend_color
-- --	Em_gl_constant_color_ext: INTEGER is 0x8001
-- --	Em_gl_one_minus_constant_color_ext: INTEGER is 0x8002
-- --	Em_gl_constant_alpha_ext: INTEGER is 0x8003
-- --	Em_gl_one_minus_constant_alpha_ext: INTEGER is 0x8004
-- --	Em_gl_blend_color_ext: INTEGER is 0x8005
-- --
-- --	-- 3. GL_EXT_polygon_offset
-- --	Em_gl_polygon_offset_ext: INTEGER is 0x8037
-- --	Em_gl_polygon_offset_factor_ext: INTEGER is 0x8038
-- --	Em_gl_polygon_offset_bias_ext: INTEGER is 0x8039
-- --
-- --	-- 6. GL_EXT_texture3D
-- --	Em_gl_pack_skip_images_ext: INTEGER is 0x806B
-- --	Em_gl_pack_image_height_ext: INTEGER is 0x806C
-- --	Em_gl_unpack_skip_images_ext: INTEGER is 0x806D
-- --	Em_gl_unpack_image_height_ext: INTEGER is 0x806E
-- --	Em_gl_texture_3d_ext: INTEGER is 0x806F
-- --	Em_gl_proxy_texture_3d_ext: INTEGER is 0x8070
-- --	Em_gl_texture_depth_ext: INTEGER is 0x8071
-- --	Em_gl_texture_wrap_r_ext: INTEGER is 0x8072
-- --	Em_gl_max_3d_texture_size_ext: INTEGER is 0x8073
-- --	Em_gl_texture_3d_binding_ext: INTEGER is 0x806A
-- --
-- --	-- 20. GL_EXT_texture_object
-- --	Em_gl_texture_priority_ext: INTEGER is 0x8066
-- --	Em_gl_texture_resident_ext: INTEGER is 0x8067
-- --	Em_gl_texture_1d_binding_ext: INTEGER is 0x8068
-- --	Em_gl_texture_2d_binding_ext: INTEGER is 0x8069
-- --
-- --	-- 27. GL_EXT_rescale_normal
-- --	Em_gl_rescale_normal_ext: INTEGER is 0x803A
-- --
-- --	-- 30. GL_EXT_vertex_array
-- --	Em_gl_vertex_array_ext: INTEGER is 0x8074
-- --	Em_gl_normal_array_ext: INTEGER is 0x8075
-- --	Em_gl_color_array_ext: INTEGER is 0x8076
-- --	Em_gl_index_array_ext: INTEGER is 0x8077
-- --	Em_gl_texture_coord_array_ext: INTEGER is 0x8078
-- --	Em_gl_edge_flag_array_ext: INTEGER is 0x8079
-- --	Em_gl_vertex_array_size_ext: INTEGER is 0x807A
-- --	Em_gl_vertex_array_type_ext: INTEGER is 0x807B
-- --	Em_gl_vertex_array_stride_ext: INTEGER is 0x807C
-- --	Em_gl_vertex_array_count_ext: INTEGER is 0x807D
-- --	Em_gl_normal_array_type_ext: INTEGER is 0x807E
-- --	Em_gl_normal_array_stride_ext: INTEGER is 0x807F
-- --	Em_gl_normal_array_count_ext: INTEGER is 0x8080
-- --	Em_gl_color_array_size_ext: INTEGER is 0x8081
-- --	Em_gl_color_array_type_ext: INTEGER is 0x8082
-- --	Em_gl_color_array_stride_ext: INTEGER is 0x8083
-- --	Em_gl_color_array_count_ext: INTEGER is 0x8084
-- --	Em_gl_index_array_type_ext: INTEGER is 0x8085
-- --	Em_gl_index_array_stride_ext: INTEGER is 0x8086
-- --	Em_gl_index_array_count_ext: INTEGER is 0x8087
-- --	Em_gl_texture_coord_array_size_ext: INTEGER is 0x8088
-- --	Em_gl_texture_coord_array_type_ext: INTEGER is 0x8089
-- --	Em_gl_texture_coord_array_stride_ext: INTEGER is 0x808A
-- --	Em_gl_texture_coord_array_count_ext: INTEGER is 0x808B
-- --	Em_gl_edge_flag_array_stride_ext: INTEGER is 0x808C
-- --	Em_gl_edge_flag_array_count_ext: INTEGER is 0x808D
-- --	Em_gl_vertex_array_pointer_ext: INTEGER is 0x808E
-- --	Em_gl_normal_array_pointer_ext: INTEGER is 0x808F
-- --	Em_gl_color_array_pointer_ext: INTEGER is 0x8090
-- --	Em_gl_index_array_pointer_ext: INTEGER is 0x8091
-- --	Em_gl_texture_coord_array_pointer_ext: INTEGER is 0x8092
-- --	Em_gl_edge_flag_array_pointer_ext: INTEGER is 0x8093
-- 
-- --	-- 35. GL_SGIS_texture_edge_clamp
-- --	Em_gl_clamp_to_edge_sgis: INTEGER is 0x812F
-- 
-- --	-- 37. GL_EXT_blend_minmax
-- --	Em_gl_func_add_ext: INTEGER is 0x8006
-- --	Em_gl_min_ext: INTEGER is 0x8007
-- --	Em_gl_max_ext: INTEGER is 0x8008
-- --	Em_gl_blend_equation_ext: INTEGER is 0x8009
-- --
-- --	-- 38. GL_EXT_blend_subtract (requires GL_EXT_blend_max )
-- --	Em_gl_func_reverse_subtract_ext: INTEGER is 0x800B
-- --
-- --	-- 54. GL_EXT_point_parameters
-- --	Em_gl_point_size_min_ext: INTEGER is 0x8126
-- --	Em_gl_point_size_max_ext: INTEGER is 0x8127
-- --	Em_gl_point_fade_threshold_size_ext: INTEGER is 0x8128
-- --	Em_gl_distance_attenuation_ext: INTEGER is 0x8129
-- --
-- --	-- 78. GL_EXT_paletted_texture
-- --	Em_gl_table_too_large_ext: INTEGER is 0x8031
-- --	Em_gl_color_table_format_ext: INTEGER is 0x80D8
-- --	Em_gl_color_table_width_ext: INTEGER is 0x80D9
-- --	Em_gl_color_table_red_size_ext: INTEGER is 0x80DA
-- --	Em_gl_color_table_green_size_ext: INTEGER is 0x80DB
-- --	Em_gl_color_table_blue_size_ext: INTEGER is 0x80DC
-- --	Em_gl_color_table_alpha_size_ext: INTEGER is 0x80DD
-- --	Em_gl_color_table_luminance_size_ext: INTEGER is 0x80DE
-- --	Em_gl_color_table_intensity_size_ext: INTEGER is 0x80DF
-- --	Em_gl_texture_index_size_ext: INTEGER is 0x80ED
-- --	Em_gl_color_index1_ext: INTEGER is 0x80E2
-- --	Em_gl_color_index2_ext: INTEGER is 0x80E3
-- --	Em_gl_color_index4_ext: INTEGER is 0x80E4
-- --	Em_gl_color_index8_ext: INTEGER is 0x80E5
-- --	Em_gl_color_index12_ext: INTEGER is 0x80E6
-- --	Em_gl_color_index16_ext: INTEGER is 0x80E7
-- --
-- --	-- 79. GL_EXT_clip_volume_hint
-- --	Em_gl_clip_volume_clipping_hint_ext: INTEGER is 0x80F0
-- --
-- --	-- 97. GL_EXT_compiled_vertex_array
-- --	Em_gl_array_element_lock_first_ext: INTEGER is 0x81A8
-- --	Em_gl_array_element_lock_count_ext: INTEGER is 0x81A9
-- --
-- --	-- 137. GL_HP_occlusion_test
-- --	Em_gl_occlusion_test_hp: INTEGER is 0x8165
-- --	Em_gl_occlusion_test_result_hp: INTEGER is 0x8166
-- --
-- --	-- 141. GL_EXT_shared_texture_palette (req's GL_EXT_paletted_texture)
-- --	Em_gl_shared_texture_palette_ext: INTEGER is 0x81FB
-- --
-- --	-- 176. GL_EXT_stencil_wrap
-- --	Em_gl_incr_wrap_ext: INTEGER is 0x8507
-- --	Em_gl_decr_wrap_ext: INTEGER is 0x8508
-- --
-- --	-- 179. GL_NV_texgen_reflection
-- --	Em_gl_normal_map_nv: INTEGER is 0x8511
-- --	Em_gl_reflection_map_nv: INTEGER is 0x8512
-- --
-- --	-- 220. GL_EXT_texture_env_dot3
-- --	Em_gl_dot3_rgb_ext: INTEGER is 0x8740
-- --	Em_gl_dot3_rgba_ext: INTEGER is 0x8741

end
