indexing

	description: "[

		Inherit from EM_LOGGING in order to use logging functionality.
		Please use the debug/end construct to encapsulate the output,
		for performances sake. And also hide the logging functionality
		from the clients with "export {NONE} all", unless needed.
		
		By default logging must be disabled, to ensure the posibility
		to turn on logging for each module.
		
		Also, do not forget to create the logger with logger.make

	]"
	date: "$Date: 2005-10-23 12:36:47 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1125 $"

class EM_LOGGING

feature -- Access

	logger: EM_LOGGER
			-- the logger object

invariant
	logger_created: logger /= void

end