indexing

	description: "[

		Objects of type EM_COLLIDABLE_3D can be added to the EM_COLLISION_DETECTOR_3D
		container. An object of type EM_COLLIDABLE_3D can collide with any other
		ESDL_COLLIDABLE_3D. If current collides with any other collidable on_collide is
		called by the EM_COLLISION_DETECTOR_3D.

	]"
	date: "$Date: 2005-10-23 13:02:12 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1129 $"

deferred class

	EM_COLLIDABLE_3D

feature -- Status report

	does_collide (other: EM_COLLIDABLE_3D): BOOLEAN is
			-- Does `current' collide with `other'?
		require
			other_not_void: other /= void
		deferred
		end

	type_id: INTEGER is
			-- The id given to all instances of `current' generating class
		deferred
		end

feature {EM_COLLISION_DETECTOR_3D} -- Implementation

	on_collide (other: EM_COLLIDABLE_3D) is
			-- `current' collided with `other'
		require
			other_not_void: other /= void
		deferred
		end

end