indexing

	description: "[

		EV Widget based on the EV_SCROLLABLE_AREA Widget

	]"
	date: "$Date: 2006-03-02 09:47:01 +0100 (Thu, 02 Mar 2006) $"
	revision: "$Revision: 1947 $"

class EM_EV_WIDGET_SCROLLABLE

inherit

	EV_SCROLLABLE_AREA
		select
			dispose
		end

	EM_APPLICATION
		rename
			dispose as dispose_memory
		undefine
			copy,
			default_create
		end

create

	make

feature {NONE} -- Initialisation

	make is
			-- creation procedure
		do
			default_create

			create em_ev_widget.make
			em_ev_widget.set_minimum_size (600, 630)
			em_ev_widget.set_initialization_procedure (agent make_em_application)

			extend (em_ev_widget)

			-- create new thread and launch a separate Thread
			-- for SDL.
			-- this will call make_em_application.
			launch_threaded
		end

	make_em_application is
			-- Redefine it and use it as it would be a standard
			-- SDL application creation procedure
			-- This will be called be the SDL Thread
		do
		end

feature -- Access

	launch_threaded is
			-- Let em_ev_widget handels everything important
		do
			em_ev_widget.launch_threaded
		end

feature -- Client Widget

	em_ev_widget: EM_EV_WIDGET
		-- Into this widget we draw the sdl surface
end
