indexing

	description: "[

		Singleton access to EM_STANDARD_BMP_FONTS and EM_STANDARD_TTF_FONTS.

	]"
	date: "$Date: 2005-10-23 13:02:12 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1129 $"

class EM_SHARED_STANDARD_FONTS

feature -- Access

	Standard_bmp_fonts: EM_STANDARD_BMP_FONTS is
			-- Standard bmp fonts singelton
		once
			create Result.make
			Result.load_fonts
		ensure
			standard_bmp_fonts_not_void: Result /= Void
		end

	Standard_ttf_fonts: EM_STANDARD_TTF_FONTS is
			-- Standard ttf fonts singelton
		once
			create Result.make
		ensure
			standard_ttf_fonts_not_void: Result /= Void
		end

end