indexing
	description: "OpenGL Material functions"
	documentation: "Documentation of class"
	date: "$Date: 2006-07-30 15:52:06 +0200 (Sun, 30 Jul 2006) $"
	revision: "$Revision: 2074 $"

class EMGL_MATERIAL

inherit
	EMGL_FUNCTIONS
		export {NONE} all end

feature --general function wrapper
	emgl_get_materialfv ( face:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_get_materialfv`
		do
			gl_get_materialfv_external( face, pname, params )
		end
	emgl_get_materialiv ( face:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_get_materialiv`
		do
			gl_get_materialiv_external( face, pname, params )
		end
	emgl_materialf ( face:INTEGER; pname:INTEGER; param:REAL ) is
			--Wrap the OpenGL function `gl_materialf`
		do
			gl_materialf_external( face, pname, param )
		end
	emgl_materialfv ( face:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_materialfv`
		do
			gl_materialfv_external( face, pname, params )
		end
	emgl_materiali ( face:INTEGER; pname:INTEGER; param:INTEGER ) is
			--Wrap the OpenGL function `gl_materiali`
		do
			gl_materiali_external( face, pname, param )
		end
	emgl_materialiv ( face:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_materialiv`
		do
			gl_materialiv_external( face, pname, params )
		end


end -- class EMGL_MATERIAL
