indexing
	description: "OpenGL object selection"
	date: "$Date: 2006-07-30 15:52:06 +0200 (Sun, 30 Jul 2006) $"
	revision: "$Revision: 2074 $"

class
	EMGL_SELECT

inherit
	EMGL_FUNCTIONS
		export {NONE} all end

feature --general function wrapper
	emgl_init_names is
			--Wrap the OpenGL function `gl_init_names`
		do
			gl_init_names_external
		end
	emgl_load_name ( name:INTEGER ) is
			--Wrap the OpenGL function `gl_load_name`
		do
			gl_load_name_external( name )
		end
	emgl_pop_name is
			--Wrap the OpenGL function `gl_pop_name`
		do
			gl_pop_name_external
		end
	emgl_push_name ( name:INTEGER ) is
			--Wrap the OpenGL function `gl_push_name`
		do
			gl_push_name_external( name )
		end
	emgl_select_buffer ( size:INTEGER; buffer:POINTER ) is
			--Wrap the OpenGL function `gl_select_buffer`
		do
			gl_select_buffer_external( size, buffer )
		end


end
