indexing
	description: "Texture Generating functions"
	documentation: "Documentation of class"
	date: "$Date: 2006-07-30 18:33:47 +0200 (Sun, 30 Jul 2006) $"
	revision: "$Revision: 2079 $"

class EMGL_TEXGEN

inherit
	EMGL_FUNCTIONS
		export {NONE} all end
	ANY

feature --general function wrapper
	emgl_get_tex_gend ( coord:INTEGER; pname:INTEGER ):DOUBLE is
			--Wrap the OpenGL function `gl_get_tex_gendv`
		do
			gl_get_tex_gendv_external( coord, pname, $result )
		end
	emgl_get_tex_genf ( coord:INTEGER; pname:INTEGER ):REAL is
			--Wrap the OpenGL function `gl_get_tex_genfv`
		do
			gl_get_tex_genfv_external( coord, pname, $result )
		end
	emgl_get_tex_geniv ( coord:INTEGER; pname:INTEGER ):INTEGER is
			--Wrap the OpenGL function `gl_get_tex_geniv`
		do
			gl_get_tex_geniv_external( coord, pname, $result )
		end
	emgl_tex_gend ( coord:INTEGER; pname:INTEGER; param:DOUBLE ) is
			--Wrap the OpenGL function `gl_tex_gend`
		do
			gl_tex_gend_external( coord, pname, param )
		end
	emgl_tex_gendv ( coord:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_tex_gendv`
		do
			gl_tex_gendv_external( coord, pname, params )
		end
	emgl_tex_gen_vector4d ( coord:INTEGER; pname:INTEGER; params:EM_VECTOR4D ) is
			--Wrap the OpenGL function `gl_tex_gendv`
		do
			gl_tex_gendv_external( coord, pname, $params )
		end
	emgl_tex_genf ( coord:INTEGER; pname:INTEGER; param:REAL ) is
			--Wrap the OpenGL function `gl_tex_genf`
		do
			gl_tex_genf_external( coord, pname, param )
		end
	emgl_tex_genfv ( coord:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_tex_genfv`
		do
			gl_tex_genfv_external( coord, pname, params )
		end
	emgl_tex_gen_vector4f ( coord:INTEGER; pname:INTEGER; params:EM_VECTOR4F ) is
			--Wrap the OpenGL function `gl_tex_genfv`
		do
			gl_tex_genfv_external( coord, pname, $params )
		end
	emgl_tex_geni ( coord:INTEGER; pname:INTEGER; param:INTEGER ) is
			--Wrap the OpenGL function `gl_tex_geni`
		do
			gl_tex_geni_external( coord, pname, param )
		end
	emgl_tex_geniv ( coord:INTEGER; pname:INTEGER; params:POINTER ) is
			--Wrap the OpenGL function `gl_tex_geniv`
		do
			gl_tex_geniv_external( coord, pname, params )
		end

end -- class EMGL_TEXGEN
