indexing
	description: "A wrapper to some basic OpenGL functions"
	date: "$Date: 2007-07-12 10:52:05 +0200 (Thu, 12 Jul 2007) $"
	revision: "$Revision: 2611 $"

class EMGLU_FUNCTIONS

inherit
	GLU_FUNCTIONS_EXTERNAL

feature --Status
	emglu_get_string( pname: INTEGER ):STRING is
			-- Return a string Value as the current status of 'pname'
		local
			c_string: EWG_ZERO_TERMINATED_STRING
		do
			-- Needs to be created shared or there will be a terrible crash, glibc.... :)
			create c_string.make_shared (glu_get_string_external (pname))
			result := c_string.string
		end

	emglu_error_string( errno: INTEGER ):STRING is
			-- Return a string Value as the current status of 'pname'
		local
			c_string: EWG_ZERO_TERMINATED_STRING
		do
			-- Needs to be created shared or there will be a terrible crash, glibc.... :)
			create c_string.make_shared (glu_error_string_external (errno))
			result := c_string.string
		end

	-- I don't know where else to put this function
	emglu_scale_image ( format:INTEGER; win:INTEGER; hin:INTEGER; typein:INTEGER; datain:POINTER; wout:INTEGER; hout:INTEGER; typeout:INTEGER; dataout:POINTER ): INTEGER is
		--Wrap the OpenGL function `glu_scale_image`
	do
		result:=glu_scale_image_external( format, win, hin, typein, datain, wout, hout, typeout, dataout )
	end

end -- class EMGLU_FUNCTIONS
