indexing
	description: "[
	
		A plotter that plots graphical representations of a sequence of values
		using {EM_VIZ_RENDERER}. This is the base class for all plotters used
		by {EM_VIZ_PLOT}

	]"
	author: ""
	date: "$Date: 2007-02-12 08:14:24 +0100 (Mon, 12 Feb 2007) $"
	revision: "$Revision: 2505 $"

deferred class
	EM_VIZ_PLOTTER [D -> EM_ABSTRACT_VECTOR [DOUBLE]]

inherit
	EM_VIZ_RENDERER

feature -- Rendering

	plot (values: DS_LINEAR [D]) is
			-- Plot a sequence of `values'
		require
			values_exist: values /= Void
		deferred
		end

end
