indexing

	description: "[

		Basic delegate of an EM_IMAGEPANEL.

	]"
	date: "$Date: 2005-10-23 13:21:01 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1136 $"

class EM_BASIC_IMAGEPANEL_DELEGATE

inherit

	EM_WIDGET_DELEGATE
		redefine
			install,
			optimal_width,
			optimal_height,
			draw_body
		end

feature -- Initialisation

	install (panel: EM_IMAGEPANEL) is
			-- Install style on `panel'.
			-- Set up all default values for background, border, font and colors.
		do
			Precursor {EM_WIDGET_DELEGATE} (panel)
			panel.set_background (Void)
			panel.set_border (Void)
		end

feature -- Measurement

	optimal_width (panel: EM_IMAGEPANEL): INTEGER is
			-- Optimal width of `panel'
		do
			Result := panel.bitmap.width
		end

	optimal_height (panel: EM_IMAGEPANEL): INTEGER is
			-- Optimal height of `panel'
		do
			Result := panel.bitmap.height
		end

feature -- Drawing

	draw_body (panel: EM_IMAGEPANEL) is
			-- Draw body of `panel'.
		do
			panel.surface.blit_surface (panel.bitmap, panel.border.left, panel.border.top)
		end

end