indexing

	description: "[

		Basic delegate of an EM_WINDOW.

	]"
	date: "$Date: 2005-10-23 13:21:01 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1136 $"

class EM_BASIC_WINDOW_DELEGATE

inherit

	EM_WIDGET_DELEGATE
		redefine
			install
		end

feature -- Initialisation

	install (window: EM_WINDOW) is
			-- Install style on `window'.
			-- Set up all default values for background, border, font and colors.
		do
			Precursor {EM_WIDGET_DELEGATE} (window)
			window.set_border (create {EM_LINE_BORDER}.make (theme_colors.window_border, 1))
			window.set_background_color (theme_colors.window_background)
		end

end