indexing

	description: "[

		Shared access to focus singletons.

	]"
	date: "$Date: 2005-10-23 13:21:01 +0200 (Sun, 23 Oct 2005) $"
	revision: "$Revision: 1136 $"

class EM_SHARED_FOCUS

feature -- Access

	Shared_mouse_focus: EM_MOUSE_FOCUS is
			-- Mouse focus singleton
		once
			create Result
		ensure
			shared_mouse_focus_not_void: Result /= Void
		end

	Keyboard_focus: EM_KEYBOARD_FOCUS is
			-- Keyboard focus singleton
		once
			create Result
		ensure
			keyboard_focus_not_void: Result /= Void
		end

	Joystick_focus: EM_JOYSTICK_FOCUS is
			-- Joystick focus singleton
		once
			create Result.make
		ensure
			joystick_focus_not_void: Result /= Void
		end

end