indexing

	description: "[

		circle resizing vertex

	]"
	date: "$Date: 2005-10-22 14:48:22 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1081 $"

class CIRCLE_RESIZE_VERTEX

inherit

	VERTEX
		redefine
			set_vector
		end

create

	make

feature -- Access

	cursor: MOUSE_CURSOR is
			-- the cursor
		once
			Result := create {MOVE_CURSOR_HORIZONTAL}.make
		end

	set_vector (v: EM_VECTOR_2D) is
			-- sets `vector'
		do
			vector := create {EM_VECTOR_2D}.make (v.x, v.y)
		end

	command: COMMAND is
			-- the command for this vertex movement
		do
			Result := create {SET_CIRCLE_RADIUS}.make
		end

	args: TUPLE is
			-- the arguments to the given `command'
		local
			circle: CIRCLE
		do
			circle ?= object
			check circle /= Void end
			Result := [object, circle.true_radius, circle.radius]
		end

end