indexing

	description: "[

		rectangle corner vertex

	]"
	date: "$Date: 2005-10-22 14:48:22 +0200 (Sat, 22 Oct 2005) $"
	revision: "$Revision: 1081 $"

class RECTANGLE_VERTEX

inherit

	VERTEX
		redefine
			set_vector
		end

create

	make

feature -- Access

	cursor: MOUSE_CURSOR is
			-- the cursor
		once
			Result := create {MOVE_CURSOR}.make
		end

	set_vector (v: EM_VECTOR_2D) is
			-- sets `vector'
		do
			vector := create {EM_VECTOR_2D}.make (v.x, v.y)
		end

	command: COMMAND is
			-- the command for this vertex movement
		do
			Result := create {RESIZE_RECTANGLE}.make
		end

	args: TUPLE is
			-- the arguments to the given `command'
		local
			r: RECTANGLE
		do
			r ?= object
			check r /= Void end
			Result := [object, r.true_point_a, r.true_point_b, r.point_a, r.point_b]
		end

end